commit bundle-lang-common for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package bundle-lang-common for 
openSUSE:Factory checked in at 2017-05-10 00:14:01

Comparing /work/SRC/openSUSE:Factory/bundle-lang-common (Old)
 and  /work/SRC/openSUSE:Factory/.bundle-lang-common.new (New)


Package is "bundle-lang-common"

Wed May 10 00:14:01 2017 rev:218 rq: version:13.2

Changes:

bundle-lang-gnome.changes: same change
bundle-lang-kde.changes: same change
bundle-lang-other.changes: same change



Other differences:
--
++ bundle-lang-gnome.spec ++
--- /var/tmp/diff_new_pack.wW5jAy/_old  2017-05-10 00:14:09.327825248 +0200
+++ /var/tmp/diff_new_pack.wW5jAy/_new  2017-05-10 00:14:09.335824118 +0200
@@ -76,6 +76,7 @@
 BuildRequires:  grilo-plugins-lang
 BuildRequires:  gspell-lang
 BuildRequires:  gstreamer-plugins-ugly-lang
+BuildRequires:  gtk-vnc-lang
 BuildRequires:  gtksourceview-lang
 BuildRequires:  gtkspell3-lang
 BuildRequires:  gucharmap-lang
@@ -116,6 +117,7 @@
 BuildRequires:  totem-pl-parser-lang
 BuildRequires:  tracker-lang
 BuildRequires:  transmission-gtk-lang
+BuildRequires:  vinagre-lang
 BuildRequires:  vino-lang
 BuildRequires:  vte-lang
 BuildRequires:  xdg-user-dirs-gtk-lang
@@ -321,8 +323,11 @@
 Provides:   gstreamer-plugins-ugly-lang = %(rpm -q --queryformat 
'%{VERSION}' gstreamer-plugins-ugly-lang)
 Provides:   locale(gspell:en)
 Obsoletes:  gstreamer-plugins-ugly-lang < %(rpm -q --queryformat 
'%{VERSION}' gstreamer-plugins-ugly-lang)
-Provides:   gtksourceview-lang = %(rpm -q --queryformat '%{VERSION}' 
gtksourceview-lang)
+Provides:   gtk-vnc-lang = %(rpm -q --queryformat '%{VERSION}' 
gtk-vnc-lang)
 Provides:   locale(gstreamer-plugins-ugly:en)
+Obsoletes:  gtk-vnc-lang < %(rpm -q --queryformat '%{VERSION}' 
gtk-vnc-lang)
+Provides:   gtksourceview-lang = %(rpm -q --queryformat '%{VERSION}' 
gtksourceview-lang)
+Provides:   locale(gtk-vnc:en)
 Obsoletes:  gtksourceview-lang < %(rpm -q --queryformat '%{VERSION}' 
gtksourceview-lang)
 Provides:   gtkspell3-lang = %(rpm -q --queryformat '%{VERSION}' 
gtkspell3-lang)
 Provides:   locale(gtksourceview:en)
@@ -442,6 +447,9 @@
 Provides:   transmission-gtk-lang = %(rpm -q --queryformat '%{VERSION}' 
transmission-gtk-lang)
 Obsoletes:  transmission-gtk-lang < %(rpm -q --queryformat '%{VERSION}' 
transmission-gtk-lang)
 Provides:   locale(transmission-gtk:en)
+Provides:   vinagre-lang = %(rpm -q --queryformat '%{VERSION}' 
vinagre-lang)
+Obsoletes:  vinagre-lang < %(rpm -q --queryformat '%{VERSION}' 
vinagre-lang)
+Provides:   locale(vinagre:en)
 Provides:   vino-lang = %(rpm -q --queryformat '%{VERSION}' vino-lang)
 Obsoletes:  vino-lang < %(rpm -q --queryformat '%{VERSION}' vino-lang)
 Provides:   locale(vino:en)
@@ -634,8 +642,11 @@
 Provides:   gstreamer-plugins-ugly-lang = %(rpm -q --queryformat 
'%{VERSION}' gstreamer-plugins-ugly-lang)
 Provides:   locale(gspell:de)
 Obsoletes:  gstreamer-plugins-ugly-lang < %(rpm -q --queryformat 
'%{VERSION}' gstreamer-plugins-ugly-lang)
-Provides:   gtksourceview-lang = %(rpm -q --queryformat '%{VERSION}' 
gtksourceview-lang)
+Provides:   gtk-vnc-lang = %(rpm -q --queryformat '%{VERSION}' 
gtk-vnc-lang)
 Provides:   locale(gstreamer-plugins-ugly:de)
+Obsoletes:  gtk-vnc-lang < %(rpm -q --queryformat '%{VERSION}' 
gtk-vnc-lang)
+Provides:   gtksourceview-lang = %(rpm -q --queryformat '%{VERSION}' 
gtksourceview-lang)
+Provides:   locale(gtk-vnc:de)
 Obsoletes:  gtksourceview-lang < %(rpm -q --queryformat '%{VERSION}' 
gtksourceview-lang)
 Provides:   gtkspell3-lang = %(rpm -q --queryformat '%{VERSION}' 
gtkspell3-lang)
 Provides:   locale(gtksourceview:de)
@@ -755,6 +766,9 @@
 Provides:   transmission-gtk-lang = %(rpm -q --queryformat '%{VERSION}' 
transmission-gtk-lang)
 Obsoletes:  transmission-gtk-lang < %(rpm -q --queryformat '%{VERSION}' 
transmission-gtk-lang)
 Provides:   locale(transmission-gtk:de)
+Provides:   vinagre-lang = %(rpm -q --queryformat '%{VERSION}' 
vinagre-lang)
+Obsoletes:  vinagre-lang < %(rpm -q --queryformat '%{VERSION}' 
vinagre-lang)
+Provides:   locale(vinagre:de)
 Provides:   vino-lang = %(rpm -q --queryformat '%{VERSION}' vino-lang)
 Obsoletes:  vino-lang < %(rpm -q --queryformat '%{VERSION}' vino-lang)
 Provides:   locale(vino:de)
@@ -947,8 +961,11 @@
 Provides:   gstreamer-plugins-ugly-lang = %(rpm -q --queryformat 
'%{VERSION}' gstreamer-plugins-ugly-lang)
 Provides:   locale(gspell:es)
 Obsoletes:  gstreamer-plugins-ugly-lang < %(rpm -q --queryformat 
'%{VERSION}' gstreamer-plugins-ugly-lang)
-Provides:   gtksourceview-lang = %(rpm -q --queryformat 

commit patterns-base for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package patterns-base for openSUSE:Factory 
checked in at 2017-05-09 19:11:16

Comparing /work/SRC/openSUSE:Factory/patterns-base (Old)
 and  /work/SRC/openSUSE:Factory/.patterns-base.new (New)


Package is "patterns-base"

Tue May  9 19:11:16 2017 rev:3 rq: version:20170319

Changes:




Other differences:
--
++ patterns-base.spec ++
--- /var/tmp/diff_new_pack.U7b5Ne/_old  2017-05-09 19:11:19.067449722 +0200
+++ /var/tmp/diff_new_pack.U7b5Ne/_new  2017-05-09 19:11:19.071449159 +0200
@@ -198,7 +198,6 @@
 Group:  Metapackages
 Provides:   patterns-openSUSE-console = %{version}
 Provides:   pattern() = console
-Provides:   pattern() = generic_server
 Provides:   pattern-icon() = yast-system
 Provides:   pattern-order() = 1120
 Provides:   pattern-visible()




commit ghc-diversity for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package ghc-diversity for openSUSE:Factory 
checked in at 2017-05-09 18:15:31

Comparing /work/SRC/openSUSE:Factory/ghc-diversity (Old)
 and  /work/SRC/openSUSE:Factory/.ghc-diversity.new (New)


Package is "ghc-diversity"

Tue May  9 18:15:31 2017 rev:1 rq:493745 version:0.8.0.2

Changes:

New Changes file:

--- /dev/null   2017-03-01 00:40:19.279048016 +0100
+++ /work/SRC/openSUSE:Factory/.ghc-diversity.new/ghc-diversity.changes 
2017-05-09 18:15:33.203727478 +0200
@@ -0,0 +1,10 @@
+---
+Sun Feb 12 14:20:12 UTC 2017 - psim...@suse.com
+
+- Update to version 0.8.0.2 with cabal2obs.
+
+---
+Sun Jul 10 17:20:21 UTC 2016 - psim...@suse.com
+
+- Update to version 0.8.0.1 revision 0 with cabal2obs.
+

New:

  diversity-0.8.0.2.tar.gz
  ghc-diversity.changes
  ghc-diversity.spec



Other differences:
--
++ ghc-diversity.spec ++
#
# spec file for package ghc-diversity
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name diversity
Name:   ghc-%{pkg_name}
Version:0.8.0.2
Release:0
Summary:Quantify the diversity of a population
License:GPL-3.0+
Group:  Development/Languages/Other
Url:https://hackage.haskell.org/package/%{pkg_name}
Source0:
https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  chrpath
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-MonadRandom-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-data-ordlist-devel
BuildRequires:  ghc-fasta-devel
BuildRequires:  ghc-math-functions-devel
BuildRequires:  ghc-optparse-applicative-devel
BuildRequires:  ghc-parsec-devel
BuildRequires:  ghc-pipes-devel
BuildRequires:  ghc-random-shuffle-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-scientific-devel
BuildRequires:  ghc-semigroups-devel
BuildRequires:  ghc-split-devel
BuildRoot:  %{_tmppath}/%{name}-%{version}-build

%description
Find the diversity of a collection of entities, mainly for use with fasta
sequences.

%package devel
Summary:Haskell %{pkg_name} library development files
Group:  Development/Libraries/Other
Requires:   %{name} = %{version}-%{release}
Requires:   ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install
%ghc_fix_rpath %{pkg_name}-%{version}

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE
%{_bindir}/%{pkg_name}

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)

%changelog



commit skelcd-control-openSUSE for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package skelcd-control-openSUSE for 
openSUSE:Factory checked in at 2017-05-09 18:14:55

Comparing /work/SRC/openSUSE:Factory/skelcd-control-openSUSE (Old)
 and  /work/SRC/openSUSE:Factory/.skelcd-control-openSUSE.new (New)


Package is "skelcd-control-openSUSE"

Tue May  9 18:14:55 2017 rev:182 rq:493680 version:42.3.99.4

Changes:

--- 
/work/SRC/openSUSE:Factory/skelcd-control-openSUSE/skelcd-control-openSUSE-promo.changes
2017-04-25 08:56:03.577148659 +0200
+++ 
/work/SRC/openSUSE:Factory/.skelcd-control-openSUSE.new/skelcd-control-openSUSE-promo.changes
   2017-05-09 18:14:58.396646145 +0200
@@ -1,0 +2,8 @@
+Tue May  9 07:23:50 UTC 2017 - sfl...@suse.de
+
+- Replace the generic_server pattern reference with console.
+  * As part of the patterns cleanup the generic_server pattern 
+was merged into the console pattern and removed. (bsc#1038233)
+- 42.3.99.4
+
+---
skelcd-control-openSUSE.changes: same change

Old:

  skelcd-control-openSUSE-42.3.99.3.tar.bz2

New:

  skelcd-control-openSUSE-42.3.99.4.tar.bz2



Other differences:
--
++ skelcd-control-openSUSE-promo.spec ++
--- /var/tmp/diff_new_pack.nSbgCk/_old  2017-05-09 18:14:59.536485071 +0200
+++ /var/tmp/diff_new_pack.nSbgCk/_new  2017-05-09 18:14:59.536485071 +0200
@@ -27,7 +27,7 @@
 #
 ##
 Name:   skelcd-control-openSUSE-promo
-Version:42.3.99.3
+Version:42.3.99.4
 Release:0
 Summary:The openSUSE Installation Control file
 License:MIT

skelcd-control-openSUSE.spec: same change
++ skelcd-control-openSUSE-42.3.99.3.tar.bz2 -> 
skelcd-control-openSUSE-42.3.99.4.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/skelcd-control-openSUSE-42.3.99.3/control/control.openSUSE.xml 
new/skelcd-control-openSUSE-42.3.99.4/control/control.openSUSE.xml
--- old/skelcd-control-openSUSE-42.3.99.3/control/control.openSUSE.xml  
2017-04-18 17:02:12.189719259 +0200
+++ new/skelcd-control-openSUSE-42.3.99.4/control/control.openSUSE.xml  
2017-05-09 12:22:51.152908900 +0200
@@ -181,7 +181,7 @@
 DMZ
 
 1
-generic_server
+console
 yast-ssh-server
 
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/skelcd-control-openSUSE-42.3.99.3/package/skelcd-control-openSUSE.changes 
new/skelcd-control-openSUSE-42.3.99.4/package/skelcd-control-openSUSE.changes
--- 
old/skelcd-control-openSUSE-42.3.99.3/package/skelcd-control-openSUSE.changes   
2017-04-18 17:02:12.193719259 +0200
+++ 
new/skelcd-control-openSUSE-42.3.99.4/package/skelcd-control-openSUSE.changes   
2017-05-09 13:12:46.236908900 +0200
@@ -1,4 +1,12 @@
 ---
+Tue May  9 07:23:50 UTC 2017 - sfl...@suse.de
+
+- Replace the generic_server pattern reference with console.
+  * As part of the patterns cleanup the generic_server pattern 
+was merged into the console pattern and removed. (bsc#1038233)
+- 42.3.99.4
+
+---
 Tue Apr 18 14:48:28 UTC 2017 - tchva...@suse.com
 
 - In desktop selector keep all choices unselected for user to decide
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/skelcd-control-openSUSE-42.3.99.3/package/skelcd-control-openSUSE.spec 
new/skelcd-control-openSUSE-42.3.99.4/package/skelcd-control-openSUSE.spec
--- old/skelcd-control-openSUSE-42.3.99.3/package/skelcd-control-openSUSE.spec  
2017-04-18 17:02:12.193719259 +0200
+++ new/skelcd-control-openSUSE-42.3.99.4/package/skelcd-control-openSUSE.spec  
2017-05-09 12:22:51.172908900 +0200
@@ -27,7 +27,7 @@
 #
 ##
 Name:   skelcd-control-openSUSE
-Version:42.3.99.3
+Version:42.3.99.4
 Release:0
 Summary:The openSUSE Installation Control file
 License:MIT




commit libressl for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package libressl for openSUSE:Factory 
checked in at 2017-05-09 18:10:39

Comparing /work/SRC/openSUSE:Factory/libressl (Old)
 and  /work/SRC/openSUSE:Factory/.libressl.new (New)


Package is "libressl"

Tue May  9 18:10:39 2017 rev:30 rq:493769 version:2.5.4

Changes:

--- /work/SRC/openSUSE:Factory/libressl/libressl.changes2017-05-06 
18:30:44.218037044 +0200
+++ /work/SRC/openSUSE:Factory/.libressl.new/libressl.changes   2017-05-09 
18:10:40.253124932 +0200
@@ -1,0 +2,10 @@
+Tue May  9 11:04:19 UTC 2017 - tchva...@suse.com
+
+- Add conflict between libressl and the main versioned packages too
+
+---
+Fri May  5 14:14:18 UTC 2017 - tchva...@suse.com
+
+- Add conflict for split openssl packages
+
+---



Other differences:
--
++ libressl.spec ++
--- /var/tmp/diff_new_pack.tCd84G/_old  2017-05-09 18:10:41.049012464 +0200
+++ /var/tmp/diff_new_pack.tCd84G/_new  2017-05-09 18:10:41.053011899 +0200
@@ -34,7 +34,7 @@
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildRequires:  fdupes
 BuildRequires:  pkg-config
-Conflicts:  openssl
+Conflicts:  otherproviders(ssl)
 
 %description
 LibreSSL is an open-source implementation of the Secure Sockets Layer
@@ -81,6 +81,7 @@
 Requires:   libssl43 = %version
 Requires:   libtls15 = %version
 Conflicts:  libopenssl-devel
+Conflicts:  otherproviders(ssl-devel)
 
 %description devel
 LibreSSL is an open-source implementation of the Secure Sockets Layer





commit caasp-tools for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package caasp-tools for openSUSE:Factory 
checked in at 2017-05-09 18:10:36

Comparing /work/SRC/openSUSE:Factory/caasp-tools (Old)
 and  /work/SRC/openSUSE:Factory/.caasp-tools.new (New)


Package is "caasp-tools"

Tue May  9 18:10:36 2017 rev:4 rq:493768 version:0.17

Changes:

--- /work/SRC/openSUSE:Factory/caasp-tools/caasp-tools.changes  2017-05-04 
15:05:07.480342769 +0200
+++ /work/SRC/openSUSE:Factory/.caasp-tools.new/caasp-tools.changes 
2017-05-09 18:10:37.317539765 +0200
@@ -1,0 +2,5 @@
+Tue May  9 15:04:56 CEST 2017 - ku...@suse.de
+
+- Add activate.sh for openSUSE Kubic
+
+---



Other differences:
--
++ caasp-tools.spec ++
--- /var/tmp/diff_new_pack.P0dq7o/_old  2017-05-09 18:10:38.233410342 +0200
+++ /var/tmp/diff_new_pack.P0dq7o/_new  2017-05-09 18:10:38.237409777 +0200
@@ -63,6 +63,11 @@
 pod2man %{SOURCE1} > %{buildroot}%{_mandir}/man8/create_autoyast_profile.8
 mkdir -p %{buildroot}%{_docdir}/%{name}
 install -D -m644 %{SOURCE2} %{buildroot}%{_docdir}/%{name}/COPYING
+%if ! 0%{?is_susecaasp}
+mkdir -p %{buildroot}/usr/share/caasp-container-manifests
+echo -e "#!/bin/bash\ntrue" > 
%{buildroot}%{_datadir}/caasp-container-manifests/activate.sh
+chmod 755 %{buildroot}%{_datadir}/caasp-container-manifests/activate.sh
+%endif
 
 %pre
 %service_add_pre adjust-cloud-cfg.service setup-salt-minion.service
@@ -94,5 +99,9 @@
 %{_localstatedir}/lib/overlay
 %dir %{_localstatedir}/adm/netconfig
 %{_prefix}/lib/dracut/modules.d/99SUSE_MicroOS
+%if ! 0%{?is_susecaasp}
+%dir %{_datadir}/caasp-container-manifests
+%{_datadir}/caasp-container-manifests/activate.sh
+%endif
 
 %changelog




commit nvmetcli for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package nvmetcli for openSUSE:Factory 
checked in at 2017-05-09 18:10:20

Comparing /work/SRC/openSUSE:Factory/nvmetcli (Old)
 and  /work/SRC/openSUSE:Factory/.nvmetcli.new (New)


Package is "nvmetcli"

Tue May  9 18:10:20 2017 rev:2 rq:493700 version:0.4

Changes:

--- /work/SRC/openSUSE:Factory/nvmetcli/nvmetcli.changes2017-02-16 
17:01:38.452796101 +0100
+++ /work/SRC/openSUSE:Factory/.nvmetcli.new/nvmetcli.changes   2017-05-09 
18:10:22.439642189 +0200
@@ -1,0 +2,15 @@
+Mon May 08 11:35:37 UTC 2017 - jthumsh...@suse.com
+
+- Update to version v0.4: (bsc#1034105)
+  * add example configuration files
+  * update .gitignore for the auto-generated manpage formats
+  * add a bump-ver.sh script to automate cutting releases
+  * bump version to v0.3
+  * nvmetcli: fix Port and Host operations in shell
+  * nvmetcli: fix Referral operation in shell
+  * nvmetcli: Install nvmetcli in /usr/sbin with setup.py
+  * nvmetcli: create json file's dir first if it doesn't exist
+  * Add fc transport support to nvmetcli
+  * bump version to v0.4
+
+---
@@ -5 +19,0 @@
-

Old:

  nvmetcli-0.2.tar.gz

New:

  _service
  _servicedata
  nvmetcli-v0.4.tar.gz



Other differences:
--
++ nvmetcli.spec ++
--- /var/tmp/diff_new_pack.TAZcqn/_old  2017-05-09 18:10:23.027559109 +0200
+++ /var/tmp/diff_new_pack.TAZcqn/_new  2017-05-09 18:10:23.031558544 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package nvmetcli
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,13 +17,13 @@
 
 
 Name:   nvmetcli
-Version:0.2
-Release:0
-Summary:Command line interface for the kernel NVMe target
+Version:0.4
+Release:1%{?dist}
+Summary:Command line interface for the kernel NVMe nvmet
 License:Apache-2.0
 Group:  System/Management
 Url:http://git.infradead.org/users/hch/nvmetcli.git
-Source: nvmetcli-%{version}.tar.gz
+Source: nvmetcli-v%{version}.tar.gz
 BuildRequires:  python-devel
 BuildRequires:  python-setuptools
 Requires:   python-configshell
@@ -41,7 +41,7 @@
 to / from a json file.
 
 %prep
-%setup -q -n nvmetcli-%{version}
+%setup -q -n nvmetcli-v%{version}
 
 %build
 python setup.py build

++ _service ++


  
git
git://git.infradead.org/users/hch/nvmetcli.git
nvmetcli
v0.4
v0.4
.git
enable
  
  
*.tar
gz
  
  
nvmetcli
  

++ _servicedata ++


git://git.infradead.org/users/hch/nvmetcli.git
  5078207f0294ebeec5fc6e963eefa2de7d2ce3da


commit ghc-once for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package ghc-once for openSUSE:Factory 
checked in at 2017-05-09 18:09:46

Comparing /work/SRC/openSUSE:Factory/ghc-once (Old)
 and  /work/SRC/openSUSE:Factory/.ghc-once.new (New)


Package is "ghc-once"

Tue May  9 18:09:46 2017 rev:1 rq:493574 version:0.2

Changes:

New Changes file:

--- /dev/null   2017-03-01 00:40:19.279048016 +0100
+++ /work/SRC/openSUSE:Factory/.ghc-once.new/ghc-once.changes   2017-05-09 
18:09:47.880525801 +0200
@@ -0,0 +1,10 @@
+---
+Thu Sep 15 07:00:36 UTC 2016 - psim...@suse.com
+
+- Update to version 0.2 revision 0 with cabal2obs.
+
+---
+Sun Jul 10 17:21:08 UTC 2016 - psim...@suse.com
+
+- Update to version 0.1.0.0 revision 0 with cabal2obs.
+

New:

  ghc-once.changes
  ghc-once.spec
  once-0.2.tar.gz



Other differences:
--
++ ghc-once.spec ++
#
# spec file for package ghc-once
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name once
Name:   ghc-%{pkg_name}
Version:0.2
Release:0
Summary:Memoization for IO actions and functions
License:GPL-3.0+
Group:  Development/Languages/Other
Url:https://hackage.haskell.org/package/%{pkg_name}
Source0:
https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-hashable-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-template-haskell-devel
BuildRequires:  ghc-unordered-containers-devel
BuildRoot:  %{_tmppath}/%{name}-%{version}-build

%description
Please see Control.Once for examples.

%package devel
Summary:Haskell %{pkg_name} library development files
Group:  Development/Libraries/Other
Requires:   %{name} = %{version}-%{release}
Requires:   ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)

%changelog



commit asciinema for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package asciinema for openSUSE:Factory 
checked in at 2017-05-09 18:10:06

Comparing /work/SRC/openSUSE:Factory/asciinema (Old)
 and  /work/SRC/openSUSE:Factory/.asciinema.new (New)


Package is "asciinema"

Tue May  9 18:10:06 2017 rev:3 rq:493629 version:1.4.0

Changes:

--- /work/SRC/openSUSE:Factory/asciinema/asciinema.changes  2016-07-14 
09:50:48.0 +0200
+++ /work/SRC/openSUSE:Factory/.asciinema.new/asciinema.changes 2017-05-09 
18:10:08.185656446 +0200
@@ -1,0 +2,6 @@
+Tue May  9 05:47:55 UTC 2017 - avvi...@yandex.by
+
+- Update to 1.4.0:
+  * see: /usr/share/doc/packages/asciinema/CHANGELOG 
+
+---

Old:

  asciinema-1.3.0.tar.gz

New:

  asciinema-1.4.0.tar.gz



Other differences:
--
++ asciinema.spec ++
--- /var/tmp/diff_new_pack.ykh4TE/_old  2017-05-09 18:10:09.313497069 +0200
+++ /var/tmp/diff_new_pack.ykh4TE/_new  2017-05-09 18:10:09.313497069 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package asciinema
 #
-# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,7 +17,7 @@
 
 
 Name:   asciinema
-Version:1.3.0
+Version:1.4.0
 Release:0
 Summary:Terminal session recorder
 License:GPL-3.0+

++ asciinema-1.3.0.tar.gz -> asciinema-1.4.0.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/asciinema-1.3.0/.travis.yml 
new/asciinema-1.4.0/.travis.yml
--- old/asciinema-1.3.0/.travis.yml 2016-07-13 10:54:24.0 +0200
+++ new/asciinema-1.4.0/.travis.yml 2017-04-11 18:05:08.0 +0200
@@ -2,12 +2,17 @@
 language: python
 
 python:
-  - "3.2"
   - "3.3"
   - "3.4"
   - "3.5"
+  - "3.6"
 
-script: make test
+before_install:
+  - pip install pep8
+
+script:
+  - find . -name \*.py -exec pep8 --ignore=E501 {} +
+  - make test
 
 notifications:
   irc:
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/asciinema-1.3.0/CHANGELOG.md 
new/asciinema-1.4.0/CHANGELOG.md
--- old/asciinema-1.3.0/CHANGELOG.md2016-07-13 10:54:24.0 +0200
+++ new/asciinema-1.4.0/CHANGELOG.md2017-04-11 18:05:08.0 +0200
@@ -1,5 +1,14 @@
 # asciinema changelog
 
+## 1.4.0 (2017-04-11)
+
+* Dropped distutils fallback in setup.py - setuptools required now (thanks 
Jakub "@jakubjedelsky" Jedelsky!)
+* Dropped official support for Python 3.2 (although it still works on 3.2)
+* New `--speed` option for `asciinema play` (thanks Bastiaan "@bastiaanb" 
Bakker!)
+* Ability to set API token via `ASCIINEMA_API_TOKEN` env variable (thanks 
Samantha "@samdmarshall" Marshall!)
+* Improved shutdown on more signals: CHLD, HUP, TERM, QUIT (thanks Richard 
"@typerlc"!)
+* Fixed stdin handling during playback via `asciinema play`
+
 ## 1.3.0 (2016-07-13)
 
 This release brings back the original Python implementation of asciinema. It's
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/asciinema-1.3.0/README.md 
new/asciinema-1.4.0/README.md
--- old/asciinema-1.3.0/README.md   2016-07-13 10:54:24.0 +0200
+++ new/asciinema-1.4.0/README.md   2017-04-11 18:05:08.0 +0200
@@ -109,6 +109,7 @@
 Available options:
 
 * `-w, --max-wait=` - Reduce replayed terminal inactivity to max  
seconds
+* `-s, --speed=` - Playback speedup (can be fractional)
 
 NOTE: it is recommended to run `asciinema play` in a terminal of dimensions not
 smaller than the one used for recording as there's no "transcoding" of control
@@ -141,13 +142,26 @@
 machines so all of them use the same token, but that's not necessary. You can
 assign new tokens to your account from as many machines as you want.
 
+## Hosting the recordings on the web
+
+As mentioned in the `Usage / rec` section above, if the `filename` argument to
+`asciinema rec` is omitted then the resulting asciicast is uploaded
+to [asciinema.org](https://asciinema.org) where it's hosted for further 
playback
+in a web browser.
+
+If you prefer to host the recordings yourself, you can do so by recording to a
+file (`asciinema rec demo.json`) and using
+[asciinema's standalone web 
player](https://github.com/asciinema/asciinema-player#self-hosting-quick-start)
+in your HTML page.
+
 ## Configuration file
 
 asciinema uses a config file to keep API token and user settings. In most cases
 the location of this file is `$HOME/.config/asciinema/config`.
 
 *NOTE: When you first run 

commit osc for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package osc for openSUSE:Factory checked in 
at 2017-05-09 18:10:09

Comparing /work/SRC/openSUSE:Factory/osc (Old)
 and  /work/SRC/openSUSE:Factory/.osc.new (New)


Package is "osc"

Tue May  9 18:10:09 2017 rev:119 rq:493676 version:0.158.0

Changes:

--- /work/SRC/openSUSE:Factory/osc/osc.changes  2017-03-21 22:51:47.343782728 
+0100
+++ /work/SRC/openSUSE:Factory/.osc.new/osc.changes 2017-05-09 
18:10:11.445195834 +0200
@@ -1,0 +2,15 @@
+Tue May  9 07:51:06 UTC 2017 - marco.str...@suse.com
+
+- 0.158.0
+  - cat/less/blame command: default to expand to stay in sync with checkout
+  - add support for highly experimental native appimage.yml support
+  - show package status when repository configuration is broken
+  - add '--blame' option to osc meta command
+  - try to autodetect local package when running 'osc build'
+  - comment requests in interactive mode
+  - fix github issue #236 (--no-cleanup not working)
+  - fix wipebinaries to prevent wiping of complete repository
+  - add '--build-opt' to osc build command
+  - fix requests codebase to fit old obs versions 
+
+---

Old:

  osc-0.157.2.tar.gz

New:

  osc-0.158.0.tar.gz



Other differences:
--
++ osc.spec ++
--- /var/tmp/diff_new_pack.4JqtzG/_old  2017-05-09 18:10:13.396920032 +0200
+++ /var/tmp/diff_new_pack.4JqtzG/_new  2017-05-09 18:10:13.400919467 +0200
@@ -16,10 +16,10 @@
 #
 
 
-%define version_unconverted 0.157.2
+%define version_unconverted 0.158.0
 
 Name:   osc
-Version:0.157.2
+Version:0.158.0
 Release:0
 Summary:Open Build Service Commander
 License:GPL-2.0+

++ PKGBUILD ++
--- /var/tmp/diff_new_pack.4JqtzG/_old  2017-05-09 18:10:13.452912120 +0200
+++ /var/tmp/diff_new_pack.4JqtzG/_new  2017-05-09 18:10:13.452912120 +0200
@@ -1,5 +1,5 @@
 pkgname=osc
-pkgver=0.157.2
+pkgver=0.158.0
 pkgrel=0
 pkgdesc="Open Build Service client"
 arch=('i686' 'x86_64')

++ _service ++
--- /var/tmp/diff_new_pack.4JqtzG/_old  2017-05-09 18:10:13.480908164 +0200
+++ /var/tmp/diff_new_pack.4JqtzG/_new  2017-05-09 18:10:13.480908164 +0200
@@ -1,7 +1,7 @@
 
   
-0.157.2
-0.157.2
+0.158.0
+0.158.0
 git://github.com/openSUSE/osc.git
 git
   

++ debian.changelog ++
--- /var/tmp/diff_new_pack.4JqtzG/_old  2017-05-09 18:10:13.520902513 +0200
+++ /var/tmp/diff_new_pack.4JqtzG/_new  2017-05-09 18:10:13.520902513 +0200
@@ -1,4 +1,4 @@
-osc (0.157.2) unstable; urgency=low
+osc (0.158.0) unstable; urgency=low
   - Install bash completion
 
  -- Nick Brown   Wed, 26 Oct 2016 10:00:00 +0200

++ osc-0.157.2.tar.gz -> osc-0.158.0.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/osc-0.157.2/NEWS new/osc-0.158.0/NEWS
--- old/osc-0.157.2/NEWS2017-03-21 13:33:10.0 +0100
+++ new/osc-0.158.0/NEWS2017-05-08 21:41:29.0 +0200
@@ -1,6 +1,14 @@
 0.158
   - cat/less/blame command: default to expand to stay in sync with checkout
   - add support for highly experimental native appimage.yml support
+  - show package status when repository configuration is broken
+  - add '--blame' option to osc meta command
+  - try to autodetect local package when running 'osc build'
+  - comment requests in interactive mode
+  - fix github issue #236 (--no-cleanup not working)
+  - fix wipebinaries to prevent wiping of complete repository
+  - add '--build-opt' to osc build command
+  - fix requests codebase to fit old obs versions
 
 0.157.2
   - add compat code for older apis that do not support multibuild
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/osc-0.157.2/osc/build.py new/osc-0.158.0/osc/build.py
--- old/osc-0.157.2/osc/build.py2017-03-21 13:33:10.0 +0100
+++ new/osc-0.158.0/osc/build.py2017-05-08 21:41:29.0 +0200
@@ -802,6 +802,9 @@
 if bi.release:
 buildargs.append('--release=%s' % bi.release)
 
+if opts.build_opt:
+buildargs += opts.build_opt
+
 # real arch of this machine
 # vs.
 # arch we are supposed to build for
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/osc-0.157.2/osc/commandline.py 
new/osc-0.158.0/osc/commandline.py
--- old/osc-0.157.2/osc/commandline.py  2017-03-21 13:33:10.0 +0100
+++ new/osc-0.158.0/osc/commandline.py  2017-05-08 21:41:29.0 +0200
@@ -738,6 +738,8 @@
 help='include defined attribute defaults')
 @cmdln.option('--attribute-project', action='store_true',
   

commit shotcut for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package shotcut for openSUSE:Factory checked 
in at 2017-05-09 18:10:03

Comparing /work/SRC/openSUSE:Factory/shotcut (Old)
 and  /work/SRC/openSUSE:Factory/.shotcut.new (New)


Package is "shotcut"

Tue May  9 18:10:03 2017 rev:4 rq:493626 version:17.05

Changes:

--- /work/SRC/openSUSE:Factory/shotcut/shotcut.changes  2017-05-06 
18:30:57.600148760 +0200
+++ /work/SRC/openSUSE:Factory/.shotcut.new/shotcut.changes 2017-05-09 
18:10:04.722145881 +0200
@@ -1,0 +2,5 @@
+Mon May  8 18:40:53 UTC 2017 - jeng...@inai.de
+
+- Trim filler words from description
+
+---



Other differences:
--
++ shotcut.spec ++
--- /var/tmp/diff_new_pack.PU8Jbg/_old  2017-05-09 18:10:06.161942421 +0200
+++ /var/tmp/diff_new_pack.PU8Jbg/_new  2017-05-09 18:10:06.169941291 +0200
@@ -37,7 +37,7 @@
 # This package creates a build time version from the current date and uses it 
to check
 # for updates. See patch1 and prep/build section.
 %define _vstring %(echo %{version} |tr -d ".")
-Summary:Opensource Video Editor
+Summary:A video editor
 License:GPL-3.0+
 Group:  Productivity/Multimedia/Video/Editors and Convertors
 Url:http://www.shotcut.org/
@@ -89,12 +89,10 @@
 Requires:   libqt5-qtquickcontrols >= %{qt5version}
 
 %description
-Shotcut is a free, open source, cross-platform video editor.
-It supports many audio and video formats, image formats
-such as BMP, GIF, JPEG, PNG, SVG, TGA, TIFF as well as image
-sequences. It's compatible with JACK Audio and Melted Server
-technology, and it even offers an experimental
-GPU Processing feature. Shotcut can test MLT XML files, too.
+Shotcut is a video editor. It supports many audio and video and image
+formats, as well as image sequences. It's compatible with JACK Audio
+and Melted Server, and offers an experimental GPU Processing feature.
+Shotcut can test MLT XML files, too.
 
 %lang_package
 
@@ -106,7 +104,7 @@
 
 # Search for executable files
 find . \
-\( -name \*.html -o -name \*.js \) -type f -executable -exec chmod a-x {} \; 
|| :
+\( -name \*.html -o -name \*.js \) -type f -executable -exec chmod a-x {} + || 
:
 
 # Create version.json from current version
 echo "{" > version.json




commit ghc-th-lift for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package ghc-th-lift for openSUSE:Factory 
checked in at 2017-05-09 18:09:59

Comparing /work/SRC/openSUSE:Factory/ghc-th-lift (Old)
 and  /work/SRC/openSUSE:Factory/.ghc-th-lift.new (New)


Package is "ghc-th-lift"

Tue May  9 18:09:59 2017 rev:2 rq:493589 version:0.7.7

Changes:

--- /work/SRC/openSUSE:Factory/ghc-th-lift/ghc-th-lift.changes  2017-04-07 
14:20:32.896623767 +0200
+++ /work/SRC/openSUSE:Factory/.ghc-th-lift.new/ghc-th-lift.changes 
2017-05-09 18:10:01.010670356 +0200
@@ -1,0 +2,5 @@
+Mon Apr 24 12:26:43 UTC 2017 - psim...@suse.com
+
+- Update to version 0.7.7 with cabal2obs.
+
+---

Old:

  th-lift-0.7.6.tar.gz

New:

  th-lift-0.7.7.tar.gz



Other differences:
--
++ ghc-th-lift.spec ++
--- /var/tmp/diff_new_pack.k5Mgxo/_old  2017-05-09 18:10:02.214500242 +0200
+++ /var/tmp/diff_new_pack.k5Mgxo/_new  2017-05-09 18:10:02.218499676 +0200
@@ -19,7 +19,7 @@
 %global pkg_name th-lift
 %bcond_with tests
 Name:   ghc-%{pkg_name}
-Version:0.7.6
+Version:0.7.7
 Release:0
 Summary:Derive Template Haskell's Lift class for datatypes
 License:BSD-3-Clause OR GPL-2.0

++ th-lift-0.7.6.tar.gz -> th-lift-0.7.7.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/th-lift-0.7.6/th-lift.cabal 
new/th-lift-0.7.7/th-lift.cabal
--- old/th-lift-0.7.6/th-lift.cabal 2016-01-18 18:36:03.0 +0100
+++ new/th-lift-0.7.7/th-lift.cabal 2017-04-19 21:20:13.0 +0200
@@ -1,5 +1,5 @@
 Name:   th-lift
-Version:0.7.6
+Version:0.7.7
 Cabal-Version:  >= 1.8
 License:BSD3
 License-Files:  COPYING, BSD3, GPL-2
@@ -31,7 +31,7 @@
 Build-Depends: packedstring == 0.1.*,
template-haskell >= 2.2 && < 2.4
   else
-Build-Depends: template-haskell >= 2.4 && < 2.12
+Build-Depends: template-haskell >= 2.4 && < 2.13
 
 Test-Suite test
   Type: exitcode-stdio-1.0
@@ -46,4 +46,4 @@
 Build-Depends: packedstring == 0.1.*,
template-haskell >= 2.2 && < 2.4
   else
-Build-Depends: template-haskell >= 2.4 && < 2.12
+Build-Depends: template-haskell >= 2.4 && < 2.13




commit perl-Sys-Virt for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package perl-Sys-Virt for openSUSE:Factory 
checked in at 2017-05-09 18:09:54

Comparing /work/SRC/openSUSE:Factory/perl-Sys-Virt (Old)
 and  /work/SRC/openSUSE:Factory/.perl-Sys-Virt.new (New)


Package is "perl-Sys-Virt"

Tue May  9 18:09:54 2017 rev:53 rq:493582 version:3.3.0

Changes:

--- /work/SRC/openSUSE:Factory/perl-Sys-Virt/perl-Sys-Virt.changes  
2017-04-11 09:41:19.841564433 +0200
+++ /work/SRC/openSUSE:Factory/.perl-Sys-Virt.new/perl-Sys-Virt.changes 
2017-05-09 18:09:56.539302213 +0200
@@ -1,0 +2,7 @@
+Mon May  8 17:45:24 UTC 2017 - jfeh...@suse.com
+
+- Update to 3.3.0
+  - Add all new APIs and constants in libvirt 3.3.0
+  - FATE#319684, FATE#321335, FATE#321349
+
+---

Old:

  Sys-Virt-3.2.0.tar.gz

New:

  Sys-Virt-3.3.0.tar.gz



Other differences:
--
++ perl-Sys-Virt.spec ++
--- /var/tmp/diff_new_pack.MLeKEv/_old  2017-05-09 18:09:57.511164878 +0200
+++ /var/tmp/diff_new_pack.MLeKEv/_new  2017-05-09 18:09:57.515164313 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   perl-Sys-Virt
-Version:3.2.0
+Version:3.3.0
 Release:0
 %define cpan_name Sys-Virt
 Summary:Represent and manage a libvirt hypervisor connection

++ Sys-Virt-3.2.0.tar.gz -> Sys-Virt-3.3.0.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Sys-Virt-3.2.0/Changes new/Sys-Virt-3.3.0/Changes
--- old/Sys-Virt-3.2.0/Changes  2017-04-03 15:40:07.0 +0200
+++ new/Sys-Virt-3.3.0/Changes  2017-05-08 12:23:32.0 +0200
@@ -1,5 +1,9 @@
 Revision history for perl module Sys::Virt
 
+3.3.0 2017-05-08
+
+ - Add VIR_DOMAIN_JOB_OPERATION* constants
+
 3.2.0 2017-04-03
 
  - Add PERF_PARAM_CPU_CLOCK constant
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Sys-Virt-3.2.0/META.yml new/Sys-Virt-3.3.0/META.yml
--- old/Sys-Virt-3.2.0/META.yml 2017-04-03 15:41:13.0 +0200
+++ new/Sys-Virt-3.3.0/META.yml 2017-05-08 12:25:34.0 +0200
@@ -1,7 +1,7 @@
 --- #YAML:1.0
 name: Sys-Virt
 abstract: Extension for the libvirt library
-version:  3.2.0
+version:  3.3.0
 author:
   - Daniel P. Berrange 
 license: perl
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Sys-Virt-3.2.0/MYMETA.json 
new/Sys-Virt-3.3.0/MYMETA.json
--- old/Sys-Virt-3.2.0/MYMETA.json  2017-04-03 15:41:05.0 +0200
+++ new/Sys-Virt-3.3.0/MYMETA.json  2017-05-08 12:25:26.0 +0200
@@ -42,6 +42,6 @@
   }
},
"release_status" : "stable",
-   "version" : "v3.2.0",
+   "version" : "v3.3.0",
"x_serialization_backend" : "JSON::PP version 2.27400"
 }
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Sys-Virt-3.2.0/MYMETA.yml 
new/Sys-Virt-3.3.0/MYMETA.yml
--- old/Sys-Virt-3.2.0/MYMETA.yml   2017-04-03 15:41:05.0 +0200
+++ new/Sys-Virt-3.3.0/MYMETA.yml   2017-05-08 12:25:26.0 +0200
@@ -24,5 +24,5 @@
   Test::Pod::Coverage: '0'
   Time::HiRes: '0'
   XML::XPath: '0'
-version: v3.2.0
+version: v3.3.0
 x_serialization_backend: 'CPAN::Meta::YAML version 0.018'
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Sys-Virt-3.2.0/Makefile.PL 
new/Sys-Virt-3.3.0/Makefile.PL
--- old/Sys-Virt-3.2.0/Makefile.PL  2017-03-07 10:57:27.0 +0100
+++ new/Sys-Virt-3.3.0/Makefile.PL  2017-04-03 15:51:08.0 +0200
@@ -3,7 +3,7 @@
 # See lib/ExtUtils/MakeMaker.pm for details of how to influence
 # the contents of the Makefile that is written.
 
-my $libvirtver = "3.2.0";
+my $libvirtver = "3.3.0";
 my $stat = system "pkg-config --atleast-version=$libvirtver libvirt";
 die "cannot run pkg-config to check libvirt version" if $stat == -1;
 die "libvirt >= $libvirtver is required\n" unless $stat == 0;
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Sys-Virt-3.2.0/README new/Sys-Virt-3.3.0/README
--- old/Sys-Virt-3.2.0/README   2017-03-07 10:57:18.0 +0100
+++ new/Sys-Virt-3.3.0/README   2017-04-03 15:50:44.0 +0200
@@ -7,6 +7,6 @@
 The only pre-requisite for this module is libvirt itself. For
 installation instructions, consult the INSTALL file.
 
-The current minimum required version of libvirt is 3.2.0
+The current minimum required version of libvirt is 3.3.0
 
 -- End
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Sys-Virt-3.2.0/Virt.xs new/Sys-Virt-3.3.0/Virt.xs
--- old/Sys-Virt-3.2.0/Virt.xs  2017-04-03 15:25:40.0 +0200
+++ 

commit libvirt-python for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package libvirt-python for openSUSE:Factory 
checked in at 2017-05-09 18:09:50

Comparing /work/SRC/openSUSE:Factory/libvirt-python (Old)
 and  /work/SRC/openSUSE:Factory/.libvirt-python.new (New)


Package is "libvirt-python"

Tue May  9 18:09:50 2017 rev:41 rq:493580 version:3.3.0

Changes:

--- /work/SRC/openSUSE:Factory/libvirt-python/libvirt-python.changes
2017-04-06 11:02:51.821533179 +0200
+++ /work/SRC/openSUSE:Factory/.libvirt-python.new/libvirt-python.changes   
2017-05-09 18:09:52.215913160 +0200
@@ -1,0 +2,7 @@
+Mon May  8 17:40:15 UTC 2017 - jfeh...@suse.com
+
+- Update to 3.3.0
+  - Add all new APIs and constants in libvirt 3.3.0
+  - FATE#319684, FATE#321335, FATE#321349
+
+---

Old:

  libvirt-python-3.2.0.tar.gz
  libvirt-python-3.2.0.tar.gz.asc

New:

  libvirt-python-3.3.0.tar.gz
  libvirt-python-3.3.0.tar.gz.asc



Other differences:
--
++ libvirt-python.spec ++
--- /var/tmp/diff_new_pack.fAfKDX/_old  2017-05-09 18:09:52.899816516 +0200
+++ /var/tmp/diff_new_pack.fAfKDX/_new  2017-05-09 18:09:52.903815951 +0200
@@ -18,7 +18,7 @@
 
 Name:   libvirt-python
 Url:http://libvirt.org/
-Version:3.2.0
+Version:3.3.0
 Release:0
 Summary:Library providing a simple virtualization API
 License:LGPL-2.1+

++ libvirt-python-3.2.0.tar.gz -> libvirt-python-3.3.0.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/libvirt-python-3.2.0/AUTHORS 
new/libvirt-python-3.3.0/AUTHORS
--- old/libvirt-python-3.2.0/AUTHORS2017-04-02 17:10:54.0 +0200
+++ new/libvirt-python-3.3.0/AUTHORS2017-05-05 21:48:18.0 +0200
@@ -75,6 +75,7 @@
Tomoki Sekiyama 
Victor Stinner 
Viktor Mihajlovski 
+   Wojtek Porczyk 
Wu Zongyong 
Zeeshan Ali (Khattak) 
Zhou Yimin 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/libvirt-python-3.2.0/ChangeLog 
new/libvirt-python-3.3.0/ChangeLog
--- old/libvirt-python-3.2.0/ChangeLog  2017-04-02 17:10:54.0 +0200
+++ new/libvirt-python-3.3.0/ChangeLog  2017-05-05 21:48:18.0 +0200
@@ -1,3 +1,75 @@
+2017-04-04 Daniel P. Berrange  
+
+event-test: add ability to run the asyncio event loop
+The event test program '--loop' arg is modified to take the name
+of an event loop impl to run. eg 'event-test.py --loop asyncio'
+
+
+
+2017-04-04 Daniel P. Berrange  
+
+event-test: rename example event loop impl
+Use the name 'Poll' instead of 'Pure' for the event loop demo,
+since there's now a second pure python loop impl available.
+
+
+
+2017-04-04 Daniel P. Berrange  
+
+event-test: unregister callbacks & close conn on exit
+In order to test cleanup code paths we must unregister all callbacks
+and close the connection on shutdown. Since cleanup happens in the
+background, we do a short sleep to allow the main loop to run its
+cleanup too.
+
+
+
+2017-04-04 Daniel P. Berrange  
+
+event-test: add timeout to exit event loop
+
+
+2017-04-04 Daniel P. Berrange  
+
+event-test: free opaque data when removing callbacks
+The pure python event loop impl has to call
+
+libvirt.virEventInvokeFreeCallback
+
+to free the event opaque data from a clean stack context
+
+
+
+2017-04-04 Wojtek Porczyk  
+
+Add asyncio event loop implementation
+This is usable only on python >= 3.4 (or 3.3 with out-of-tree asyncio),
+however it should be harmless for anyone with older python versions.
+
+In simplest case, to have the callbacks queued on the default loop:
+
+>>> import libvirtaio
+>>> libvirtaio.virEventRegisterAsyncIOImpl()
+
+The function is not present on non-compatible platforms.
+
+
+
+2017-04-04 Wojtek Porczyk  
+
+Allow for ff callbacks to be called by custom event implementations
+The documentation says:
+> If the opaque user data requires free'ing when the handle is
+> unregistered, then a 2nd callback can be supplied for this purpose.
+> This callback needs to be invoked from a clean stack. If 'ff'
+> callbacks are invoked directly from the 

commit ghc-machines for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package ghc-machines for openSUSE:Factory 
checked in at 2017-05-09 18:09:40

Comparing /work/SRC/openSUSE:Factory/ghc-machines (Old)
 and  /work/SRC/openSUSE:Factory/.ghc-machines.new (New)


Package is "ghc-machines"

Tue May  9 18:09:40 2017 rev:1 rq:493573 version:0.6.2

Changes:

New Changes file:

--- /dev/null   2017-03-01 00:40:19.279048016 +0100
+++ /work/SRC/openSUSE:Factory/.ghc-machines.new/ghc-machines.changes   
2017-05-09 18:09:44.544997151 +0200
@@ -0,0 +1,15 @@
+---
+Wed May  3 08:24:09 UTC 2017 - psim...@suse.com
+
+- Update to version 0.6.2 with cabal2obs.
+
+---
+Thu Sep 15 06:44:24 UTC 2016 - psim...@suse.com
+
+- Update to version 0.6.1 revision 0 with cabal2obs.
+
+---
+Sun Jul 10 17:04:16 UTC 2016 - psim...@suse.com
+
+- Update to version 0.5.1 revision 1 with cabal2obs.
+

New:

  ghc-machines.changes
  ghc-machines.spec
  machines-0.6.2.tar.gz



Other differences:
--
++ ghc-machines.spec ++
#
# spec file for package ghc-machines
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name machines
%bcond_with tests
Name:   ghc-%{pkg_name}
Version:0.6.2
Release:0
Summary:Networked stream transducers
License:BSD-3-Clause
Group:  Development/Languages/Other
Url:https://hackage.haskell.org/package/%{pkg_name}
Source0:
https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-adjunctions-devel
BuildRequires:  ghc-cabal-doctest-devel
BuildRequires:  ghc-comonad-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-distributive-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-pointed-devel
BuildRequires:  ghc-profunctors-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-semigroupoids-devel
BuildRequires:  ghc-semigroups-devel
BuildRequires:  ghc-transformers-compat-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-void-devel
BuildRoot:  %{_tmppath}/%{name}-%{version}-build
%if %{with tests}
BuildRequires:  ghc-doctest-devel
%endif

%description
Networked stream transducers

Rúnar Bjarnason's talk on machines can be downloaded from:
.

%package devel
Summary:Haskell %{pkg_name} library development files
Group:  Development/Libraries/Other
Requires:   %{name} = %{version}-%{release}
Requires:   ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc CHANGELOG.markdown README.markdown examples

%changelog



commit ghc-lens-family-th for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package ghc-lens-family-th for 
openSUSE:Factory checked in at 2017-05-09 18:09:29

Comparing /work/SRC/openSUSE:Factory/ghc-lens-family-th (Old)
 and  /work/SRC/openSUSE:Factory/.ghc-lens-family-th.new (New)


Package is "ghc-lens-family-th"

Tue May  9 18:09:29 2017 rev:1 rq:493571 version:0.5.0.0

Changes:

New Changes file:

--- /dev/null   2017-03-01 00:40:19.279048016 +0100
+++ 
/work/SRC/openSUSE:Factory/.ghc-lens-family-th.new/ghc-lens-family-th.changes   
2017-05-09 18:09:32.530694914 +0200
@@ -0,0 +1,10 @@
+---
+Thu Sep 15 06:45:40 UTC 2016 - psim...@suse.com
+
+- Update to version 0.5.0.0 revision 0 with cabal2obs.
+
+---
+Sun Jul 10 17:14:29 UTC 2016 - psim...@suse.com
+
+- Update to version 0.4.1.0 revision 2 with cabal2obs.
+

New:

  ghc-lens-family-th.changes
  ghc-lens-family-th.spec
  lens-family-th-0.5.0.0.tar.gz



Other differences:
--
++ ghc-lens-family-th.spec ++
#
# spec file for package ghc-lens-family-th
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name lens-family-th
Name:   ghc-%{pkg_name}
Version:0.5.0.0
Release:0
Summary:Generate lens-family style lenses
License:BSD-3-Clause
Group:  Development/Languages/Other
Url:https://hackage.haskell.org/package/%{pkg_name}
Source0:
https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-template-haskell-devel
BuildRoot:  %{_tmppath}/%{name}-%{version}-build

%description
Due to a cabal/hackage defect, curly braces cannot be adequately displayed
here. Please see  for a
proper description of this package.

(See  for the ticket I created
regarding the defect.).

%package devel
Summary:Haskell %{pkg_name} library development files
Group:  Development/Libraries/Other
Requires:   %{name} = %{version}-%{release}
Requires:   ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)

%changelog



commit ghc-text-icu for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package ghc-text-icu for openSUSE:Factory 
checked in at 2017-05-09 18:09:08

Comparing /work/SRC/openSUSE:Factory/ghc-text-icu (Old)
 and  /work/SRC/openSUSE:Factory/.ghc-text-icu.new (New)


Package is "ghc-text-icu"

Tue May  9 18:09:08 2017 rev:3 rq:493566 version:0.7.0.1

Changes:

--- /work/SRC/openSUSE:Factory/ghc-text-icu/ghc-text-icu.changes
2016-07-21 08:13:23.0 +0200
+++ /work/SRC/openSUSE:Factory/.ghc-text-icu.new/ghc-text-icu.changes   
2017-05-09 18:09:09.869897151 +0200
@@ -1,0 +2,5 @@
+Mon May  8 18:09:58 UTC 2017 - psim...@suse.com
+
+- Fix icu dependencies.
+
+---



Other differences:
--
++ ghc-text-icu.spec ++
--- /var/tmp/diff_new_pack.OHdVjW/_old  2017-05-09 18:09:10.677782987 +0200
+++ /var/tmp/diff_new_pack.OHdVjW/_new  2017-05-09 18:09:10.681782422 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package ghc-text-icu
 #
-# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -23,16 +23,19 @@
 Release:0
 Summary:Bindings to the ICU library
 License:BSD-3-Clause
-Group:  System/Libraries
+Group:  Development/Languages/Other
 Url:https://hackage.haskell.org/package/%{pkg_name}
 Source0:
https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
 BuildRequires:  ghc-Cabal-devel
-# Begin cabal-rpm deps:
 BuildRequires:  ghc-bytestring-devel
 BuildRequires:  ghc-deepseq-devel
 BuildRequires:  ghc-rpm-macros
 BuildRequires:  ghc-text-devel
 BuildRequires:  libicu-devel
+BuildRequires:  pkgconfig
+BuildRequires:  pkgconfig(icu-i18n)
+BuildRequires:  pkgconfig(icu-io)
+BuildRequires:  pkgconfig(icu-uc)
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 %if %{with tests}
 BuildRequires:  ghc-HUnit-devel
@@ -44,13 +47,6 @@
 BuildRequires:  ghc-test-framework-hunit-devel
 BuildRequires:  ghc-test-framework-quickcheck2-devel
 %endif
-# End cabal-rpm deps
-BuildRequires:  pkgconfig
-BuildRequires:  pkgconfig(icu-i18n)
-BuildRequires:  pkgconfig(icu-io)
-BuildRequires:  pkgconfig(icu-le)
-BuildRequires:  pkgconfig(icu-lx)
-BuildRequires:  pkgconfig(icu-uc)
 
 %description
 Haskell bindings to the International Components for Unicode (ICU) libraries.
@@ -84,15 +80,11 @@
 Group:  Development/Libraries/Other
 Requires:   %{name} = %{version}-%{release}
 Requires:   ghc-compiler = %{ghc_version}
-# Begin cabal-rpm deps:
 Requires:   libicu-devel
-Requires(post): ghc-compiler = %{ghc_version}
-Requires(postun): ghc-compiler = %{ghc_version}
-# End cabal-rpm deps
 Requires:   pkgconfig(icu-i18n)
 Requires:   pkgconfig(icu-io)
-Requires:   pkgconfig(icu-le)
-Requires:   pkgconfig(icu-lx)
+Requires(post): ghc-compiler = %{ghc_version}
+Requires(postun): ghc-compiler = %{ghc_version}
 
 %description devel
 This package provides the Haskell %{pkg_name} library development files.
@@ -100,20 +92,14 @@
 %prep
 %setup -q -n %{pkg_name}-%{version}
 
-
 %build
 %ghc_lib_build
 
-
 %install
 %ghc_lib_install
 
-
 %check
-%if %{with tests}
-%{cabal} test
-%endif
-
+%cabal_test
 
 %post devel
 %ghc_pkg_recache




commit ghc-servant-foreign for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package ghc-servant-foreign for 
openSUSE:Factory checked in at 2017-05-09 18:08:53

Comparing /work/SRC/openSUSE:Factory/ghc-servant-foreign (Old)
 and  /work/SRC/openSUSE:Factory/.ghc-servant-foreign.new (New)


Package is "ghc-servant-foreign"

Tue May  9 18:08:53 2017 rev:1 rq:493546 version:0.9.1.1

Changes:

New Changes file:

--- /dev/null   2017-03-01 00:40:19.279048016 +0100
+++ 
/work/SRC/openSUSE:Factory/.ghc-servant-foreign.new/ghc-servant-foreign.changes 
2017-05-09 18:08:58.151553090 +0200
@@ -0,0 +1,15 @@
+---
+Sun Feb 12 14:13:56 UTC 2017 - psim...@suse.com
+
+- Update to version 0.9.1.1 with cabal2obs.
+
+---
+Thu Sep 15 06:43:29 UTC 2016 - psim...@suse.com
+
+- Update to version 0.8.1 revision 0 with cabal2obs.
+
+---
+Sun Jul 10 17:08:01 UTC 2016 - psim...@suse.com
+
+- Update to version 0.7.1 revision 0 with cabal2obs.
+

New:

  ghc-servant-foreign.changes
  ghc-servant-foreign.spec
  servant-foreign-0.9.1.1.tar.gz



Other differences:
--
++ ghc-servant-foreign.spec ++
#
# spec file for package ghc-servant-foreign
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name servant-foreign
%bcond_with tests
Name:   ghc-%{pkg_name}
Version:0.9.1.1
Release:0
Summary:Helpers for generating clients for servant APIs in any 
programming language
License:BSD-3-Clause
Group:  Development/Languages/Other
Url:https://hackage.haskell.org/package/%{pkg_name}
Source0:
https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-http-types-devel
BuildRequires:  ghc-lens-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-servant-devel
BuildRequires:  ghc-text-devel
BuildRoot:  %{_tmppath}/%{name}-%{version}-build
%if %{with tests}
BuildRequires:  ghc-hspec-devel
%endif

%description
Helper types and functions for generating client functions for servant APIs in
any programming language

This package provides types and functions that collect all the data needed to
generate client functions in the programming language of your choice.
This effectively means you only have to write the code that "pretty-prints"
this data as some code in your target language.

See the servant-js package for an example

.

%package devel
Summary:Haskell %{pkg_name} library development files
Group:  Development/Libraries/Other
Requires:   %{name} = %{version}-%{release}
Requires:   ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development
files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc CHANGELOG.md README.md

%changelog



commit ghc-servant-js for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package ghc-servant-js for openSUSE:Factory 
checked in at 2017-05-09 18:09:02

Comparing /work/SRC/openSUSE:Factory/ghc-servant-js (Old)
 and  /work/SRC/openSUSE:Factory/.ghc-servant-js.new (New)


Package is "ghc-servant-js"

Tue May  9 18:09:02 2017 rev:1 rq:493547 version:0.9.3

Changes:

New Changes file:

--- /dev/null   2017-03-01 00:40:19.279048016 +0100
+++ /work/SRC/openSUSE:Factory/.ghc-servant-js.new/ghc-servant-js.changes   
2017-05-09 18:09:03.570787289 +0200
@@ -0,0 +1,30 @@
+---
+Wed Apr 19 13:20:23 UTC 2017 - psim...@suse.com
+
+- Update to version 0.9.3 revision 1 with cabal2obs.
+
+---
+Tue Mar  7 11:19:26 UTC 2017 - psim...@suse.com
+
+- Update to version 0.9.3 with cabal2obs.
+
+---
+Mon Feb 27 10:12:18 UTC 2017 - psim...@suse.com
+
+- Update to version 0.9.2 with cabal2obs.
+
+---
+Sun Feb 12 14:19:52 UTC 2017 - psim...@suse.com
+
+- Update to version 0.9.1 revision 2 with cabal2obs.
+
+---
+Thu Sep 15 07:00:03 UTC 2016 - psim...@suse.com
+
+- Update to version 0.8.1 revision 0 with cabal2obs.
+
+---
+Sun Jul 10 17:00:52 UTC 2016 - psim...@suse.com
+
+- Update to version 0.7.1 revision 0 with cabal2obs.
+

New:

  ghc-servant-js.changes
  ghc-servant-js.spec
  servant-js-0.9.3.tar.gz
  servant-js.cabal



Other differences:
--
++ ghc-servant-js.spec ++
#
# spec file for package ghc-servant-js
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name servant-js
%bcond_with tests
Name:   ghc-%{pkg_name}
Version:0.9.3
Release:0
Summary:Automatically derive javascript functions to query servant 
webservices
License:BSD-3-Clause
Group:  Development/Languages/Other
Url:https://hackage.haskell.org/package/%{pkg_name}
Source0:
https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
Source1:
https://hackage.haskell.org/package/%{pkg_name}-%{version}/revision/1.cabal#/%{pkg_name}.cabal
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-base-compat-devel
BuildRequires:  ghc-charset-devel
BuildRequires:  ghc-lens-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-servant-devel
BuildRequires:  ghc-servant-foreign-devel
BuildRequires:  ghc-text-devel
BuildRoot:  %{_tmppath}/%{name}-%{version}-build
%if %{with tests}
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-hspec-devel
BuildRequires:  ghc-hspec-expectations-devel
BuildRequires:  ghc-language-ecmascript-devel
%endif

%description
Automatically derive javascript functions to query servant webservices.

Supports deriving functions using vanilla javascript AJAX requests, Angulari,
Axios or JQuery.

You can find an example
 which serves the generated javascript to a webpage that allows you to
trigger webservice calls.

.

%package devel
Summary:Haskell %{pkg_name} library development files
Group:  Development/Libraries/Other
Requires:   %{name} = %{version}-%{release}
Requires:   ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}
cp -p %{SOURCE1} %{pkg_name}.cabal

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files

commit ghc-singletons for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package ghc-singletons for openSUSE:Factory 
checked in at 2017-05-09 18:08:50

Comparing /work/SRC/openSUSE:Factory/ghc-singletons (Old)
 and  /work/SRC/openSUSE:Factory/.ghc-singletons.new (New)


Package is "ghc-singletons"

Tue May  9 18:08:50 2017 rev:1 rq:493545 version:2.2

Changes:

New Changes file:

--- /dev/null   2017-03-01 00:40:19.279048016 +0100
+++ /work/SRC/openSUSE:Factory/.ghc-singletons.new/ghc-singletons.changes   
2017-05-09 18:08:51.964427404 +0200
@@ -0,0 +1,10 @@
+---
+Thu Sep 15 06:48:23 UTC 2016 - psim...@suse.com
+
+- Update to version 2.2 revision 0 with cabal2obs.
+
+---
+Sun Jul 10 17:26:39 UTC 2016 - psim...@suse.com
+
+- Update to version 2.0.1 revision 0 with cabal2obs.
+

New:

  ghc-singletons.changes
  ghc-singletons.spec
  singletons-2.2.tar.gz



Other differences:
--
++ ghc-singletons.spec ++
#
# spec file for package ghc-singletons
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name singletons
%bcond_with tests
Name:   ghc-%{pkg_name}
Version:2.2
Release:0
Summary:A framework for generating singleton types
License:BSD-3-Clause
Group:  Development/Languages/Other
Url:https://hackage.haskell.org/package/%{pkg_name}
Source0:
https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-syb-devel
BuildRequires:  ghc-template-haskell-devel
BuildRequires:  ghc-th-desugar-devel
BuildRoot:  %{_tmppath}/%{name}-%{version}-build
%if %{with tests}
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-tasty-devel
BuildRequires:  ghc-tasty-golden-devel
%endif

%description
This library generates singleton types, promoted functions, and singleton
functions using Template Haskell. It is useful for programmers who wish to use
dependently typed programming techniques. The library was originally presented
in /Dependently Typed Programming with Singletons/, published at the Haskell
Symposium, 2012.
() Version 1.0
and onwards works a lot harder to promote functions. See the paper published at
Haskell Symposium, 2014:
.

%package devel
Summary:Haskell %{pkg_name} library development files
Group:  Development/Libraries/Other
Requires:   %{name} = %{version}-%{release}
Requires:   ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc CHANGES.md README.md

%changelog



commit ghc-publicsuffix for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package ghc-publicsuffix for 
openSUSE:Factory checked in at 2017-05-09 18:08:45

Comparing /work/SRC/openSUSE:Factory/ghc-publicsuffix (Old)
 and  /work/SRC/openSUSE:Factory/.ghc-publicsuffix.new (New)


Package is "ghc-publicsuffix"

Tue May  9 18:08:45 2017 rev:1 rq:493543 version:0.20170109

Changes:

New Changes file:

--- /dev/null   2017-03-01 00:40:19.279048016 +0100
+++ /work/SRC/openSUSE:Factory/.ghc-publicsuffix.new/ghc-publicsuffix.changes   
2017-05-09 18:08:47.117112387 +0200
@@ -0,0 +1,15 @@
+---
+Sun Feb 12 14:04:55 UTC 2017 - psim...@suse.com
+
+- Update to version 0.20170109 with cabal2obs.
+
+---
+Thu Sep 15 07:07:53 UTC 2016 - psim...@suse.com
+
+- Update to version 0.20160716 revision 0 with cabal2obs.
+
+---
+Sun Jul 10 17:28:59 UTC 2016 - psim...@suse.com
+
+- Update to version 0.20160522 revision 0 with cabal2obs.
+

New:

  ghc-publicsuffix.changes
  ghc-publicsuffix.spec
  publicsuffix-0.20170109.tar.gz



Other differences:
--
++ ghc-publicsuffix.spec ++
#
# spec file for package ghc-publicsuffix
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name publicsuffix
%bcond_with tests
Name:   ghc-%{pkg_name}
Version:0.20170109
Release:0
Summary:The publicsuffix list exposed as proper Haskell types
License:MIT
Group:  Development/Languages/Other
Url:https://hackage.haskell.org/package/%{pkg_name}
Source0:
https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-template-haskell-devel
BuildRoot:  %{_tmppath}/%{name}-%{version}-build
%if %{with tests}
BuildRequires:  ghc-hspec-devel
%endif

%description
This package contains a parsed representation of the publicsuffix list, and
functions which you can use to query it.

The package version follows the template '.' where 'date' is
when the publicsuffix list was last updated from upstream, in the format
'MMDD'.

%package devel
Summary:Haskell %{pkg_name} library development files
Group:  Development/Libraries/Other
Requires:   %{name} = %{version}-%{release}
Requires:   ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)

%changelog



commit ghc-tidal for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package ghc-tidal for openSUSE:Factory 
checked in at 2017-05-09 18:08:41

Comparing /work/SRC/openSUSE:Factory/ghc-tidal (Old)
 and  /work/SRC/openSUSE:Factory/.ghc-tidal.new (New)


Package is "ghc-tidal"

Tue May  9 18:08:41 2017 rev:1 rq:493540 version:0.8.2

Changes:

New Changes file:

--- /dev/null   2017-03-01 00:40:19.279048016 +0100
+++ /work/SRC/openSUSE:Factory/.ghc-tidal.new/ghc-tidal.changes 2017-05-09 
18:08:43.141674163 +0200
@@ -0,0 +1,15 @@
+---
+Mon Sep 26 06:49:46 UTC 2016 - psim...@suse.com
+
+- Update to version 0.8.2 with cabal2obs.
+
+---
+Thu Sep 15 07:06:54 UTC 2016 - psim...@suse.com
+
+- Update to version 0.8.1 revision 0 with cabal2obs.
+
+---
+Sun Jul 10 17:01:39 UTC 2016 - psim...@suse.com
+
+- Update to version 0.7.1 revision 0 with cabal2obs.
+

New:

  ghc-tidal.changes
  ghc-tidal.spec
  tidal-0.8.2.tar.gz



Other differences:
--
++ ghc-tidal.spec ++
#
# spec file for package ghc-tidal
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name tidal
Name:   ghc-%{pkg_name}
Version:0.8.2
Release:0
Summary:Pattern language for improvised music
License:GPL-3.0+
Group:  Development/Languages/Other
Url:https://hackage.haskell.org/package/%{pkg_name}
Source0:
https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-binary-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-colour-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-hashable-devel
BuildRequires:  ghc-hmt-devel
BuildRequires:  ghc-hosc-devel
BuildRequires:  ghc-mersenne-random-pure64-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-parsec-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-websockets-devel
BuildRoot:  %{_tmppath}/%{name}-%{version}-build

%description
Tidal is a domain specific language for live coding pattern.

%package devel
Summary:Haskell %{pkg_name} library development files
Group:  Development/Libraries/Other
Requires:   %{name} = %{version}-%{release}
Requires:   ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc README.md doc

%changelog



commit ghc-yesod-job-queue for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package ghc-yesod-job-queue for 
openSUSE:Factory checked in at 2017-05-09 18:08:03

Comparing /work/SRC/openSUSE:Factory/ghc-yesod-job-queue (Old)
 and  /work/SRC/openSUSE:Factory/.ghc-yesod-job-queue.new (New)


Package is "ghc-yesod-job-queue"

Tue May  9 18:08:03 2017 rev:1 rq:493530 version:0.3.0.2

Changes:

New Changes file:

--- /dev/null   2017-03-01 00:40:19.279048016 +0100
+++ 
/work/SRC/openSUSE:Factory/.ghc-yesod-job-queue.new/ghc-yesod-job-queue.changes 
2017-05-09 18:08:07.278742014 +0200
@@ -0,0 +1,15 @@
+---
+Fri May  5 07:40:08 UTC 2017 - psim...@suse.com
+
+- Update to version 0.3.0.2 with cabal2obs.
+
+---
+Tue Oct 11 08:49:43 UTC 2016 - psim...@suse.com
+
+- Update to version 0.3.0.1 with cabal2obs.
+
+---
+Sun Jul 10 17:31:51 UTC 2016 - psim...@suse.com
+
+- Update to version 0.3.0.0 revision 0 with cabal2obs.
+

New:

  ghc-yesod-job-queue.changes
  ghc-yesod-job-queue.spec
  yesod-job-queue-0.3.0.2.tar.gz



Other differences:
--
++ ghc-yesod-job-queue.spec ++
#
# spec file for package ghc-yesod-job-queue
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name yesod-job-queue
Name:   ghc-%{pkg_name}
Version:0.3.0.2
Release:0
Summary:Background jobs library for Yesod
License:BSD-3-Clause
Group:  Development/Languages/Other
Url:https://hackage.haskell.org/package/%{pkg_name}
Source0:
https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-api-field-json-th-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-cron-devel
BuildRequires:  ghc-file-embed-devel
BuildRequires:  ghc-hedis-devel
BuildRequires:  ghc-lens-devel
BuildRequires:  ghc-monad-control-devel
BuildRequires:  ghc-monad-logger-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-stm-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-uuid-devel
BuildRequires:  ghc-yesod-core-devel
BuildRequires:  ghc-yesod-devel
BuildRequires:  ghc-yesod-persistent-devel
BuildRoot:  %{_tmppath}/%{name}-%{version}-build

%description
Background jobs library for Yesod

* It contains management API and web interface. * Queue backend is Redis.
* Support cron scheduler

Usage and screen shot are available in README.md.

%package devel
Summary:Haskell %{pkg_name} library development files
Group:  Development/Libraries/Other
Requires:   %{name} = %{version}-%{release}
Requires:   ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development
files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc README.md doc example

%changelog



commit ghc-streams for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package ghc-streams for openSUSE:Factory 
checked in at 2017-05-09 18:08:33

Comparing /work/SRC/openSUSE:Factory/ghc-streams (Old)
 and  /work/SRC/openSUSE:Factory/.ghc-streams.new (New)


Package is "ghc-streams"

Tue May  9 18:08:33 2017 rev:1 rq:493537 version:3.3

Changes:

New Changes file:

--- /dev/null   2017-03-01 00:40:19.279048016 +0100
+++ /work/SRC/openSUSE:Factory/.ghc-streams.new/ghc-streams.changes 
2017-05-09 18:08:36.166659814 +0200
@@ -0,0 +1,10 @@
+---
+Thu Sep 15 06:47:00 UTC 2016 - psim...@suse.com
+
+- Update to version 3.3 revision 0 with cabal2obs.
+
+---
+Sun Jul 10 17:33:04 UTC 2016 - psim...@suse.com
+
+- Update to version 3.2.1 revision 0 with cabal2obs.
+

New:

  ghc-streams.changes
  ghc-streams.spec
  streams-3.3.tar.gz



Other differences:
--
++ ghc-streams.spec ++
#
# spec file for package ghc-streams
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name streams
Name:   ghc-%{pkg_name}
Version:3.3
Release:0
Summary:Various Haskell 2010 stream comonads
License:BSD-3-Clause
Group:  Development/Languages/Other
Url:https://hackage.haskell.org/package/%{pkg_name}
Source0:
https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-adjunctions-devel
BuildRequires:  ghc-comonad-devel
BuildRequires:  ghc-distributive-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-semigroupoids-devel
BuildRequires:  ghc-semigroups-devel
BuildRoot:  %{_tmppath}/%{name}-%{version}-build

%description
Various Haskell 2010 stream comonads. * "Data.Stream.Future" provides a
coinductive anti-causal stream, or non-empty 'ZipList'. The comonad provides
access to only the tail of the stream. Like a conventional 'ZipList', this is
/not/ a monad.

> data Future a = Last a | a :< Future a

* "Data.Stream.Future.Skew" provides a non-empty skew-binary random-access-list
with the semantics of 'Data.Stream.Future'. As with "Data.Stream.Future" this
stream is not a 'Monad', since the 'Applicative' instance zips streams of
potentially differing lengths. The random-access-list structure provides a
number of operations logarithmic access time, but makes
'Data.Stream.Future.Skew.cons' less productive. Where applicable
"Data.Stream.Infinite.Skew" may be more efficient, due to a lazier and more
efficient 'Applicative' instance.

>

* "Data.Stream.Infinite" provides a coinductive infinite anti-causal stream.
The 'Comonad' provides access to the tail of the stream and the 'Applicative'
zips streams together. Unlike 'Future', infinite stream form a 'Monad'.
The monad diagonalizes the 'Stream', which is consistent with the behavior of
the 'Applicative', and the view of a 'Stream' as a isomorphic to the reader
monad from the natural numbers. Being infinite in length, there is no
'Alternative' instance.

> data Stream a = a :< Stream a

* "Data.Stream.Infinite.Skew" provides an infinite skew-binary
random-access-list with the semantics of "Data.Stream.Infinite" Since every
stream is infinite, the 'Applicative' instance can be considerably less strict
than the corresponding instance for "Data.Stream.Future.Skew" and performs
asymptotically better.

>

* "Data.Stream.Infinite.Functional.Zipper" provides a bi-infinite sequence,
represented as a pure function with an accumulating parameter added to optimize
moving the current focus.

> data Zipper a = !Integer :~ (Integer -> a)

* "Data.Stream.Supply" provides a comonadic supply of unique values, which are
generated impurely as the tree is explored.

%package devel
Summary:Haskell %{pkg_name} library development files
Group:  Development/Libraries/Other
Requires:   %{name} = %{version}-%{release}
Requires:   ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = 

commit ghc-yi-language for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package ghc-yi-language for openSUSE:Factory 
checked in at 2017-05-09 18:08:15

Comparing /work/SRC/openSUSE:Factory/ghc-yi-language (Old)
 and  /work/SRC/openSUSE:Factory/.ghc-yi-language.new (New)


Package is "ghc-yi-language"

Tue May  9 18:08:15 2017 rev:1 rq:493532 version:0.13.5

Changes:

New Changes file:

--- /dev/null   2017-03-01 00:40:19.279048016 +0100
+++ /work/SRC/openSUSE:Factory/.ghc-yi-language.new/ghc-yi-language.changes 
2017-05-09 18:08:17.433307056 +0200
@@ -0,0 +1,10 @@
+---
+Sun Feb 12 14:17:07 UTC 2017 - psim...@suse.com
+
+- Update to version 0.13.5 with cabal2obs.
+
+---
+Sun Jul 10 17:01:42 UTC 2016 - psim...@suse.com
+
+- Update to version 0.2.1 revision 0 with cabal2obs.
+

New:

  ghc-yi-language.changes
  ghc-yi-language.spec
  yi-language-0.13.5.tar.gz



Other differences:
--
++ ghc-yi-language.spec ++
#
# spec file for package ghc-yi-language
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name yi-language
%bcond_with tests
Name:   ghc-%{pkg_name}
Version:0.13.5
Release:0
Summary:Collection of language-related Yi libraries
License:GPL-2.0+
Group:  Development/Languages/Other
Url:https://hackage.haskell.org/package/%{pkg_name}
Source0:
https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  alex
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-binary-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-data-default-devel
BuildRequires:  ghc-hashable-devel
BuildRequires:  ghc-microlens-platform-devel
BuildRequires:  ghc-oo-prototypes-devel
BuildRequires:  ghc-pointedlist-devel
BuildRequires:  ghc-regex-base-devel
BuildRequires:  ghc-regex-tdfa-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-template-haskell-devel
BuildRequires:  ghc-transformers-base-devel
BuildRequires:  ghc-unordered-containers-devel
BuildRoot:  %{_tmppath}/%{name}-%{version}-build
%if %{with tests}
BuildRequires:  ghc-tasty-devel
BuildRequires:  ghc-tasty-hspec-devel
BuildRequires:  ghc-tasty-quickcheck-devel
%endif

%description
Collection of language-related Yi libraries.

%package devel
Summary:Haskell %{pkg_name} library development files
Group:  Development/Libraries/Other
Requires:   %{name} = %{version}-%{release}
Requires:   ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)

%changelog



commit ghc-soap for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package ghc-soap for openSUSE:Factory 
checked in at 2017-05-09 18:08:20

Comparing /work/SRC/openSUSE:Factory/ghc-soap (Old)
 and  /work/SRC/openSUSE:Factory/.ghc-soap.new (New)


Package is "ghc-soap"

Tue May  9 18:08:20 2017 rev:1 rq:493533 version:0.2.3.3

Changes:

New Changes file:

--- /dev/null   2017-03-01 00:40:19.279048016 +0100
+++ /work/SRC/openSUSE:Factory/.ghc-soap.new/ghc-soap.changes   2017-05-09 
18:08:21.612716456 +0200
@@ -0,0 +1,20 @@
+---
+Mon Dec 19 10:19:01 UTC 2016 - psim...@suse.com
+
+- Update to version 0.2.3.3 with cabal2obs.
+
+---
+Tue Nov 29 11:30:30 UTC 2016 - psim...@suse.com
+
+- Update to version 0.2.3.2 with cabal2obs.
+
+---
+Mon Aug  1 10:35:00 UTC 2016 - psim...@suse.com
+
+- Update to version 0.2.3.1 revision 0 with cabal2obs.
+
+---
+Sun Jul 10 17:31:34 UTC 2016 - psim...@suse.com
+
+- Update to version 0.2.3.0 revision 0 with cabal2obs.
+

New:

  ghc-soap.changes
  ghc-soap.spec
  soap-0.2.3.3.tar.gz



Other differences:
--
++ ghc-soap.spec ++
#
# spec file for package ghc-soap
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name soap
%bcond_with tests
Name:   ghc-%{pkg_name}
Version:0.2.3.3
Release:0
Summary:SOAP client tools
License:MIT
Group:  Development/Languages/Other
Url:https://hackage.haskell.org/package/%{pkg_name}
Source0:
https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-conduit-devel
BuildRequires:  ghc-configurator-devel
BuildRequires:  ghc-data-default-devel
BuildRequires:  ghc-exceptions-devel
BuildRequires:  ghc-http-client-devel
BuildRequires:  ghc-http-types-devel
BuildRequires:  ghc-iconv-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-resourcet-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-unordered-containers-devel
BuildRequires:  ghc-xml-conduit-devel
BuildRequires:  ghc-xml-conduit-writer-devel
BuildRequires:  ghc-xml-types-devel
BuildRoot:  %{_tmppath}/%{name}-%{version}-build
%if %{with tests}
BuildRequires:  ghc-HUnit-devel
BuildRequires:  ghc-hspec-devel
%endif

%description
Tools to build SOAP clients using xml-conduit.

A mildly-complicated example:

> import Network.SOAP > import Network.SOAP.Transport.HTTP > > import
Text.XML.Writer > import Text.XML.Stream.Parse as Parse > import Data.Text
(Text) > import qualified Data.Text as T > > main :: IO () > main = do > --
Initial one-time preparations. > transport <- initTransport
"http://example.com/soap/endpoint; id (iconv "cp-1251") > > -- Making queries >
activeStaff <- listStaff transport True > print activeStaff > > data Person =
Person Text Int deriving Show > > listStaff :: Transport -> Bool -> IO [Person]
> listStaff t active = invokeWS t "urn:dummy:listStaff" () body parser > where
> body = element "request" $ element "listStaff" $ do > element "active" active
> element "order" $ T.pack "age" > element "limit" (10 :: Int) > > parser =
StreamParser $ force "no people" $ tagNoAttr "people" $ Parse.many parsePerson
> > parsePerson = tagName "person" (requireAttr "age") $ age -> do > name <-
Parse.content > return $ Person name (read . T.unpack $ age)

Notice: to invoke HTTPS services you need to initialize a transport from
soap-tls or soap-openssl.

Full examples available at source repo:
.

%package devel
Summary:Haskell %{pkg_name} library development files
Group:  Development/Libraries/Other
Requires:   %{name} = %{version}-%{release}
Requires:   ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): 

commit ghc-yesod-websockets for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package ghc-yesod-websockets for 
openSUSE:Factory checked in at 2017-05-09 18:08:10

Comparing /work/SRC/openSUSE:Factory/ghc-yesod-websockets (Old)
 and  /work/SRC/openSUSE:Factory/.ghc-yesod-websockets.new (New)


Package is "ghc-yesod-websockets"

Tue May  9 18:08:10 2017 rev:1 rq:493531 version:0.2.6

Changes:

New Changes file:

--- /dev/null   2017-03-01 00:40:19.279048016 +0100
+++ 
/work/SRC/openSUSE:Factory/.ghc-yesod-websockets.new/ghc-yesod-websockets.changes
   2017-05-09 18:08:10.946223756 +0200
@@ -0,0 +1,20 @@
+---
+Tue Mar  7 11:19:32 UTC 2017 - psim...@suse.com
+
+- Update to version 0.2.6 with cabal2obs.
+
+---
+Thu Jan 26 16:20:18 UTC 2017 - psim...@suse.com
+
+- Update to version 0.2.5 with cabal2obs.
+
+---
+Sun Dec  4 19:47:19 UTC 2016 - psim...@suse.com
+
+- Update to version 0.2.4.1 with cabal2obs.
+
+---
+Sun Jul 10 17:30:03 UTC 2016 - psim...@suse.com
+
+- Update to version 0.2.4 revision 0 with cabal2obs.
+

New:

  ghc-yesod-websockets.changes
  ghc-yesod-websockets.spec
  yesod-websockets-0.2.6.tar.gz



Other differences:
--
++ ghc-yesod-websockets.spec ++
#
# spec file for package ghc-yesod-websockets
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name yesod-websockets
Name:   ghc-%{pkg_name}
Version:0.2.6
Release:0
Summary:WebSockets support for Yesod
License:MIT
Group:  Development/Languages/Other
Url:https://hackage.haskell.org/package/%{pkg_name}
Source0:
https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-async-devel
BuildRequires:  ghc-conduit-devel
BuildRequires:  ghc-enclosed-exceptions-devel
BuildRequires:  ghc-monad-control-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-wai-devel
BuildRequires:  ghc-wai-websockets-devel
BuildRequires:  ghc-websockets-devel
BuildRequires:  ghc-yesod-core-devel
BuildRoot:  %{_tmppath}/%{name}-%{version}-build

%description
API docs and the README are available at
.

%package devel
Summary:Haskell %{pkg_name} library development files
Group:  Development/Libraries/Other
Requires:   %{name} = %{version}-%{release}
Requires:   ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development
files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc ChangeLog.md README.md

%changelog



commit ghc-webpage for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package ghc-webpage for openSUSE:Factory 
checked in at 2017-05-09 18:07:29

Comparing /work/SRC/openSUSE:Factory/ghc-webpage (Old)
 and  /work/SRC/openSUSE:Factory/.ghc-webpage.new (New)


Package is "ghc-webpage"

Tue May  9 18:07:29 2017 rev:2 rq:493524 version:0.0.5

Changes:

--- /work/SRC/openSUSE:Factory/ghc-webpage/ghc-webpage.changes  2016-11-10 
13:17:26.0 +0100
+++ /work/SRC/openSUSE:Factory/.ghc-webpage.new/ghc-webpage.changes 
2017-05-09 18:07:29.556072667 +0200
@@ -1,0 +2,5 @@
+Tue Apr  4 11:04:09 UTC 2017 - psim...@suse.com
+
+- Update to version 0.0.5 with cabal2obs.
+
+---

Old:

  webpage-0.0.4.tar.gz

New:

  webpage-0.0.5.tar.gz



Other differences:
--
++ ghc-webpage.spec ++
--- /var/tmp/diff_new_pack.SvPDOG/_old  2017-05-09 18:07:30.367957939 +0200
+++ /var/tmp/diff_new_pack.SvPDOG/_new  2017-05-09 18:07:30.367957939 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package ghc-webpage
 #
-# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -18,39 +18,35 @@
 
 %global pkg_name webpage
 Name:   ghc-%{pkg_name}
-Version:0.0.4
+Version:0.0.5
 Release:0
 Summary:Organized and simple web page scaffold for blaze and lucid
-License:MIT
-Group:  System/Libraries
+License:BSD-3-Clause
+Group:  Development/Languages/Other
 Url:https://hackage.haskell.org/package/%{pkg_name}
 Source0:
https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
 BuildRequires:  ghc-Cabal-devel
-# Begin cabal-rpm deps:
 BuildRequires:  ghc-blaze-html-devel
 BuildRequires:  ghc-data-default-devel
 BuildRequires:  ghc-lucid-devel
 BuildRequires:  ghc-rpm-macros
 BuildRequires:  ghc-text-devel
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
-# End cabal-rpm deps
 
 %description
 This is a general organization scheme for web pages, implemented for Lucid, and
 adapted for Blaze-html.
 
-It's as easy as 1-2-3:
-
 > import Web.Page.Lucid > > λ> renderText $ template def "some content" > > ↪
 "
 rel="icon">some content"
 
 overload the particular areas with record syntax and stuff:
 
-> λ> let page = WebPage > "foo" > mempty > mempty > mempty > mempty > mempty >
-mempty > (script_ [src_ "jquery.js"] "") > > > λ> template page "some content"
-> > ↪ "foo > some
-content src="jquery.js">" .
+> λ> let page = def title = "foo" > , bodyScripts = script_ [src_ "jquery.js"]
+"" > > > λ> template page "some content" > > ↪ "foo > some content
+src="jquery.js">" .
 
 %package devel
 Summary:Haskell %{pkg_name} library development files
@@ -68,15 +64,12 @@
 echo > Setup.hs 'import Distribution.Simple'
 echo >>Setup.hs 'main = defaultMain'
 
-
 %build
 %ghc_lib_build
 
-
 %install
 %ghc_lib_install
 
-
 %post devel
 %ghc_pkg_recache
 

++ webpage-0.0.4.tar.gz -> webpage-0.0.5.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/webpage-0.0.4/src/Web/Page/Blaze.hs 
new/webpage-0.0.5/src/Web/Page/Blaze.hs
--- old/webpage-0.0.4/src/Web/Page/Blaze.hs 2015-11-10 20:03:48.0 
+0100
+++ new/webpage-0.0.5/src/Web/Page/Blaze.hs 2017-03-29 20:58:30.0 
+0200
@@ -10,23 +10,22 @@
 import Web.Page.Types as X
 
 import qualified Text.Blaze.Html5 as H
-
 import qualified Data.Text as T
 
 -- | You should really be using Lucid...
-template :: WebPage H.Html T.Text
+template :: WebPage H.Html T.Text H.Attribute
  -> H.Html
  -> H.Html
-template page content = do
+template page content =
   H.docTypeHtml $ do
-(H.head $ do
+H.head $ do
   initScripts page
-  (H.title $ H.toHtml $ pageTitle page)
+  H.title $ H.toHtml $ pageTitle page
   metaVars page
   favicon page
   beforeStylesScripts page
   styles page
-  afterStylesScripts page)
-H.body $ do
+  afterStylesScripts page
+H.body H.! bodyStyles page $ do
   content
   bodyScripts page
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/webpage-0.0.4/src/Web/Page/Hastache.hs 
new/webpage-0.0.5/src/Web/Page/Hastache.hs
--- old/webpage-0.0.4/src/Web/Page/Hastache.hs  2015-11-10 20:04:29.0 
+0100
+++ new/webpage-0.0.5/src/Web/Page/Hastache.hs  2017-03-29 20:58:07.0 
+0200
@@ -15,7 +15,7 @@
 -- | We choose to not interpolate the @WebPage@ data type as a JSON Hastache
 

commit ghc-pinchot for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package ghc-pinchot for openSUSE:Factory 
checked in at 2017-05-09 18:07:23

Comparing /work/SRC/openSUSE:Factory/ghc-pinchot (Old)
 and  /work/SRC/openSUSE:Factory/.ghc-pinchot.new (New)


Package is "ghc-pinchot"

Tue May  9 18:07:23 2017 rev:2 rq:493514 version:0.24.0.0

Changes:

--- /work/SRC/openSUSE:Factory/ghc-pinchot/ghc-pinchot.changes  2017-03-04 
16:46:14.175142691 +0100
+++ /work/SRC/openSUSE:Factory/.ghc-pinchot.new/ghc-pinchot.changes 
2017-05-09 18:07:28.268254651 +0200
@@ -1,0 +2,10 @@
+Sun Feb 12 14:20:24 UTC 2017 - psim...@suse.com
+
+- Update to version 0.24.0.0 with cabal2obs.
+
+---
+Thu Sep 15 06:43:57 UTC 2016 - psim...@suse.com
+
+- Update to version 0.22.0.0 revision 0 with cabal2obs.
+
+---

Old:

  pinchot-0.18.2.0.tar.gz

New:

  pinchot-0.24.0.0.tar.gz



Other differences:
--
++ ghc-pinchot.spec ++
--- /var/tmp/diff_new_pack.7o71VY/_old  2017-05-09 18:07:29.220120141 +0200
+++ /var/tmp/diff_new_pack.7o71VY/_new  2017-05-09 18:07:29.224119576 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package ghc-pinchot
 #
-# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -18,25 +18,23 @@
 
 %global pkg_name pinchot
 Name:   ghc-%{pkg_name}
-Version:0.18.2.0
+Version:0.24.0.0
 Release:0
 Summary:Write grammars, not parsers
 License:BSD-3-Clause
-Group:  System/Libraries
+Group:  Development/Languages/Other
 Url:https://hackage.haskell.org/package/%{pkg_name}
 Source0:
https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
 BuildRequires:  ghc-Cabal-devel
-# Begin cabal-rpm deps:
 BuildRequires:  ghc-Earley-devel
-BuildRequires:  ghc-ListLike-devel
 BuildRequires:  ghc-containers-devel
 BuildRequires:  ghc-lens-devel
+BuildRequires:  ghc-pretty-show-devel
 BuildRequires:  ghc-rpm-macros
 BuildRequires:  ghc-semigroups-devel
 BuildRequires:  ghc-template-haskell-devel
 BuildRequires:  ghc-transformers-devel
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
-# End cabal-rpm deps
 
 %description
 Pinchot provides a simple language that you use to write a Haskell value that
@@ -60,15 +58,12 @@
 %prep
 %setup -q -n %{pkg_name}-%{version}
 
-
 %build
 %ghc_lib_build
 
-
 %install
 %ghc_lib_install
 
-
 %post devel
 %ghc_pkg_recache
 
@@ -81,6 +76,6 @@
 
 %files devel -f %{name}-devel.files
 %defattr(-,root,root,-)
-%doc README
+%doc README.md
 
 %changelog

++ pinchot-0.18.2.0.tar.gz -> pinchot-0.24.0.0.tar.gz ++
 3535 lines of diff (skipped)




commit patterns-haskell for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package patterns-haskell for 
openSUSE:Factory checked in at 2017-05-09 18:07:20

Comparing /work/SRC/openSUSE:Factory/patterns-haskell (Old)
 and  /work/SRC/openSUSE:Factory/.patterns-haskell.new (New)


Package is "patterns-haskell"

Tue May  9 18:07:20 2017 rev:2 rq:493513 version:20170319

Changes:

--- /work/SRC/openSUSE:Factory/patterns-haskell/patterns-haskell.changes
2017-05-06 18:21:21.857388912 +0200
+++ /work/SRC/openSUSE:Factory/.patterns-haskell.new/patterns-haskell.changes   
2017-05-09 18:07:20.885297949 +0200
@@ -1,0 +2,5 @@
+Mon Apr 10 13:27:52 UTC 2017 - jeng...@inai.de
+
+- Use macros over old $RPM shell vars.
+
+---



Other differences:
--
++ patterns-haskell.spec ++
--- /var/tmp/diff_new_pack.Vhz9fd/_old  2017-05-09 18:07:21.517208653 +0200
+++ /var/tmp/diff_new_pack.Vhz9fd/_new  2017-05-09 18:07:21.521208087 +0200
@@ -1,5 +1,5 @@
 #
-# spec file for package patterns-openSUSE
+# spec file for package patterns-haskell
 #
 # Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 #
@@ -29,7 +29,6 @@
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildRequires:  patterns-rpm-macros
 
-
 %description
 This is an internal package that is used to create the patterns as part
 of the installation source setup.  Installation of this package does
@@ -119,8 +118,8 @@
 Think of it as "Haskell: batteries included."
 
 %files haskell_platform
-%dir /usr/share/doc/packages/patterns
-/usr/share/doc/packages/patterns/haskell_platform.txt
+%dir %{_defaultdocdir}/patterns
+%{_defaultdocdir}/patterns/haskell_platform.txt
 
 

 
@@ -129,7 +128,7 @@
 %build
 
 %install
-mkdir -p $RPM_BUILD_ROOT/usr/share/doc/packages/patterns/
-echo 'This file marks the pattern haskell_platform to be installed.' > 
$RPM_BUILD_ROOT/usr/share/doc/packages/patterns/haskell_platform.txt
+mkdir -p %{buildroot}/%{_defaultdocdir}/patterns/
+echo 'This file marks the pattern haskell_platform to be installed.' 
>%{buildroot}/%{_defaultdocdir}/patterns/haskell_platform.txt
 
 %changelog




commit ghc-ghcjs-perch for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package ghc-ghcjs-perch for openSUSE:Factory 
checked in at 2017-05-09 18:07:10

Comparing /work/SRC/openSUSE:Factory/ghc-ghcjs-perch (Old)
 and  /work/SRC/openSUSE:Factory/.ghc-ghcjs-perch.new (New)


Package is "ghc-ghcjs-perch"

Tue May  9 18:07:10 2017 rev:1 rq:493505 version:0.3.3.2

Changes:

New Changes file:

--- /dev/null   2017-03-01 00:40:19.279048016 +0100
+++ /work/SRC/openSUSE:Factory/.ghc-ghcjs-perch.new/ghc-ghcjs-perch.changes 
2017-05-09 18:07:12.722451453 +0200
@@ -0,0 +1,15 @@
+---
+Tue Apr  4 11:04:10 UTC 2017 - psim...@suse.com
+
+- Update to version 0.3.3.2 with cabal2obs.
+
+---
+Sun Feb 12 14:08:55 UTC 2017 - psim...@suse.com
+
+- Update to version 0.3.3.1 with cabal2obs.
+
+---
+Thu Sep 15 07:08:58 UTC 2016 - psim...@suse.com
+
+- Update to version 0.3.3 revision 0 with cabal2obs.
+

New:

  ghc-ghcjs-perch.changes
  ghc-ghcjs-perch.spec
  ghcjs-perch-0.3.3.2.tar.gz



Other differences:
--
++ ghc-ghcjs-perch.spec ++
#
# spec file for package ghc-ghcjs-perch
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name ghcjs-perch
Name:   ghc-%{pkg_name}
Version:0.3.3.2
Release:0
Summary:GHCJS version of Perch library
License:MIT
Group:  Development/Languages/Other
Url:https://hackage.haskell.org/package/%{pkg_name}
Source0:
https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-transformers-devel
BuildRoot:  %{_tmppath}/%{name}-%{version}-build

%description
This package makes the creation of DOM elements easy with a syntax similar to
other Haskell HTML generators such as `blaze-html`, using monoids and monads.

%package devel
Summary:Haskell %{pkg_name} library development files
Group:  Development/Libraries/Other
Requires:   %{name} = %{version}-%{release}
Requires:   ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)

%changelog



commit ghc-webkitgtk3 for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package ghc-webkitgtk3 for openSUSE:Factory 
checked in at 2017-05-09 18:06:52

Comparing /work/SRC/openSUSE:Factory/ghc-webkitgtk3 (Old)
 and  /work/SRC/openSUSE:Factory/.ghc-webkitgtk3.new (New)


Package is "ghc-webkitgtk3"

Tue May  9 18:06:52 2017 rev:1 rq:493501 version:0.14.2.1

Changes:

New Changes file:

--- /dev/null   2017-03-01 00:40:19.279048016 +0100
+++ /work/SRC/openSUSE:Factory/.ghc-webkitgtk3.new/ghc-webkitgtk3.changes   
2017-05-09 18:06:57.088660690 +0200
@@ -0,0 +1,15 @@
+---
+Sun Oct 30 16:26:38 UTC 2016 - psim...@suse.com
+
+- Update to version 0.14.2.1 with cabal2obs.
+
+---
+Thu Sep 15 06:47:41 UTC 2016 - psim...@suse.com
+
+- Update to version 0.14.2.0 revision 0 with cabal2obs.
+
+---
+Sun Jul 10 17:17:09 UTC 2016 - psim...@suse.com
+
+- Update to version 0.14.1.1 revision 0 with cabal2obs.
+

New:

  ghc-webkitgtk3.changes
  ghc-webkitgtk3.spec
  webkitgtk3-0.14.2.1.tar.gz



Other differences:
--
++ ghc-webkitgtk3.spec ++
#
# spec file for package ghc-webkitgtk3
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name webkitgtk3
Name:   ghc-%{pkg_name}
Version:0.14.2.1
Release:0
Summary:Binding to the Webkit library
License:LGPL-2.1+
Group:  Development/Languages/Other
Url:https://hackage.haskell.org/package/%{pkg_name}
Source0:
https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-cairo-devel
BuildRequires:  ghc-glib-devel
BuildRequires:  ghc-gtk2hs-buildtools-devel
BuildRequires:  ghc-gtk3-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-pango-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  gtk2hs-buildtools
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(webkitgtk-3.0)
BuildRoot:  %{_tmppath}/%{name}-%{version}-build

%description
WebKit is a web content engine, derived from KHTML and KJS from KDE, and used
primarily in Apple's Safari browser. It is made to be embedded in other
applications, such as mail readers, or web browsers. It is able to display
content such as HTML, SVG, XML, and others. It also supports DOM,
XMLHttpRequest, XSLT, CSS, Javascript/ECMAscript and more.

%package devel
Summary:Haskell %{pkg_name} library development files
Group:  Development/Libraries/Other
Requires:   %{name} = %{version}-%{release}
Requires:   ghc-compiler = %{ghc_version}
Requires:   pkgconfig
Requires:   pkgconfig(webkitgtk-3.0)
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc COPYING
%dir %{_datadir}/%{pkg_name}-%{version}
%{_datadir}/%{pkg_name}-%{version}/Webkit.hs
%{_datadir}/%{pkg_name}-%{version}/Makefile

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)

%changelog



commit ghc for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package ghc for openSUSE:Factory checked in 
at 2017-05-09 18:06:21

Comparing /work/SRC/openSUSE:Factory/ghc (Old)
 and  /work/SRC/openSUSE:Factory/.ghc.new (New)


Package is "ghc"

Tue May  9 18:06:21 2017 rev:54 rq:493496 version:8.0.2

Changes:

--- /work/SRC/openSUSE:Factory/ghc/ghc.changes  2017-02-28 23:50:47.955327720 
+0100
+++ /work/SRC/openSUSE:Factory/.ghc.new/ghc.changes 2017-05-09 
18:06:27.136893220 +0200
@@ -1,0 +2,10 @@
+Sat May  6 09:02:02 UTC 2017 - meiss...@suse.com
+
+- enable for global PIE support:
+  - the compiler is built without PIE support due to the bootstrap
+libraries being non-PIE using BuildIgnore: gcc-PIE
+  - the compiler itself builds -fPIC objects all the time,
+which should make all ghc compiled binaries be PIE.
+- ghc-pie.patch: enable default -fPIC on Linux/x86_64
+
+---

New:

  ghc-pie.patch



Other differences:
--
++ ghc.spec ++
--- /var/tmp/diff_new_pack.PEHBiB/_old  2017-05-09 18:06:29.568549599 +0200
+++ /var/tmp/diff_new_pack.PEHBiB/_new  2017-05-09 18:06:29.572549035 +0200
@@ -30,6 +30,8 @@
 License:BSD-3-Clause
 Group:  Development/Languages/Other
 ExclusiveArch:  aarch64 %{ix86} x86_64 ppc ppc64 ppc64le s390 s390x
+# hard to port to PIE, some prebuilt static libraries are non-PIC ... 
+#!BuildIgnore: gcc-PIE
 BuildRequires:  binutils-devel
 BuildRequires:  gcc
 BuildRequires:  ghc-bootstrap >= 7.8
@@ -73,6 +75,7 @@
 Patch29:ghc-no-madv-free.patch
 # PATCH-FIX-UPSTREAM 0001-PPC-CodeGen-fix-lwa-instruction-generation.patch 
peter.tromm...@ohm-hochschule.de -- Fix PPC codegen: Fixes ghc-zeromq4-haskell 
build on 64-bit PowerPCs
 Patch30:0001-PPC-CodeGen-fix-lwa-instruction-generation.patch
+Patch31:ghc-pie.patch
 # PATCH-FIX-OPENSUSE ghc-8.0.2-Cabal-dynlibdir.patch -- Fix shared library 
directory location.
 Patch100:   ghc-8.0.2-Cabal-dynlibdir.patch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
@@ -163,6 +166,7 @@
 %patch28 -p1
 %patch29 -p1
 %patch30 -p1
+%patch31 -p1
 %patch100 -p1
 
 %build

++ ghc-pie.patch ++
Index: ghc-8.0.2/compiler/main/DynFlags.hs
===
--- ghc-8.0.2.orig/compiler/main/DynFlags.hs
+++ ghc-8.0.2/compiler/main/DynFlags.hs
@@ -3650,6 +3650,7 @@ default_PIC :: Platform -> [GeneralFlag]
 default_PIC platform =
   case (platformOS platform, platformArch platform) of
 (OSDarwin, ArchX86_64) -> [Opt_PIC]
+(OSLinux, ArchX86_64) -> [Opt_PIC]
 (OSOpenBSD, ArchX86_64) -> [Opt_PIC] -- Due to PIE support in
  -- OpenBSD since 5.3 release
  -- (1 May 2013) we need to



commit u-boot-orangepipc2 for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package u-boot-orangepipc2 for 
openSUSE:Factory checked in at 2017-05-09 18:06:10

Comparing /work/SRC/openSUSE:Factory/u-boot-orangepipc2 (Old)
 and  /work/SRC/openSUSE:Factory/.u-boot-orangepipc2.new (New)


Package is "u-boot-orangepipc2"

Tue May  9 18:06:10 2017 rev:1 rq: version:unknown

Changes:

New Changes file:

NO CHANGES FILE!!!

New:

  _link



Other differences:
--
++ _link ++



commit fossil for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package fossil for openSUSE:Factory checked 
in at 2017-05-09 18:04:40

Comparing /work/SRC/openSUSE:Factory/fossil (Old)
 and  /work/SRC/openSUSE:Factory/.fossil.new (New)


Package is "fossil"

Tue May  9 18:04:40 2017 rev:17 rq:493487 version:2.2

Changes:

--- /work/SRC/openSUSE:Factory/fossil/fossil.changes2017-03-09 
02:05:58.597271031 +0100
+++ /work/SRC/openSUSE:Factory/.fossil.new/fossil.changes   2017-05-09 
18:04:42.515677398 +0200
@@ -1,0 +2,21 @@
+Mon May  8 11:55:37 UTC 2017 - m...@suse.com
+
+- Update to version 2.2:
+  * GIT comment tags are now handled by Fossil during import/export.
+  * Show the content of README files on directory listings.
+  * Support for Basic Authentication if enabled (default off).
+  * Show the hash algorithms used on the /rcvfromlist page.
+  * The /tarball and /zip pages now use the the r= query parameter to
+select which check-in to deliver. The uuid= query parameter is
+still accepted for backwards compatibility.
+  * Update the built-in SQLite to version 3.18.0.
+  * Run "PRAGMA optimize" on the database connection as it is closing.
+- Changes in Version 2.1:
+  * Add support for hash policies that control which of the
+Hardened-SHA1 or SHA3-256 algorithms is used to name new
+artifacts.
+  * Add the "gshow" and "gcat" subcommands to fossil stash.
+  * Add the /juvlist web page and use it to construct the Download
+Page of the Fossil self-hosting website using Ajax.
+
+---

Old:

  fossil-src-2.0.tar.gz

New:

  fossil-src-2.2.tar.gz



Other differences:
--
++ fossil.spec ++
--- /var/tmp/diff_new_pack.I1IUwM/_old  2017-05-09 18:04:43.643518022 +0200
+++ /var/tmp/diff_new_pack.I1IUwM/_new  2017-05-09 18:04:43.647517456 +0200
@@ -19,13 +19,13 @@
 %define with_system_sqlite 0%{?suse_version} > 1320
 
 Name:   fossil
-Version:2.0
+Version:2.2
 Release:0
 Summary:Distributed software configuration management
 License:BSD-2-Clause
 Group:  Development/Tools/Version Control
 Url:https://www.fossil-scm.org/
-Source: 
https://www.fossil-scm.org/index.html/uv/download/%{name}-src-%{version}.tar.gz
+Source: 
https://www.fossil-scm.org/index.html/uv/%{name}-src-%{version}.tar.gz
 Patch1: fossil-1.37-remove_date_time.patch
 BuildRequires:  fuse-devel
 BuildRequires:  gcc

++ fossil-src-2.0.tar.gz -> fossil-src-2.2.tar.gz ++
 14162 lines of diff (skipped)




commit mkdud for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package mkdud for openSUSE:Factory checked 
in at 2017-05-09 18:04:08

Comparing /work/SRC/openSUSE:Factory/mkdud (Old)
 and  /work/SRC/openSUSE:Factory/.mkdud.new (New)


Package is "mkdud"

Tue May  9 18:04:08 2017 rev:18 rq:493466 version:1.30

Changes:

--- /work/SRC/openSUSE:Factory/mkdud/mkdud.changes  2017-01-15 
11:20:21.475029030 +0100
+++ /work/SRC/openSUSE:Factory/.mkdud.new/mkdud.changes 2017-05-09 
18:04:14.495636949 +0200
@@ -0,0 +1,8 @@
+
+Mon May 8 15:02:59 UTC 2017 - wfe...@opensuse.org
+
+- merge gh#openSUSE/mkdud#10
+- support openSUSE Kubic
+- fix service pack condition check
+- 1.30
+

Old:

  mkdud-1.29.tar.xz

New:

  mkdud-1.30.tar.xz



Other differences:
--
++ mkdud.spec ++
--- /var/tmp/diff_new_pack.jeO3dn/_old  2017-05-09 18:04:16.271386015 +0200
+++ /var/tmp/diff_new_pack.jeO3dn/_new  2017-05-09 18:04:16.275385451 +0200
@@ -23,7 +23,7 @@
 Summary:Create driver update from rpms
 License:GPL-3.0+
 Group:  Hardware/Other
-Version:1.29
+Version:1.30
 Release:0
 Source: %{name}-%{version}.tar.xz
 Url:https://github.com/wfeldt/mkdud

++ mkdud-1.29.tar.xz -> mkdud-1.30.tar.xz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/mkdud-1.29/VERSION new/mkdud-1.30/VERSION
--- old/mkdud-1.29/VERSION  2017-01-13 16:14:25.0 +0100
+++ new/mkdud-1.30/VERSION  2017-05-08 17:02:59.0 +0200
@@ -1 +1 @@
-1.29
+1.30
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/mkdud-1.29/changelog new/mkdud-1.30/changelog
--- old/mkdud-1.29/changelog2017-01-13 16:14:25.0 +0100
+++ new/mkdud-1.30/changelog2017-05-08 17:02:59.0 +0200
@@ -1,3 +1,8 @@
+2017-05-05:1.30
+   - merge pr gh#openSUSE/mkdud#10
+   - fix service pack condition check
+   - support openSUSE Kubic
+
 2017-01-13:1.29
- merge pr gh#openSUSE/mkdud#9
- follow casp -> caasp renaming
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/mkdud-1.29/mkdud new/mkdud-1.30/mkdud
--- old/mkdud-1.29/mkdud2017-01-13 16:14:25.0 +0100
+++ new/mkdud-1.30/mkdud2017-05-08 17:02:59.0 +0200
@@ -289,7 +289,7 @@
 @dists = sort keys %d;
 
 for (@dists) {
-  if(!/^((leap|casp|caasp)?\d+\.\d+|tw|sle[sd]\d+)$/) {
+  if(!/^((leap|kubic|casp|caasp)?\d+\.\d+|tw|sle[sd]\d+)$/) {
 if($opt_force) {
   print STDERR "Warning: using unsupported dist \"$_\"\n";
 }
@@ -382,8 +382,9 @@
 find a hint in SOURCES either, an update for 
all supported
 architectures is created.
   -d, --dist DIST   Specify the product the DUD is for. Possible 
values include:
-13.2, sle12, leap42.2, caasp1.0, tw standing 
for openSUSE 13.2,
-SLE12, Leap 42.2, CAASP 1.0, Tumbleweed, 
respectively.
+13.2, sle12, leap42.3, kubic1.0, caasp1.0, tw 
standing for
+openSUSE 13.2, SLE12, Leap 42.3, Kubic 1.0, 
CAASP 1.0,
+Tumbleweed, respectively.
 Note that 'sle12' is a short hand for 
specifying both
 'sles12' and 'sled12'.
 Note also that there are no separate names for 
service packs.
@@ -522,7 +523,8 @@
   The --dist option accepts these values (case-insensitive; X, Y: decimal 
numbers):
 
 - X.Y (e.g. 13.2) = openSUSE X.Y
-- leapX.Y (e.g. leap42.2) = openSUSE Leap X.Y
+- leapX.Y (e.g. leap42.3) = openSUSE Leap X.Y
+- kubicX.Y (e.g. kubic1.0) = openSUSE Kubic X.Y
 - tw = openSUSE Tumbleweed
 - sleX (e.g. sle12) = SUSE Linux Enterprise (Server + Desktop) X
 - slesX (e.g. sles12) = SUSE Linux Enterprise Server X
@@ -1758,7 +1760,7 @@
 
   my %p1;
   for (@$l) {
-if(/^(\S+)-(sle([sd])(\d+)|(leap|casp|caasp)?(\d+\.\d+)|tw)$/) {
+if(/^(\S+)-(sle([sd])(\d+)|(leap|kubic|casp|caasp)?(\d+\.\d+)|tw)$/) {
   if($3 eq 's') {
 push @{$p1{"SLES $4"}}, $1;
   }
@@ -1768,6 +1770,9 @@
   elsif($5 eq 'leap') {
 push @{$p1{"openSUSE Leap $6"}}, $1;
   }
+  elsif($5 eq 'kubic') {
+push @{$p1{"openSUSE Kubic $6"}}, $1;
+  }
   elsif($5 eq 'casp') {
 push @{$p1{"CASP $6"}}, $1;
   }
@@ -2130,7 +2135,7 @@
 
   my ($dist_name, $dist_ver, $dist_ver_sp, $dist_version_var);
 
- 

commit haproxy for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package haproxy for openSUSE:Factory checked 
in at 2017-05-09 18:03:51

Comparing /work/SRC/openSUSE:Factory/haproxy (Old)
 and  /work/SRC/openSUSE:Factory/.haproxy.new (New)


Package is "haproxy"

Tue May  9 18:03:51 2017 rev:49 rq:493463 version:1.7.5

Changes:

--- /work/SRC/openSUSE:Factory/haproxy/haproxy.changes  2017-04-11 
09:45:41.884547411 +0200
+++ /work/SRC/openSUSE:Factory/.haproxy.new/haproxy.changes 2017-05-09 
18:03:52.190788877 +0200
@@ -1,0 +2,10 @@
+Mon May 08 13:18:54 UTC 2017 - kgronl...@suse.com
+
+- Update to version 1.7.5:
+  * BUG/MEDIUM: peers: fix buffer overflow control in intdecode.
+  * BUG/MEDIUM: buffers: Fix how input/output data are injected into buffers
+  * BUG/MEDIUM: http: Fix blocked HTTP/1.0 responses when compression is 
enabled
+  * BUG/MINOR: filters: Don't force the stream's wakeup when we wait in 
flt_end_analyze
+  * MINOR: config parsing: add warning when log-format/tcplog/httplog is 
overriden in "defaults" sections
+
+---

Old:

  haproxy-1.7.4.tar.gz

New:

  haproxy-1.7.5.tar.gz



Other differences:
--
++ haproxy.spec ++
--- /var/tmp/diff_new_pack.VDjOfV/_old  2017-05-09 18:03:53.342626109 +0200
+++ /var/tmp/diff_new_pack.VDjOfV/_new  2017-05-09 18:03:53.350624979 +0200
@@ -41,7 +41,7 @@
 %bcond_without  apparmor
 
 Name:   haproxy
-Version:1.7.4
+Version:1.7.5
 Release:0
 #
 #

++ _service ++
--- /var/tmp/diff_new_pack.VDjOfV/_old  2017-05-09 18:03:53.394618762 +0200
+++ /var/tmp/diff_new_pack.VDjOfV/_new  2017-05-09 18:03:53.398618198 +0200
@@ -3,8 +3,8 @@
 http://git.haproxy.org/git/haproxy-1.7.git
 git
 haproxy
-1.7.4
-v1.7.4
+1.7.5
+v1.7.5
 enable
   
 

++ _servicedata ++
--- /var/tmp/diff_new_pack.VDjOfV/_old  2017-05-09 18:03:53.430613676 +0200
+++ /var/tmp/diff_new_pack.VDjOfV/_new  2017-05-09 18:03:53.434613110 +0200
@@ -3,4 +3,4 @@
 http://git.haproxy.org/git/haproxy-1.6.git
   864bf78c3b6898eb12ece5f0a44032090f26f57f
 http://git.haproxy.org/git/haproxy-1.7.git
-  f9eae1ec92742a0185db00fbcfa566ba09b7e3a2
\ No newline at end of file
+  9a6d6eb70105ca1f53f44113e42896e7d43d3b2c
\ No newline at end of file

++ haproxy-1.7.4.tar.gz -> haproxy-1.7.5.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/haproxy-1.7.4/CHANGELOG new/haproxy-1.7.5/CHANGELOG
--- old/haproxy-1.7.4/CHANGELOG 2017-03-27 23:37:58.0 +0200
+++ new/haproxy-1.7.5/CHANGELOG 2017-04-03 10:28:32.0 +0200
@@ -1,6 +1,16 @@
 ChangeLog :
 ===
 
+2017/04/03 : 1.7.5
+- BUG/MEDIUM: peers: fix buffer overflow control in intdecode.
+- BUG/MEDIUM: buffers: Fix how input/output data are injected into buffers
+- BUG/MEDIUM: http: Fix blocked HTTP/1.0 responses when compression is 
enabled
+- BUG/MINOR: filters: Don't force the stream's wakeup when we wait in 
flt_end_analyze
+- DOC: fix parenthesis and add missing "Example" tags
+- DOC: update the contributing file
+- DOC: log-format/tcplog/httplog update
+- MINOR: config parsing: add warning when log-format/tcplog/httplog is 
overriden in "defaults" sections
+
 2017/03/27 : 1.7.4
 - MINOR: config: warn when some HTTP rules are used in a TCP proxy
 - BUG/MINOR: spoe: Fix soft stop handler using a specific id for spoe 
filters
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/haproxy-1.7.4/CONTRIBUTING 
new/haproxy-1.7.5/CONTRIBUTING
--- old/haproxy-1.7.4/CONTRIBUTING  2017-03-27 23:37:58.0 +0200
+++ new/haproxy-1.7.5/CONTRIBUTING  2017-04-03 10:28:32.0 +0200
@@ -71,8 +71,10 @@
 
 If your work is very confidential and you can't publicly discuss it, you can
 also mail wi...@haproxy.org directly about it, but your mail may be waiting
-several days in the queue before you get a response. Retransmit if you don't
-get a response by one week.
+several days in the queue before you get a response, if you get a response at
+all. Retransmit if you don't get a response by one week. Please note that
+direct sent e-mails to this address for non-confidential subjects may simply
+be forwarded to the list or be deleted without notification.
 
 If you'd like a feature to be added but you think you don't have the skills to
 implement it yourself, you should follow these steps :
@@ -96,7 +98,9 @@
 at the beginning but it's common sense more than anything else and contributors
 do not think about them anymore after a few patches.
 
-1) Before modifying some code, you have read 

commit armagetron for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package armagetron for openSUSE:Factory 
checked in at 2017-05-09 18:03:35

Comparing /work/SRC/openSUSE:Factory/armagetron (Old)
 and  /work/SRC/openSUSE:Factory/.armagetron.new (New)


Package is "armagetron"

Tue May  9 18:03:35 2017 rev:31 rq:493448 version:0.2.8.3.3

Changes:

--- /work/SRC/openSUSE:Factory/armagetron/armagetron.changes2016-10-10 
16:24:43.0 +0200
+++ /work/SRC/openSUSE:Factory/.armagetron.new/armagetron.changes   
2017-05-09 18:03:38.504722873 +0200
@@ -1,0 +2,10 @@
+Sat May  6 09:25:02 UTC 2017 - meiss...@suse.com
+
+- armagetron-fix-build.patch: do not integer compare a pointer against an 
integer
+
+---
+Sat May  6 09:19:41 UTC 2017 - meiss...@suse.com
+
+- renamed: armagetron_add.tar.gz -> armagetron_add.tar.bz2
+
+---

Old:

  armagetron_add.tar.gz

New:

  armagetron-fix-build.patch
  armagetron_add.tar.bz2



Other differences:
--
++ armagetron.spec ++
--- /var/tmp/diff_new_pack.WZXioj/_old  2017-05-09 18:03:40.472444811 +0200
+++ /var/tmp/diff_new_pack.WZXioj/_new  2017-05-09 18:03:40.476444246 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package armagetron
 #
-# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -24,21 +24,22 @@
 Group:  Amusements/Games/Action/Arcade
 Url:http://armagetronad.sourceforge.net
 Source: 
http://sourceforge.net/projects/armagetronad/files/stable/%{version}/armagetronad-%{version}.src.tar.bz2
-Source1:armagetron_add.tar.gz
+Source1:armagetron_add.tar.bz2
 # PATCH-FIX-OPENSUSE bmwiedemann -- fix build-compare
 Patch0: reproducible.patch
 # PATCH-FIX-UPSTREAM https://bugs.launchpad.net/armagetronad/+bug/1596771 -- 
fix nullpointer dereferenceing which leads into segfault
 Patch1: fix-segv.patch
+Patch2: armagetron-fix-build.patch
 BuildRequires:  autoconf
 BuildRequires:  automake
 BuildRequires:  gcc-c++
-BuildRequires:  pkgconfig(sdl)
-BuildRequires:  pkgconfig(SDL_mixer)
-BuildRequires:  pkgconfig(SDL_image)
-BuildRequires:  pkgconfig(glu)
 BuildRequires:  libpng-devel
 BuildRequires:  libxml2-devel
 BuildRequires:  update-desktop-files
+BuildRequires:  pkgconfig(SDL_image)
+BuildRequires:  pkgconfig(SDL_mixer)
+BuildRequires:  pkgconfig(glu)
+BuildRequires:  pkgconfig(sdl)
 %if 0%{?suse_version} > 1315
 BuildRequires:  llvm-clang
 %endif
@@ -57,6 +58,7 @@
 %setup -q -a 1 -n armagetronad-%{version}
 %patch0 -p1
 %patch1 -p1
+%patch2 -p1
 
 %build
 autoreconf -fi

++ armagetron-fix-build.patch ++
Index: armagetronad-0.2.8.3.3/src/network/nNetObject.cpp
===
--- armagetronad-0.2.8.3.3.orig/src/network/nNetObject.cpp
+++ armagetronad-0.2.8.3.3/src/network/nNetObject.cpp
@@ -1530,7 +1530,7 @@ void nNetObject::SyncAll(){
 // con << sn_SyncRequestedObject.Len() << "/" << 
sn_netObjects.Len() << "\n";
 
 int currentSync = sn_SyncRequestedObject.Len()-1;
-while(sn_Connections[user].socket>0 &&
+while(sn_Connections[user].socket &&
 sn_Connections[user].bandwidthControl_.CanSend() &&
 sn_Connections[user].ackPending= 0){
Index: armagetronad-0.2.8.3.3/src/tools/tResourceManager.cpp
===
--- armagetronad-0.2.8.3.3.orig/src/tools/tResourceManager.cpp
+++ armagetronad-0.2.8.3.3/src/tools/tResourceManager.cpp
@@ -44,7 +44,7 @@ static int myHTTPFetch(const char *URI,
 }
 
 fd = fopen(savepath, "w");
-if (fd < 0) {
+if (fd == NULL) {
 xmlNanoHTTPClose(ctxt);
 con << tOutput( "$resource_no_write", savepath );
 return 3;
++ armagetron_add.tar.gz -> armagetron_add.tar.bz2 ++
 no output (probably identical)




commit python-fasteners for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package python-fasteners for 
openSUSE:Factory checked in at 2017-05-09 18:03:46

Comparing /work/SRC/openSUSE:Factory/python-fasteners (Old)
 and  /work/SRC/openSUSE:Factory/.python-fasteners.new (New)


Package is "python-fasteners"

Tue May  9 18:03:46 2017 rev:4 rq:493457 version:0.14.1

Changes:

--- /work/SRC/openSUSE:Factory/python-fasteners/python-fasteners.changes
2016-01-01 19:50:23.0 +0100
+++ /work/SRC/openSUSE:Factory/.python-fasteners.new/python-fasteners.changes   
2017-05-09 18:03:50.583016074 +0200
@@ -1,0 +2,6 @@
+Wed May  3 15:34:35 UTC 2017 - toddrme2...@gmail.com
+
+- Implement single-spec version.
+- Fix source URL.
+
+---



Other differences:
--
++ python-fasteners.spec ++
--- /var/tmp/diff_new_pack.kPCkKJ/_old  2017-05-09 18:03:51.254921126 +0200
+++ /var/tmp/diff_new_pack.kPCkKJ/_new  2017-05-09 18:03:51.258920561 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package python-fasteners
 #
-# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -15,7 +15,9 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
+%bcond_without tests
 
+%{?!python_module:%define python_module() python-%{**} python3-%{**}}
 Name:   python-fasteners
 Version:0.14.1
 Release:0
@@ -23,17 +25,22 @@
 License:Apache-2.0
 Group:  Development/Languages/Python
 Url:https://github.com/harlowja/fasteners
-Source: 
https://pypi.python.org/packages/source/f/fasteners/fasteners-%{version}.tar.gz
-BuildRequires:  python-devel
-BuildRequires:  python-setuptools
+Source: 
https://files.pythonhosted.org/packages/source/f/fasteners/fasteners-%{version}.tar.gz
+BuildRequires:  fdupes
+BuildRequires:  python-rpm-macros
+BuildRequires:  %{python_module devel}
+BuildRequires:  %{python_module setuptools}
+%if %{with tests}
+BuildRequires:  %{python_module pytest}
+BuildRequires:  %{python_module testtools}
+BuildRequires:  %{python_module monotonic >= 0.1}
+BuildRequires:  python-futures
+%endif
 Requires:   python-monotonic >= 0.1
 Requires:   python-six
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
-%if 0%{?suse_version} && 0%{?suse_version} <= 1110
-%{!?python_sitelib: %global python_sitelib %(python -c "from 
distutils.sysconfig import get_python_lib; print get_python_lib()")}
-%else
 BuildArch:  noarch
-%endif
+%python_subpackages
 
 %description
 A python package that provides useful locks
@@ -47,12 +54,22 @@
 %setup -q -n fasteners-%{version}
 
 %build
-python setup.py build
+%python_build
 
 %install
-python setup.py install --prefix=%{_prefix} --root=%{buildroot}
+%python_install
+%python_expand %fdupes %{buildroot}%{$python_sitelib}
+
+%if %{with tests}
+%check
+pushd fasteners/tests
+%{python_expand export PYTHONPATH=%{buildroot}%{$python_sitelib}
+py.test-%{$python_bin_suffix} ./
+}
+popd
+%endif
 
-%files
+%files %{python_files}
 %defattr(-,root,root,-)
 %doc ChangeLog LICENSE README.rst
 %{python_sitelib}/*




commit gnu_parallel for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package gnu_parallel for openSUSE:Factory 
checked in at 2017-05-09 18:03:42

Comparing /work/SRC/openSUSE:Factory/gnu_parallel (Old)
 and  /work/SRC/openSUSE:Factory/.gnu_parallel.new (New)


Package is "gnu_parallel"

Tue May  9 18:03:42 2017 rev:35 rq:493452 version:20170422

Changes:

--- /work/SRC/openSUSE:Factory/gnu_parallel/gnu_parallel.changes
2017-01-24 10:40:47.471444344 +0100
+++ /work/SRC/openSUSE:Factory/.gnu_parallel.new/gnu_parallel.changes   
2017-05-09 18:03:45.331758136 +0200
@@ -1,0 +2,22 @@
+Mon May  8 13:39:45 UTC 2017 - astie...@suse.com
+
+- update to 20170422:
+  * --halt supports done in addition to success and fail.
+  * parset will set variables in parallel in Bash.
+  * Bug fixes and man page updates.
+- includes changes from 20170322:
+  * --rpl can now take arguments by adding '(regexp)' in the
+replacement string.
+  * Bug fixes and man page updates.
+- includes changes from 20170222:
+  * env_parallel now supports /bin/sh, ash, dash.
+  * --tee will pipe all data to all jobs. Used with --pipe/
+--pipepart and :::. Small example: seq  | parallel --pipe
+--tee --tag 'grep {} | wc -l' ::: {0..9}
+  * If --results {replstr} ends in /: save in dir. Otherwise save
+as file. Example: parallel --results {} echo {} ::: a b c
+  * Bug fixes and man page updates.
+- includes changes from 20170206alpha:
+  * --tee introduced.
+
+---

Old:

  parallel-20170122.tar.bz2
  parallel-20170122.tar.bz2.sig

New:

  parallel-20170422.tar.bz2
  parallel-20170422.tar.bz2.sig



Other differences:
--
++ gnu_parallel.spec ++
--- /var/tmp/diff_new_pack.uArnb1/_old  2017-05-09 18:03:46.691565979 +0200
+++ /var/tmp/diff_new_pack.uArnb1/_new  2017-05-09 18:03:46.695565415 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   gnu_parallel
-Version:20170122
+Version:20170422
 Release:0
 Summary:Shell tool for executing jobs in parallel
 License:GPL-3.0+

++ parallel-20170122.tar.bz2 -> parallel-20170422.tar.bz2 ++
 17361 lines of diff (skipped)

++ parallel-20170122.tar.bz2.sig -> parallel-20170422.tar.bz2.sig ++
--- /work/SRC/openSUSE:Factory/gnu_parallel/parallel-20170122.tar.bz2.sig   
2017-01-24 10:40:47.791398908 +0100
+++ /work/SRC/openSUSE:Factory/.gnu_parallel.new/parallel-20170422.tar.bz2.sig  
2017-05-09 18:03:45.743699923 +0200
@@ -2,7 +2,7 @@
 
 # To check the signature run:
 #  echo | gpg
-#  gpg --auto-key-locate keyserver --keyserver-options auto-key-retrieve 
parallel-20170122.tar.bz2.sig
+#  gpg --auto-key-locate keyserver --keyserver-options auto-key-retrieve 
parallel-20170422.tar.bz2.sig
 
 echo | gpg 2>/dev/null
 gpg --auto-key-locate keyserver --keyserver-options auto-key-retrieve $0
@@ -11,32 +11,32 @@
 -BEGIN PGP SIGNATURE-
 Version: GnuPG v1
 
-iQTwBAABCgAGBQJYg5fLAAoJENGrRRaIiIiIifcmoKWjkm6ddnW8M7U3bMQjl2O2
-7eFCv7BjkNkb4oTFsWKS8CTakKuUMDDHt47+z1hGpcx4k6LpxtmIzlXwtWrVKQGK
-szrxvWjqjQhztb9/yHqTsIw78d64jmLUsxHpKBmq4WiflNCDmL1DggUhnmG0VyWE
-Apzffb42nPlX5uE1yGFWF6qHeQuBSF+BinB3LGDsFugxJfOGRHvEmHUrA0GvybWu
-ktf0tQt2QcOSyXEkOt/siixw1D/D7BiGvMJ/xxi8Kc9PumCN6Z6CO8iYtiXkaQOG
-nV6QVlq57pwHCAu3oSav4lOP/KsMSxIwbeId1Sjt0eHCFSPNjxQbOFP8OY+grp5S
-jIW4MhzNoNxobLH4LkGJoHKb0p3Aeh7Oefxk+ipJQtktIMbWaULwt4GApn5YAYyS
-UJJ2mjgTLLEgVZulvedD9rHcZ131cZ/B1wcqgYus7VyVa8FZbO03RZ2Iea3iRRjB
-lTONwT+4DDdzD6lhFS1/ZtlDyA3ncALLoFlX84pP58WtMbw64h5WBlMDNfVj8EAC
-k7j5kecp0amm+Mp8BqUMQ44uC++zRb1Pbv+SwOB/ai9VE+hSP6UYfHRprb18ZXTs
-mYFlueoIGLZI8+JiMLh5Qs1/SzdX6/F5LjYCqiLI4FrH4ZeMaZAa+vS01r4Of2sF
-sDLGh3/gwh8E5eA/JIAZyb2GXwNmpIzngJEPz8us2sv/qxcjbXVdSwD1xmShHoXX
-ZE0hh3MmXssaNCW/VHfUPF/ObtjbhBdO5/j60GLMpg3TqDjj1XFaM7aaLUwR47JA
-4VoINvK/240yC42FDINTwUT6bw1FdPWOCh4+Txf+/Hy65J6yJaZzS1+fMXT2Ew+A
-2mQ9ThzvT0Brk0ktUFHoek7SpxI9BEnTOpb3L7ktfTetJ7cBVWp4k73cfDJuBVqK
-K60QVMiZnBXGqANGkGWN0hZn2CkmpxrUor23CwsERxSyIciMYWGKWm+1faT7J70D
-su8iN29RwgEQHiT8QlDaIYJoo+8CX90gsg5GjXdNXds5d3nwjAtnA5EqVN84I1R+
-li8zotMhz0Q7sllhUWtMtA3sIqhChB3MloI4EkgjA+jY9goqWZYnpSXLgxVe9CYY
-FUYDyO97IuWeDssmYhYoDZXtBPzJd55jgaPgF0zpW4z2TcxiQW7YlxaJuZc+LKm4
-TcPl5ObzO95FYqf/J8tiMrcx4bOVY49+pUWxi8SBJyYcXhRGjakuxcjQiHSm4KTZ
-4jGLzQfsyarzOk31LFbVSzRiRTGdPGLX3JsOirVZQkB+dfLAlOzgkiqoGum8YG0L
-/lvet+TlfLGheBy5qAjGE3IV1tyQ7FDsWjR0m8nNB7gzu+k+kzdmK45fadiRAg6b
-uHs0GMGGQsliDF/lEarvng5yMp0G7bjNlDoRXqZmFjVzLlmad8RqozVtjR3xy0PI
-m2/ZPGIuEy/5Lk1Z/YTA/sIv1eTlla8QUcjjzdkpEa/Elaofo9Hmj7YWCKJo7P5w
-dwEhQJUkcTRyOEzlXGobysFtSUOLrgEk0c1qEmGLI3dWnVvjfHtSzik3ALrUmQ+s
-RoiUKuPsC1GbW/legtkR3CvCBsS9hi0y9JK0pzdXAAXAYixqZAzuEAORKi+S649E
-/jp03xHmNXrtLPBslWrlNMWkzA==
-=2M09

commit python-xapp for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package python-xapp for openSUSE:Factory 
checked in at 2017-05-09 18:03:24

Comparing /work/SRC/openSUSE:Factory/python-xapp (Old)
 and  /work/SRC/openSUSE:Factory/.python-xapp.new (New)


Package is "python-xapp"

Tue May  9 18:03:24 2017 rev:1 rq:493444 version:1.0.0

Changes:

New Changes file:

--- /dev/null   2017-03-01 00:40:19.279048016 +0100
+++ /work/SRC/openSUSE:Factory/.python-xapp.new/python-xapp.changes 
2017-05-09 18:03:29.597981496 +0200
@@ -0,0 +1,4 @@
+---
+Wed May  4 17:44:11 UTC 2017 - sor.ale...@meowr.ru
+
+- Initial package.

New:

  python-xapp-1.0.0.tar.gz
  python-xapp.changes
  python-xapp.spec



Other differences:
--
++ python-xapp.spec ++
#
# spec file for package python-xapp
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:   python-xapp
Version:1.0.0
Release:0
Summary:Python XApp library
License:GPL-2.0+
Group:  Development/Languages/Python
Url:https://github.com/linuxmint/python-xapp
Source: 
https://github.com/linuxmint/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  python-rpm-macros
Requires:   python-psutil
BuildArch:  noarch

%description
This project gathers the components which are common to multiple
desktop environments and required to implement cross-DE solutions.

%python_subpackages

%prep
%setup -q

%build
%python_build

%install
%python_install

%files %{python_files}
%defattr(-,root,root)
%doc COPYING debian/changelog
%{python_sitelib}/xapp/
%{python_sitelib}/python_xapp-%{version}-*.egg-info

%changelog



commit orion for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package orion for openSUSE:Factory checked 
in at 2017-05-09 18:03:09

Comparing /work/SRC/openSUSE:Factory/orion (Old)
 and  /work/SRC/openSUSE:Factory/.orion.new (New)


Package is "orion"

Tue May  9 18:03:09 2017 rev:3 rq:493303 version:1.5.1+git~20170503

Changes:

--- /work/SRC/openSUSE:Factory/orion/orion.changes  2017-04-29 
10:54:20.27545 +0200
+++ /work/SRC/openSUSE:Factory/.orion.new/orion.changes 2017-05-09 
18:03:15.272005918 +0200
@@ -1,0 +2,36 @@
+Thu May 04 07:30:56 UTC 2017 - pousadua...@gmail.com
+
+- Update to version 1.5.1+git~20170503:
+  * reduce download rate to make video impact less severe
+  * disable some badge debug output
+  * avoid downloadComplete signal in the middle of a download batch; don't 
count already-loaded images toward the throttling
+  * simplify timing
+  * switch to QTimer-based download start rate so we're not spinning on 
processEvents
+  * move ImageProvider bulk download completion to a separate signal rather 
having a bunch of special logic to overload downloadComplete
+  * remove unused bulk download returned value logic
+
+---
+Mon May 01 10:22:03 UTC 2017 - pousadua...@gmail.com
+
+- Update to version 1.5.1+git~20170501:
+  * add /w for whispers; accept any case for slash commands
+  * fix ChatView anchor changes unintentional width setting
+  * hide chat controls in small mode
+  * hide chat List when chat hidden
+  * fix chat controls position with swapped chat
+  * fixed transparent bg on chat toolbar
+  * tweaks to viewerlist
+
+---
+Sun Apr 30 10:30:15 UTC 2017 - pousadua...@gmail.com
+
+- Update to version 1.5.1+git~20170429:
+  * if a chat replay is in progress don't rejoin live chat when the network 
recovers
+  * receive and send whispers from the chat view
+  * add viewer list to chat
+  * move viewer list button to top navbar
+  * viewer list tooltip
+  * disable viewer list button when there is no current channel in playerview
+  * Moved list button inside chatview
+
+---

Old:

  orion-1.5.1+git~20170428.tar.xz

New:

  orion-1.5.1+git~20170503.tar.xz



Other differences:
--
++ orion.spec ++
--- /var/tmp/diff_new_pack.kzK5aX/_old  2017-05-09 18:03:16.243868583 +0200
+++ /var/tmp/diff_new_pack.kzK5aX/_new  2017-05-09 18:03:16.247868018 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   orion
-Version:1.5.1+git~20170428
+Version:1.5.1+git~20170503
 Release:0
 Summary:Twitch stream client using Qt
 License:GPL-3.0

++ _servicedata ++
--- /var/tmp/diff_new_pack.kzK5aX/_old  2017-05-09 18:03:16.315858410 +0200
+++ /var/tmp/diff_new_pack.kzK5aX/_new  2017-05-09 18:03:16.315858410 +0200
@@ -1,4 +1,4 @@
 
 
 https://github.com/alamminsalo/orion.git
-  0aa0e759ddec285231d41f8b9d6be124f112a60a
\ No newline at end of file
+  91d02947a15ccf8d4086461fb3d86fc8771fac9f
\ No newline at end of file

++ orion-1.5.1+git~20170428.tar.xz -> orion-1.5.1+git~20170503.tar.xz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/orion-1.5.1+git~20170428/src/model/channelmanager.cpp 
new/orion-1.5.1+git~20170503/src/model/channelmanager.cpp
--- old/orion-1.5.1+git~20170428/src/model/channelmanager.cpp   2017-04-28 
15:15:59.0 +0200
+++ new/orion-1.5.1+git~20170503/src/model/channelmanager.cpp   2017-05-03 
21:01:12.0 +0200
@@ -36,7 +36,7 @@
 if (splitPos != -1) {
 const QString badge = key.left(splitPos);
 const QString version = key.mid(splitPos + 1);
-qDebug() << "badge hunt: channel name" << _channelName << "channel id" 
<< _channelId << "badge" << badge << "version" << version;
+//qDebug() << "badge hunt: channel name" << _channelName << "channel 
id" << _channelId << "badge" << badge << "version" << version;
 
 if (_channelManager->getChannelBadgeBetaUrl(_channelId, badge, 
version, betaImageFormat, url)) {
 return QList({ _channelId, badge, version, 
betaImageFormat }).join("-");
@@ -128,6 +128,7 @@
 connect(netman, SIGNAL(favouritesReplyFinished(const QList&, 
const quint32)), this, SLOT(addFollowedResults(const QList&, const 
quint32)));
 connect(netman, SIGNAL(vodStartGetOperationFinished(double)), this, 
SIGNAL(vodStartGetOperationFinished(double)));
 connect(netman, 
SIGNAL(vodChatPieceGetOperationFinished(QList)), this, 
SIGNAL(vodChatPieceGetOperationFinished(QList)));
+connect(netman, 

commit python-pyxdg for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package python-pyxdg for openSUSE:Factory 
checked in at 2017-05-09 18:03:03

Comparing /work/SRC/openSUSE:Factory/python-pyxdg (Old)
 and  /work/SRC/openSUSE:Factory/.python-pyxdg.new (New)


Package is "python-pyxdg"

Tue May  9 18:03:03 2017 rev:2 rq:493090 version:0.25

Changes:

--- /work/SRC/openSUSE:Factory/python-pyxdg/python-pyxdg.changes
2015-10-30 13:43:07.0 +0100
+++ /work/SRC/openSUSE:Factory/.python-pyxdg.new/python-pyxdg.changes   
2017-05-09 18:03:05.489388312 +0200
@@ -1,0 +2,23 @@
+Fri May  5 21:47:54 UTC 2017 - toddrme2...@gmail.com
+
+- Don't provide python2-xdg. Singlespec packages should use the
+  correct name.
+
+---
+Mon May  1 18:49:28 UTC 2017 - toddrme2...@gmail.com
+
+- Add literal python-xdg provides.
+
+---
+Mon Apr 24 17:35:04 UTC 2017 - toddrme2...@gmail.com
+
+- Fix source url
+- Various small spec file cleanups.
+
+---
+Thu Apr 13 09:16:00 UTC 2017 - aloi...@gmx.com
+
+- Converted to single-spec
+- Updated source URL
+
+---



Other differences:
--
++ python-pyxdg.spec ++
--- /var/tmp/diff_new_pack.ShZGjv/_old  2017-05-09 18:03:07.305131727 +0200
+++ /var/tmp/diff_new_pack.ShZGjv/_new  2017-05-09 18:03:07.305131727 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package python-pyxdg
 #
-# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -16,6 +16,14 @@
 #
 
 
+%if 0%{?sle_version} > 120100 || 0%{?suse_version} > 1320
+%bcond_without tests
+%else
+%bcond_with tests
+%endif
+
+%{?!python_module:%define python_module() python-%{**} python3-%{**}}
+%define oldpython python
 Name:   python-pyxdg
 Version:0.25
 Release:0
@@ -23,22 +31,29 @@
 License:LGPL-2.1
 Group:  Development/Languages/Python
 Url:http://freedesktop.org/wiki/Software/pyxdg
-Source: 
https://pypi.python.org/packages/source/p/pyxdg/pyxdg-%{version}.tar.gz
+Source: 
https://files.pythonhosted.org/packages/source/p/pyxdg/pyxdg-%{version}.tar.gz
 Source1:
http://people.freedesktop.org/~takluyver/pyxdg-%{version}.tar.gz.asc
 Source2:%{name}.keyring
+BuildRequires:  %{python_module devel}
+%if %{with tests}
+BuildRequires:  %{python_module nose}
+%endif
 BuildRequires:  hicolor-icon-theme
-BuildRequires:  python-devel
-BuildRequires:  python-nose
+BuildRequires:  python-rpm-macros
 BuildRequires:  shared-mime-info
 Requires:   shared-mime-info
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
-%if 0%{?suse_version} && 0%{?suse_version} <= 1110
-%{!?python_sitelib: %global python_sitelib %(python -c "from 
distutils.sysconfig import get_python_lib; print get_python_lib()")}
-%else
 BuildArch:  noarch
+# Change <= to < after version 0.25
+%ifpython2
+Obsoletes:  %{oldpython}-xdg < %{version}
+Provides:   %{oldpython}-xdg <= %{version}
+%endif
+%ifpython3
+Provides:   python3-xdg = %{version}
+Obsoletes:  python3-xdg <= %{version}
 %endif
-Provides:   python-xdg = %{version}
-Obsoletes:  python-xdg <= %{version}
+%python_subpackages
 
 %description
 PyXDG is a python library to access freedesktop.org standards. Currently 
supported are:
@@ -53,19 +68,20 @@
 %setup -q -n pyxdg-%{version}
 
 %build
-python setup.py build
+%python_build
 
 %install
-python setup.py install --prefix=%{_prefix} --root=%{buildroot}
+%python_install
 
-%if 0%{?suse_version} && 0%{?suse_version} >= 1320
+%if %{with tests}
 %check
-nosetests
+%python_expand nosetests-%{$python_bin_suffix}
 %endif
 
-%files
+%files %{python_files}
 %defattr(-,root,root,-)
 %doc README AUTHORS COPYING ChangeLog
-%{python_sitelib}/*
+%{python_sitelib}/xdg
+%{python_sitelib}/pyxdg-%{version}-py*.egg-info
 
 %changelog






commit strip-nondeterminism for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package strip-nondeterminism for 
openSUSE:Factory checked in at 2017-05-09 18:03:15

Comparing /work/SRC/openSUSE:Factory/strip-nondeterminism (Old)
 and  /work/SRC/openSUSE:Factory/.strip-nondeterminism.new (New)


Package is "strip-nondeterminism"

Tue May  9 18:03:15 2017 rev:2 rq:493390 version:0.029

Changes:

--- 
/work/SRC/openSUSE:Factory/strip-nondeterminism/strip-nondeterminism.changes
2017-01-22 00:46:54.36463 +0100
+++ 
/work/SRC/openSUSE:Factory/.strip-nondeterminism.new/strip-nondeterminism.changes
   2017-05-09 18:03:18.807506312 +0200
@@ -1,0 +2,5 @@
+Sun May  7 09:47:22 UTC 2017 - bwiedem...@suse.com
+
+- add rpm macro to use in spec files
+
+---

New:

  rpmmacros



Other differences:
--
++ strip-nondeterminism.spec ++
--- /var/tmp/diff_new_pack.4sTPd7/_old  2017-05-09 18:03:19.535403452 +0200
+++ /var/tmp/diff_new_pack.4sTPd7/_new  2017-05-09 18:03:19.539402887 +0200
@@ -24,6 +24,7 @@
 Group:  Development/Libraries/Perl
 Url:
https://anonscm.debian.org/git/reproducible/strip-nondeterminism.git
 Source: 
http://http.debian.net/debian/pool/main/s/strip-nondeterminism/strip-nondeterminism_%{version}.orig.tar.gz
+Source2:rpmmacros
 # PATCH-FIX-OPENSUSE - apk files misdetected as OOXML
 Patch0: strip-nondeterminism-0.029-fix-apk.patch
 BuildArch:  noarch
@@ -58,6 +59,8 @@
 %{__make} test
 
 %install
+mkdir -p %buildroot/etc/rpm/
+install -p %{SOURCE2} %buildroot/etc/rpm/macros.strip-nondeterminism
 %perl_make_install
 %perl_process_packlist
 %perl_gen_filelist
@@ -65,5 +68,6 @@
 %files -f %{name}.files
 %defattr(-,root,root,755)
 %doc README TODO COPYING
+/etc/rpm/macros.strip-nondeterminism
 
 %changelog

++ rpmmacros ++
# use as 
# %?strip_all_nondeterminism
# or
# %if 0%?have_strip_nondeterminism > 0
#strip_nondeterminism path/to/file.zip
# %endif

%have_strip_nondeterminism 1
%strip_all_nondeterminism() \
 find '(' -name '*.zip' -o -name '*.jar' -o -name '*.xpi' -o -name '*.pk3' -o 
-name '*.mo' -o -name '*.html' -o -name '*.gz' -o -name '*.png' ')' -print0 | 
xargs -0 --no-run-if-empt strip-nondeterminism \
 %{nil}



commit devmem2 for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package devmem2 for openSUSE:Factory checked 
in at 2017-05-09 18:02:57

Comparing /work/SRC/openSUSE:Factory/devmem2 (Old)
 and  /work/SRC/openSUSE:Factory/.devmem2.new (New)


Package is "devmem2"

Tue May  9 18:02:57 2017 rev:7 rq:493002 version:1.0

Changes:

--- /work/SRC/openSUSE:Factory/devmem2/devmem2.changes  2015-11-16 
18:51:33.0 +0100
+++ /work/SRC/openSUSE:Factory/.devmem2.new/devmem2.changes 2017-05-09 
18:03:02.025877745 +0200
@@ -1,0 +2,7 @@
+Fri May  5 11:19:38 UTC 2017 - guilla...@opensuse.org
+
+- Add fix_usage_on_64_bits.patch to fix boo#1032032
+  It updates the current devmem2.c file by the one provided by 
+  Russel King to fix usage on 64 bits systems.
+
+---

New:

  fix_usage_on_64_bits.patch



Other differences:
--
++ devmem2.spec ++
--- /var/tmp/diff_new_pack.7phvM6/_old  2017-05-09 18:03:03.145719499 +0200
+++ /var/tmp/diff_new_pack.7phvM6/_new  2017-05-09 18:03:03.149718934 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package devmem2
 #
-# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 # Copyright (c) 2012 Guillaume GARDET 
 #
 # All modifications and additions to the file contributed by third parties
@@ -25,6 +25,7 @@
 Group:  Hardware/Other
 Url:http://free-electrons.com/pub/mirror/devmem2.c
 Source: devmem2-1.0.tar.gz
+Patch1: fix_usage_on_64_bits.patch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 
 %description
@@ -35,6 +36,7 @@
 
 %prep
 %setup -q
+%patch1
 
 %build
 cc %{optflags} devmem2.c -o devmem2

++ fix_usage_on_64_bits.patch ++
--- devmem2.c.orig  2004-09-09 21:19:29.0 +0200
+++ devmem2.c   2017-05-05 13:17:10.682241495 +0200
@@ -1,7 +1,7 @@
 /*
  * devmem2.c: Simple program to read/write from/to any location in memory.
  *
- *  Copyright (C) 2000, Jan-Derk Bakker (j.d.bak...@its.tudelft.nl)
+ *  Copyright (C) 2000, Jan-Derk Bakker (j...@lartmaker.nl)
  *
  *
  * This software has been developed for the LART computing board
@@ -10,16 +10,6 @@
  * and Ubiquitous Communications (http://www.ubicom.tudelft.nl/)
  * projects.
  *
- * The author can be reached at:
- *
- *  Jan-Derk Bakker
- *  Information and Communication Theory Group
- *  Faculty of Information Technology and Systems
- *  Delft University of Technology
- *  P.O. Box 5031
- *  2600 GA Delft
- *  The Netherlands
- *
  *
  * This program is free software; you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
@@ -46,6 +36,7 @@
 #include 
 #include 
 #include 
+#include 
 #include 
 #include 
   
@@ -55,77 +46,99 @@
 #define MAP_SIZE 4096UL
 #define MAP_MASK (MAP_SIZE - 1)
 
-int main(int argc, char **argv) {
-int fd;
-void *map_base, *virt_addr; 
-   unsigned long read_result, writeval;
+int main(int argc, char **argv)
+{
+   uint64_t read_result, writeval;
+   unsigned int access_size = sizeof(uint32_t);
+   void *map_base, *virt_addr; 
off_t target;
+   int fd;
int access_type = 'w';

if(argc < 2) {
fprintf(stderr, "\nUsage:\t%s { address } [ type [ data ] ]\n"
"\taddress : memory address to act upon\n"
-   "\ttype: access operation type : [b]yte, 
[h]alfword, [w]ord\n"
+   "\ttype: access operation type:\n"
+   "\t  [b]yte (8bit), [h]alfword (16bit), [w]ord 
(32bit), [l]ong (64bit)\n"
"\tdata: data to be written\n\n",
argv[0]);
exit(1);
}
-   target = strtoul(argv[1], 0, 0);
 
+   target = strtoul(argv[1], 0, 0);
if(argc > 2)
access_type = tolower(argv[2][0]);
 
+   fd = open("/dev/mem", O_RDWR | O_SYNC);
+   if (fd == -1)
+   FATAL;
+
+   /* Map one page */
+   map_base = mmap(0, MAP_SIZE, PROT_READ | PROT_WRITE, MAP_SHARED,
+   fd, target & ~MAP_MASK);
+   if (map_base == (void *)-1)
+   FATAL;
+
+   close(fd);
+
+   virt_addr = map_base + (target & MAP_MASK);
+   switch (access_type) {
+   case 'b':
+   read_result = *(uint8_t *)virt_addr;
+   access_size = sizeof(uint8_t);
+   break;
+   case 'h':
+   read_result = *(uint16_t *)virt_addr;
+   access_size = sizeof(uint16_t);
+   break;
+   case 'w':
+   read_result = *(uint32_t *)virt_addr;
+   

commit python-PyJWT for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package python-PyJWT for openSUSE:Factory 
checked in at 2017-05-09 18:02:46

Comparing /work/SRC/openSUSE:Factory/python-PyJWT (Old)
 and  /work/SRC/openSUSE:Factory/.python-PyJWT.new (New)


Package is "python-PyJWT"

Tue May  9 18:02:46 2017 rev:10 rq:491844 version:1.4.2

Changes:

--- /work/SRC/openSUSE:Factory/python-PyJWT/python-PyJWT.changes
2017-04-07 13:54:07.428553154 +0200
+++ /work/SRC/openSUSE:Factory/.python-PyJWT.new/python-PyJWT.changes   
2017-05-09 18:02:50.183551199 +0200
@@ -1,0 +2,12 @@
+Fri Apr 28 12:25:53 UTC 2017 - pousadua...@gmail.com
+
+- Restore runtime dependency python-ecdsa
+
+---
+Wed Apr 26 18:03:53 UTC 2017 - pousadua...@gmail.com
+
+- Convert to singlespec
+- Remove unneeded dependency python-ecdsa
+- Use "download_files" in _service file to automate source fetching
+
+---

New:

  _service



Other differences:
--
++ python-PyJWT.spec ++
--- /var/tmp/diff_new_pack.qTDZEa/_old  2017-05-09 18:02:51.015433645 +0200
+++ /var/tmp/diff_new_pack.qTDZEa/_new  2017-05-09 18:02:51.019433080 +0200
@@ -16,11 +16,7 @@
 #
 
 
-%if 0%{?suse_version} && 0%{?suse_version} <= 1110
-%{!?python_sitelib: %global python_sitelib %(python -c "from 
distutils.sysconfig import get_python_lib; print get_python_lib()")}
-%else
-BuildArch:  noarch
-%endif
+%{?!python_module:%define python_module() python-%{**} python3-%{**}}
 Name:   python-PyJWT
 Version:1.4.2
 Release:0
@@ -29,19 +25,28 @@
 Group:  Development/Languages/Python
 Url:https://github.com/progrium/pyjwt
 Source: 
https://files.pythonhosted.org/packages/source/P/PyJWT/PyJWT-%{version}.tar.gz
+BuildRoot:  %{_tmppath}/%{name}-%{version}-build
+
+BuildRequires:  %{python_module cryptography}
+BuildRequires:  %{python_module devel}
+BuildRequires:  %{python_module pytest-cov >= 1.7}
+BuildRequires:  %{python_module pytest-runner}
+BuildRequires:  %{python_module pytest}
+BuildRequires:  %{python_module setuptools}
 BuildRequires:  dos2unix
-BuildRequires:  python-cryptography
-BuildRequires:  python-devel
-BuildRequires:  python-ecdsa
-BuildRequires:  python-pytest
-BuildRequires:  python-pytest-cov >= 1.7
-BuildRequires:  python-pytest-runner
-BuildRequires:  python-setuptools
+BuildRequires:  fdupes
+BuildRequires:  python-rpm-macros
+
 Requires:   python-cryptography
 Requires:   python-ecdsa
+Requires:   python-setuptools
+
 Requires(post): update-alternatives
 Requires(postun): update-alternatives
-BuildRoot:  %{_tmppath}/%{name}-%{version}-build
+
+BuildArch:  noarch
+
+%python_subpackages
 
 %description
 A Python implementation of JSON Web Token draft 01.
@@ -49,36 +54,32 @@
 %prep
 %setup -q -n PyJWT-%{version}
 dos2unix jwt/__main__.py
-sed -i -e "s/jwt = jwt.__main__:main/jwt-%{py_ver} = jwt.__main__:main/" 
setup.py
 
 %build
-python setup.py build
+%python_build
+#remove shebang from all non executable files
+find ./ -type f -name "*.py" -perm 644 -exec sed -i -e '1{\@^#!/usr/bin/env 
python@d}' {} \;
 
 %install
-python setup.py install --prefix=%{_prefix} --root=%{buildroot}
+%python_install
+%python_clone -a %{buildroot}%{_bindir}/jwt
 
-mkdir -p %{buildroot}%{_sysconfdir}/alternatives
-touch %{buildroot}%{_sysconfdir}/alternatives/jwt
-ln -sf %{_sysconfdir}/alternatives/jwt %{buildroot}/%{_bindir}/jwt
+#hardlink duplicated files
+%fdupes %{buildroot}
 
 %post
-update-alternatives \
---install %{_bindir}/jwt jwt %{_bindir}/jwt-%{py_ver} 30
+%python_install_alternative jwt
 
 %postun
-if [ $1 -eq 0 ] ; then
-update-alternatives --remove jwt %{_bindir}/jwt-%{py_ver}
-fi
+%python_uninstall_alternative jwt
 
 %check
-PYTHONPATH=%{buildroot}%{python_sitelib} py.test -k "not 
test_verify_false_deprecated"
+%{python_expand PYTHONPATH=%{buildroot}%{python_sitelib} py.test-%{py_ver} -k 
"not test_verify_false_deprecated" }
 
-%files
+%files %python_files
 %defattr(-,root,root,-)
 %doc AUTHORS CHANGELOG.md LICENSE README.md
 %{python_sitelib}/*
-%{_bindir}/jwt
-%{_bindir}/jwt-%{py_ver}
-%ghost %{_sysconfdir}/alternatives/jwt
+%python_alternative %{_bindir}/jwt
 
 %changelog

++ _service ++

 
yes
enable
 
 




commit hawk2 for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package hawk2 for openSUSE:Factory checked 
in at 2017-05-09 18:02:24

Comparing /work/SRC/openSUSE:Factory/hawk2 (Old)
 and  /work/SRC/openSUSE:Factory/.hawk2.new (New)


Package is "hawk2"

Tue May  9 18:02:24 2017 rev:38 rq:491793 version:2.1.0+git.1493374455.0363b9be

Changes:

--- /work/SRC/openSUSE:Factory/hawk2/hawk2.changes  2017-04-06 
11:02:24.937332859 +0200
+++ /work/SRC/openSUSE:Factory/.hawk2.new/hawk2.changes 2017-05-09 
18:02:31.382208040 +0200
@@ -1,0 +2,33 @@
+Fri Apr 28 10:14:57 UTC 2017 - kgronl...@suse.com
+
+- Update to version 2.1.0+git.1493374455.0363b9be:
+  * UI: Improve layout of Show/Edit/Graph buttons (bsc#1036761)
+
+---
+Fri Apr 28 08:43:33 UTC 2017 - kgronl...@suse.com
+
+- Update to version 2.1.0+git.1493367682.5e6c2dc5:
+  * UI: Add filter, link and ticket buttons. (bsc#1036738)
+  * UI: Add search box for cluster table (bsc#1036738)
+
+---
+Tue Apr 25 12:31:05 UTC 2017 - kgronl...@suse.com
+
+- Update to version 2.1.0+git.1493122558.004910fa:
+  * Bug: Use cib_id parameter if provided (bsc#1029532)
+  * Update translations
+
+---
+Thu Apr 20 12:21:41 UTC 2017 - kgronl...@suse.com
+
+- Update to version 2.1.0+git.1492690749.6147693e:
+  * UI: Display output from wizard in modal (fate#320866)
+
+---
+Tue Apr 11 06:51:06 UTC 2017 - kgronl...@suse.com
+
+- Update to version 2.1.0+git.1491892871.5d65a24d:
+  * Updated multi-cluster dashboard (bsc#1029532)
+  * Fix sidebar in low resolutions (bsc#1031816)
+
+---

Old:

  hawk2-2.1.0+git.1490950724.558e8212.tar.bz2

New:

  hawk2-2.1.0+git.1493374455.0363b9be.tar.bz2



Other differences:
--
++ hawk2.spec ++
--- /var/tmp/diff_new_pack.JniazA/_old  2017-05-09 18:02:32.410062792 +0200
+++ /var/tmp/diff_new_pack.JniazA/_new  2017-05-09 18:02:32.414062227 +0200
@@ -33,13 +33,13 @@
 %definegname   haclient
 %defineuname   hacluster
 
-%define version_unconverted 2.1.0+git.1490950724.558e8212
+%define version_unconverted 2.1.0+git.1493374455.0363b9be
 
 Name:   hawk2
 Summary:HA Web Konsole
 License:GPL-2.0
 Group:  %{pkg_group}
-Version:2.1.0+git.1490950724.558e8212
+Version:2.1.0+git.1493374455.0363b9be
 Release:0
 Url:http://www.clusterlabs.org/wiki/Hawk
 Source: %{name}-%{version}.tar.bz2

++ _servicedata ++
--- /var/tmp/diff_new_pack.JniazA/_old  2017-05-09 18:02:32.502049794 +0200
+++ /var/tmp/diff_new_pack.JniazA/_new  2017-05-09 18:02:32.502049794 +0200
@@ -1,4 +1,4 @@
 
 
 git://github.com/ClusterLabs/hawk.git
-  558e8212f473ee1f3689f8c88d9cb0a9a8ccd810
\ No newline at end of file
+  0363b9be141e915aa0e459af224cd785833adbb3
\ No newline at end of file

++ hawk2-2.1.0+git.1490950724.558e8212.tar.bz2 -> 
hawk2-2.1.0+git.1493374455.0363b9be.tar.bz2 ++
/work/SRC/openSUSE:Factory/hawk2/hawk2-2.1.0+git.1490950724.558e8212.tar.bz2 
/work/SRC/openSUSE:Factory/.hawk2.new/hawk2-2.1.0+git.1493374455.0363b9be.tar.bz2
 differ: char 11, line 1




commit python-bcrypt for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package python-bcrypt for openSUSE:Factory 
checked in at 2017-05-09 18:02:51

Comparing /work/SRC/openSUSE:Factory/python-bcrypt (Old)
 and  /work/SRC/openSUSE:Factory/.python-bcrypt.new (New)


Package is "python-bcrypt"

Tue May  9 18:02:51 2017 rev:1 rq:492678 version:3.1.3

Changes:

New Changes file:

--- /dev/null   2017-03-01 00:40:19.279048016 +0100
+++ /work/SRC/openSUSE:Factory/.python-bcrypt.new/python-bcrypt.changes 
2017-05-09 18:02:51.707335871 +0200
@@ -0,0 +1,56 @@
+---
+Sun Apr 30 09:33:56 UTC 2017 - jeng...@inai.de
+
+- Say which crypt methods this module actually supports.
+
+---
+Sun Apr 30 03:02:13 UTC 2017 - toddrme2...@gmail.com
+
+- Update to version 3.1.3
+  * Fixed a compilation issue on Solaris.
+  * Added a warning when using too few rounds with kdf.
+- Update to version 3.1.2
+  * Fixed a compile issue affecting big endian platforms.
+  * Fixed invalid escape sequence warnings on Python 3.6.
+  * Fixed building in non-UTF8 environments on Python 2.
+- Provides/Obsoletes "python-py-bcrypt" exactly.
+- Change Summary/Description. Apparently "bcrypt is not "modern",
+  not anymore."
+
+---
+Thu Apr 27 18:20:04 UTC 2017 - toddrme2...@gmail.com
+
+- Fix license.
+
+---
+Tue Apr 25 21:59:02 UTC 2017 - toddrme2...@gmail.com
+
+- Add Provides/Obsoletes py-bcrypt.
+  This package is intended as a drop-in replacement for py-bcrypt
+
+---
+Mon Apr 17 08:41:04 UTC 2017 - axel.br...@gmx.de
+
+- changes for singlespec
+
+---
+Wed Oct  5 11:57:45 UTC 2016 - dmuel...@suse.com
+
+- require the cffi version it was built against
+
+---
+Thu Sep 29 20:53:41 UTC 2016 - mar...@gmx.de
+
+- Update to version 3.1.1
+  * Resolved a UserWarning when used with cffi 1.8.3.
+
+---
+Thu Sep 15 15:18:25 UTC 2016 - mar...@gmx.de
+
+- build with "-fno-strict-aliasing"
+
+---
+Sun Sep 11 13:34:58 UTC 2016 - mar...@gmx.de
+
+- initial package, version 3.1.0
+

New:

  bcrypt-3.1.3.tar.gz
  python-bcrypt.changes
  python-bcrypt.spec



Other differences:
--
++ python-bcrypt.spec ++
#
# spec file for package python-bcrypt
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2016, Martin Hauke 
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_without tests

%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define oldpython python
Name:   python-bcrypt
Version:3.1.3
Release:0
Summary:BSD type 2a and 2b password hashing
License:Apache-2.0
Group:  Development/Languages/Python
Url:https://github.com/pyca/bcrypt/
Source: 
https://files.pythonhosted.org/packages/source/b/bcrypt/bcrypt-%{version}.tar.gz
BuildRequires:  %{python_module cffi}
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module six}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  pkgconfig(libffi)
%if %{with tests}
BuildRequires:  %{python_module pytest}
%endif
Requires:   python-six
%requires_eqpython-cffi
# This is intended as a drop-in replacement for py-bcrypt
Provides:   python-py-bcrypt = %{version}
Obsoletes:  python-py-bcrypt < %{version}
%ifpython2
Provides:   %{oldpython}-py-bcrypt = %{version}
Obsoletes:  %{oldpython}-py-bcrypt < %{version}
%endif
BuildRoot:  %{_tmppath}/%{name}-%{version}-build
%python_subpackages

%description
This Python module supports creating (and verifying) password hashes
using the BSD-originating hashing methods known as "2a" and "2b".


commit python-python-jenkins for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package python-python-jenkins for 
openSUSE:Factory checked in at 2017-05-09 18:02:31

Comparing /work/SRC/openSUSE:Factory/python-python-jenkins (Old)
 and  /work/SRC/openSUSE:Factory/.python-python-jenkins.new (New)


Package is "python-python-jenkins"

Tue May  9 18:02:31 2017 rev:3 rq:491800 version:0.4.14

Changes:

--- 
/work/SRC/openSUSE:Factory/python-python-jenkins/python-python-jenkins.changes  
2016-05-19 12:15:06.0 +0200
+++ 
/work/SRC/openSUSE:Factory/.python-python-jenkins.new/python-python-jenkins.changes
 2017-05-09 18:02:35.241662656 +0200
@@ -1,0 +2,25 @@
+Fri Apr 28 10:43:13 UTC 2017 - tbecht...@suse.com
+
+update to version 0.4.14
+  * get_running_builds failed when server has a path
+  * Move other-requirements.txt to bindep.txt
+  * Add optional kerberos support
+  * Allow to wait for jenkins to enter normal operation
+  * Remove discover from test-requirements
+  * Fixed a minor typo in example of Python-jenkins
+  * Fix relative import in kerberos support for python3
+  * Changes get_job_info to get_build_info
+  * url-proof scripts passed to run_script
+  * Do not force DeprecationWarning to be displayed
+  * Add support for handling promotions
+  * Use standard cover setup
+  * Adds possibility to retrieve all jobs from the view specified
+  * Setup required packages with bindep
+  * Make the kerberos support python3 ready
+  * remove cap on pbr
+  * Fetch all builds from a job
+  * Remove redundant 'the'
+  * add get_whoami()
+- Use pypi.io as Source url
+
+---

Old:

  python-jenkins-0.4.12.tar.gz

New:

  python-jenkins-0.4.14.tar.gz



Other differences:
--
++ python-python-jenkins.spec ++
--- /var/tmp/diff_new_pack.tJ0I5K/_old  2017-05-09 18:02:36.369503279 +0200
+++ /var/tmp/diff_new_pack.tJ0I5K/_new  2017-05-09 18:02:36.373502714 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package python-python-jenkins
 #
-# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 # Copyright (c) 2014 Thomas Bechtold 
 #
 # All modifications and additions to the file contributed by third parties
@@ -18,13 +18,13 @@
 
 
 Name:   python-python-jenkins
-Version:0.4.12
+Version:0.4.14
 Release:0
 Summary:Python bindings for the remote Jenkins API
 License:BSD-3-Clause
 Group:  Development/Languages/Python
 Url:http://launchpad.net/python-jenkins
-Source: 
https://pypi.python.org/packages/source/p/python-jenkins/python-jenkins-%{version}.tar.gz
+Source: 
https://pypi.io/packages/source/p/python-jenkins/python-jenkins-%{version}.tar.gz
 BuildRequires:  python-devel
 BuildRequires:  python-pbr
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build

++ python-jenkins-0.4.12.tar.gz -> python-jenkins-0.4.14.tar.gz ++
 1779 lines of diff (skipped)




commit python-jenkins-job-builder for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package python-jenkins-job-builder for 
openSUSE:Factory checked in at 2017-05-09 18:02:36

Comparing /work/SRC/openSUSE:Factory/python-jenkins-job-builder (Old)
 and  /work/SRC/openSUSE:Factory/.python-jenkins-job-builder.new (New)


Package is "python-jenkins-job-builder"

Tue May  9 18:02:36 2017 rev:7 rq:491817 version:1.6.2

Changes:

--- 
/work/SRC/openSUSE:Factory/python-jenkins-job-builder/python-jenkins-job-builder.changes
2017-04-12 18:19:54.538626644 +0200
+++ 
/work/SRC/openSUSE:Factory/.python-jenkins-job-builder.new/python-jenkins-job-builder.changes
   2017-05-09 18:02:36.893429243 +0200
@@ -1,0 +2,6 @@
+Fri Apr 28 10:38:39 UTC 2017 - tbecht...@suse.com
+
+- update to 1.6.2:
+  * remove cap on pbr
+
+---

Old:

  jenkins-job-builder-1.6.1.tar.gz

New:

  jenkins-job-builder-1.6.2.tar.gz



Other differences:
--
++ python-jenkins-job-builder.spec ++
--- /var/tmp/diff_new_pack.WzIbND/_old  2017-05-09 18:02:37.801300950 +0200
+++ /var/tmp/diff_new_pack.WzIbND/_new  2017-05-09 18:02:37.805300385 +0200
@@ -18,7 +18,7 @@
 
 
 Name:   python-jenkins-job-builder
-Version:1.6.1
+Version:1.6.2
 Release:0
 Summary:Manage Jenkins jobs with YAML
 License:Apache-2.0

++ jenkins-job-builder-1.6.1.tar.gz -> jenkins-job-builder-1.6.2.tar.gz 
++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/jenkins-job-builder-1.6.1/AUTHORS 
new/jenkins-job-builder-1.6.2/AUTHORS
--- old/jenkins-job-builder-1.6.1/AUTHORS   2016-06-09 17:25:46.0 
+0200
+++ new/jenkins-job-builder-1.6.2/AUTHORS   2017-03-07 23:38:24.0 
+0100
@@ -98,6 +98,7 @@
 Jeff Grafton 
 Jeremy Stanley 
 Jerome Hourquebie 
+Jerry Zhao 
 Jesse DeFer 
 Jim Graf 
 Joakim Löfgren 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/jenkins-job-builder-1.6.1/ChangeLog 
new/jenkins-job-builder-1.6.2/ChangeLog
--- old/jenkins-job-builder-1.6.1/ChangeLog 2016-06-09 17:25:46.0 
+0200
+++ new/jenkins-job-builder-1.6.2/ChangeLog 2017-03-07 23:38:24.0 
+0100
@@ -1,6 +1,11 @@
 CHANGES
 ===
 
+1.6.2
+-
+
+* remove cap on pbr
+
 1.6.1
 -
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/jenkins-job-builder-1.6.1/PKG-INFO 
new/jenkins-job-builder-1.6.2/PKG-INFO
--- old/jenkins-job-builder-1.6.1/PKG-INFO  2016-06-09 17:25:47.0 
+0200
+++ new/jenkins-job-builder-1.6.2/PKG-INFO  2017-03-07 23:38:25.0 
+0100
@@ -1,6 +1,6 @@
 Metadata-Version: 1.1
 Name: jenkins-job-builder
-Version: 1.6.1
+Version: 1.6.2
 Summary: Manage Jenkins jobs with YAML
 Home-page: http://docs.openstack.org/infra/system-config/jjb.html
 Author: OpenStack Infrastructure Team
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/jenkins-job-builder-1.6.1/jenkins_job_builder.egg-info/PKG-INFO 
new/jenkins-job-builder-1.6.2/jenkins_job_builder.egg-info/PKG-INFO
--- old/jenkins-job-builder-1.6.1/jenkins_job_builder.egg-info/PKG-INFO 
2016-06-09 17:25:46.0 +0200
+++ new/jenkins-job-builder-1.6.2/jenkins_job_builder.egg-info/PKG-INFO 
2017-03-07 23:38:24.0 +0100
@@ -1,6 +1,6 @@
 Metadata-Version: 1.1
 Name: jenkins-job-builder
-Version: 1.6.1
+Version: 1.6.2
 Summary: Manage Jenkins jobs with YAML
 Home-page: http://docs.openstack.org/infra/system-config/jjb.html
 Author: OpenStack Infrastructure Team
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/jenkins-job-builder-1.6.1/jenkins_job_builder.egg-info/pbr.json 
new/jenkins-job-builder-1.6.2/jenkins_job_builder.egg-info/pbr.json
--- old/jenkins-job-builder-1.6.1/jenkins_job_builder.egg-info/pbr.json 
2016-06-09 17:25:46.0 +0200
+++ new/jenkins-job-builder-1.6.2/jenkins_job_builder.egg-info/pbr.json 
2017-03-07 23:38:24.0 +0100
@@ -1 +1 @@
-{"is_release": true, "git_version": "df1ab0f"}
\ No newline at end of file
+{"git_version": "c9eb893", "is_release": true}
\ No newline at end of file
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/jenkins-job-builder-1.6.1/jenkins_job_builder.egg-info/requires.txt 
new/jenkins-job-builder-1.6.2/jenkins_job_builder.egg-info/requires.txt
--- old/jenkins-job-builder-1.6.1/jenkins_job_builder.egg-info/requires.txt 
2016-06-09 17:25:46.0 +0200
+++ 

commit python-ecdsa for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package python-ecdsa for openSUSE:Factory 
checked in at 2017-05-09 18:02:41

Comparing /work/SRC/openSUSE:Factory/python-ecdsa (Old)
 and  /work/SRC/openSUSE:Factory/.python-ecdsa.new (New)


Package is "python-ecdsa"

Tue May  9 18:02:41 2017 rev:7 rq:491843 version:0.13

Changes:

--- /work/SRC/openSUSE:Factory/python-ecdsa/python-ecdsa.changes
2015-02-24 13:07:01.0 +0100
+++ /work/SRC/openSUSE:Factory/.python-ecdsa.new/python-ecdsa.changes   
2017-05-09 18:02:46.580060413 +0200
@@ -1,0 +2,6 @@
+Fri Apr 28 11:52:09 UTC 2017 - pousadua...@gmail.com
+
+- Convert to singlespec
+- Use "download_files" in _service file to automate source fetching
+
+---

New:

  _service



Other differences:
--
++ python-ecdsa.spec ++
--- /var/tmp/diff_new_pack.obZ6Uf/_old  2017-05-09 18:02:47.315956422 +0200
+++ /var/tmp/diff_new_pack.obZ6Uf/_new  2017-05-09 18:02:47.319955857 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package python-ecdsa
 #
-# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -16,6 +16,7 @@
 #
 
 
+%{?!python_module:%define python_module() python-%{**} python3-%{**}}
 Name:   python-ecdsa
 Version:0.13
 Release:0
@@ -24,13 +25,13 @@
 Group:  Development/Languages/Python
 Url:http://github.com/warner/python-ecdsa
 Source: 
https://pypi.python.org/packages/source/e/ecdsa/ecdsa-%{version}.tar.gz
-BuildRequires:  python-devel
+BuildRequires:  %{python_module devel}
+BuildRequires:  fdupes
+BuildRequires:  python-rpm-macros
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
-%if 0%{?suse_version} && 0%{?suse_version} <= 1110
-%{!?python_sitelib: %global python_sitelib %(python -c "from 
distutils.sysconfig import get_python_lib; print get_python_lib()")}
-%else
 BuildArch:  noarch
-%endif
+
+%python_subpackages
 
 %description
 This is an easy-to-use implementation of ECDSA cryptography (Elliptic Curve
@@ -44,12 +45,17 @@
 %setup -q -n ecdsa-%{version}
 
 %build
-python setup.py build
+%python_build
+#remove shebang from all non executable files
+find ./ -type f -name "*.py" -perm 644 -exec sed -i -e '1{\@^#! /usr/bin/env 
python@d}' {} \;
 
 %install
-python setup.py install --prefix=%{_prefix} --root=%{buildroot}
+%python_install
+
+#hardlink duplicated files
+%fdupes %{buildroot}
 
-%files
+%files %python_files
 %defattr(-,root,root,-)
 %doc LICENSE NEWS README.md
 %{python_sitelib}/*

++ _service ++

 
yes
enable
 
 




commit blueman for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package blueman for openSUSE:Factory checked 
in at 2017-05-09 18:02:17

Comparing /work/SRC/openSUSE:Factory/blueman (Old)
 and  /work/SRC/openSUSE:Factory/.blueman.new (New)


Package is "blueman"

Tue May  9 18:02:17 2017 rev:1 rq:491734 version:2.0.4

Changes:

New Changes file:

--- /dev/null   2017-03-01 00:40:19.279048016 +0100
+++ /work/SRC/openSUSE:Factory/.blueman.new/blueman.changes 2017-05-09 
18:02:24.351201600 +0200
@@ -0,0 +1,40 @@
+---
+Fri Apr 28 00:14:20 UTC 2017 - jeng...@inai.de
+
+- Ensure neutrality of description
+
+---
+Thu Apr 27 06:39:30 UTC 2017 - bo...@opensuse.org
+
+- ran spec-cleaner
+
+---
+Thu Apr 27 05:47:03 UTC 2017 - meiss...@suse.com
+
+- removed rpmlintrc
+
+---
+Wed Apr  6 15:36:50 UTC 2016 - and.novem...@opensuse.org
+
+- update to version 2.0.4
+
+---
+Fri Jan  1 07:07:38 UTC 2016 - and.novem...@opensuse.org
+
+- update to version 2.0.3
+
+---
+Thu Dec 17 12:04:04 UTC 2015 - and.novem...@opensuse.org
+
+- update to version 2.0.2
+
+---
+Fri Oct  9 16:30:27 UTC 2015 - and.novem...@opensuse.org
+
+- update to version 2.0.1
+
+---
+Sun Jun 14 02:31:59 UTC 2015 - and.novem...@opensuse.org
+
+- build with python3
+

New:

  blueman-2.0.4.tar.xz
  blueman.changes
  blueman.spec



Other differences:
--
++ blueman.spec ++
#
# spec file for package blueman
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:   blueman
Version:2.0.4
Release:0
Summary:GTK+ Bluetooth Manager
License:GPL-3.0
Group:  System/GUI/GNOME
Url:https://github.com/blueman-project/blueman
Source: 
https://github.com/%{name}-project/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz
BuildRequires:  automake
BuildRequires:  dbus-1-python3-devel
#BuildRequires:  pkgconfig(notify-python)
BuildRequires:  fdupes
BuildRequires:  gnome-icon-theme
# Needed for typelib() - Requires.
BuildRequires:  gobject-introspection
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  python3-Cython
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(bluez)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(polkit-agent-1)
BuildRequires:  pkgconfig(pygobject-3.0)
BuildRequires:  pkgconfig(python3)
Requires:   bluez
Requires:   dbus-1-python3
Requires:   gdk-pixbuf-loader-rsvg
Requires:   notification-daemon
Requires:   obex-data-server
Requires:   polkit
Requires:   pulseaudio-utils
Requires:   python3-cairo
Requires:   python3-gobject-Gdk
Requires:   python3-notify2
Recommends: %{name}-lang
BuildRoot:  %{_tmppath}/%{name}-%{version}-build
%glib2_gsettings_schema_requires

%description
Blueman provides means for controlling the BlueZ API and presenting
Bluetooth operations such as:

* Connecting to 3G/EDGE/GPRS via dial-up
* Connecting to/Creating bluetooth networks
* Connecting to input devices
* Connecting to audio devices
* Sending/Receiving/Browsing files via OBEX
* Pairing

using a graphical user interface.

%package -n thunar-sendto-%{name}
Summary:A sendto integration for Thunar
Group:  System/GUI/XFCE
Requires:   %{name} = %{version}-%{release}
BuildArch:  noarch

%description -n thunar-sendto-%{name}
This package add sendto integration for Thunar.

%lang_package

%prep
%setup -q
sed -i '1s/python.*/python3/' apps/%{name}-*
echo -e 'NotShowIn=KDE;GNOME;' >> 

commit zile for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package zile for openSUSE:Factory checked in 
at 2017-05-09 18:02:10

Comparing /work/SRC/openSUSE:Factory/zile (Old)
 and  /work/SRC/openSUSE:Factory/.zile.new (New)


Package is "zile"

Tue May  9 18:02:10 2017 rev:3 rq:491351 version:2.4.13

Changes:

--- /work/SRC/openSUSE:Factory/zile/zile.changes2016-05-05 
08:12:45.0 +0200
+++ /work/SRC/openSUSE:Factory/.zile.new/zile.changes   2017-05-09 
18:02:15.200494697 +0200
@@ -1,0 +2,9 @@
+Wed Apr 26 15:00:45 UTC 2017 - mplus...@suse.com
+
+- Update to version 2.4.13:
+  * Document correct location of dotzile.sample in man page.
+  * Remove obsolete variable transient-mark-mode.
+- Add gpg signature
+- Small spec file cleanup
+
+---

Old:

  zile-2.4.11.tar.gz

New:

  zile-2.4.13.tar.gz
  zile-2.4.13.tar.gz.sig
  zile.keyring



Other differences:
--
++ zile.spec ++
--- /var/tmp/diff_new_pack.Umrrsi/_old  2017-05-09 18:02:16.248346624 +0200
+++ /var/tmp/diff_new_pack.Umrrsi/_new  2017-05-09 18:02:16.248346624 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package zile
 #
-# Copyright (c) 2014 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 # Copyright (c) 2012 Pascal Bleser 
 #
 # All modifications and additions to the file contributed by third parties
@@ -18,34 +18,36 @@
 
 
 Name:   zile
-Version:2.4.11
+Version:2.4.13
 Release:0
 Summary:Lightweight Emacs Clone
 License:GPL-3.0
-Group:  Productivity/Editors/Emacs
-Url:http://www.gnu.org/software/zile/
-Source: http://ftp.gnu.org/gnu/zile/zile-%{version}.tar.gz
-Source1:zile.desktop
-Source2:zile.png
+Group:  Productivity/Text/Editors
+Url:https://www.gnu.org/software/zile/
+Source0:https://ftp.gnu.org/gnu/zile/zile-%{version}.tar.gz
+Source1:https://ftp.gnu.org/gnu/zile/zile-%{version}.tar.gz.sig
+Source2:
https://savannah.gnu.org/project/memberlist-gpgkeys.php?group=%{name}=1#/%{name}.keyring
+Source3:zile.desktop
+Source4:zile.png
+BuildRequires:  emacs-nox
 BuildRequires:  help2man
 BuildRequires:  ncurses-devel
 BuildRequires:  perl
-BuildRequires:  pkg-config
+BuildRequires:  pkgconfig
 BuildRequires:  termcap
-%if 0%{?suse_version}
 BuildRequires:  update-desktop-files
-%endif
 BuildRequires:  pkgconfig(bdw-gc)
-%if 0%{?suse_version} >= 1330
-BuildRequires:  pkgconfig(libacl)
-%endif
 Requires:   termcap
+Requires(post): update-desktop-files
+Requires(postun): update-desktop-files
+Recommends: %{name}-doc = %{version}
 Provides:   %{name}-base = %{version}
 Provides:   %{name}-desktop = %{version}
 Obsoletes:  %{name}-base < %{version}
 Obsoletes:  %{name}-desktop < %{version}
-Recommends: %{name}-doc = %{version}
-BuildRoot:  %{_tmppath}/%{name}-%{version}-build
+%if 0%{?suse_version} >= 1330
+BuildRequires:  pkgconfig(libacl)
+%endif
 
 %description
 Zile is another Emacs-clone.  Zile is a customizable, self-documenting
@@ -54,7 +56,7 @@
 
 %package doc
 Summary:Lightweight Emacs Clone (Documentation)
-Group:  Productivity/Editors/Emacs
+Group:  Documentation/Other
 BuildArch:  noarch
 
 %description doc
@@ -75,14 +77,12 @@
 make %{?_smp_mflags}
 
 %install
-make DESTDIR=%{buildroot} install %{?_smp_mflags}
+%make_install
 
 install -m0644 -t "%{buildroot}%{_docdir}/%{name}/" ChangeLog COPYING README 
THANKS
-install -Dp -m 0644 "%{SOURCE1}" 
"%{buildroot}%{_datadir}/applications/%{name}.desktop"
-install -Dp -m 0644 "%{SOURCE2}" "%{buildroot}%{_datadir}/pixmaps/%{name}.png"
-%if 0%{?suse_version}
+install -Dp -m 0644 "%{SOURCE3}" 
"%{buildroot}%{_datadir}/applications/%{name}.desktop"
+install -Dp -m 0644 "%{SOURCE4}" "%{buildroot}%{_datadir}/pixmaps/%{name}.png"
 %suse_update_desktop_file "%{name}" Utility TextEditor
-%endif
 
 %post
 %desktop_database_post

++ zile-2.4.11.tar.gz -> zile-2.4.13.tar.gz ++
 1973 lines of diff (skipped)
retrying with extended exclude list
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' --exclude Makefile.in --exclude configure --exclude 
config.guess --exclude '*.pot' --exclude mkinstalldirs --exclude aclocal.m4 
--exclude config.sub --exclude depcomp --exclude install-sh --exclude ltmain.sh 
old/zile-2.4.11/ChangeLog new/zile-2.4.13/ChangeLog
--- old/zile-2.4.11/ChangeLog   2014-02-26 09:19:11.0 +0100
+++ new/zile-2.4.13/ChangeLog   2016-10-18 13:28:57.0 +0200
@@ -1,5 +1,53 @@
+2016-10-18  Reuben Thomas  
+

commit raspberrypi-firmware for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package raspberrypi-firmware for 
openSUSE:Factory checked in at 2017-05-09 18:01:45

Comparing /work/SRC/openSUSE:Factory/raspberrypi-firmware (Old)
 and  /work/SRC/openSUSE:Factory/.raspberrypi-firmware.new (New)


Package is "raspberrypi-firmware"

Tue May  9 18:01:45 2017 rev:24 rq:489226 version:2017.04.04

Changes:

--- 
/work/SRC/openSUSE:Factory/raspberrypi-firmware/raspberrypi-firmware-config-rpi.changes
 2017-02-21 13:52:01.490213424 +0100
+++ 
/work/SRC/openSUSE:Factory/.raspberrypi-firmware.new/raspberrypi-firmware-config-rpi.changes
2017-05-09 18:01:48.900211221 +0200
@@ -1,0 +2,5 @@
+Wed Apr 19 04:14:55 UTC 2017 - afaer...@suse.de
+
+- Update to b038854 (2017-04-04)
+
+---
raspberrypi-firmware-config-rpi2.changes: same change
raspberrypi-firmware-config-rpi3.changes: same change
raspberrypi-firmware.changes: same change

Old:

  raspberrypi-firmware-2017.02.20.tar.bz2

New:

  raspberrypi-firmware-2017.04.04.tar.bz2



Other differences:
--
++ raspberrypi-firmware-config-rpi.spec ++
--- /var/tmp/diff_new_pack.GJBQnv/_old  2017-05-09 18:01:58.614838436 +0200
+++ /var/tmp/diff_new_pack.GJBQnv/_new  2017-05-09 18:01:58.618837871 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   raspberrypi-firmware-config-rpi
-Version:2017.02.20
+Version:2017.04.04
 Release:0
 Summary:Configuration for the Raspberry Pi firmware loader
 License:MIT

raspberrypi-firmware-config-rpi2.spec: same change
raspberrypi-firmware-config-rpi3.spec: same change
++ raspberrypi-firmware.spec ++
--- /var/tmp/diff_new_pack.GJBQnv/_old  2017-05-09 18:01:58.730822046 +0200
+++ /var/tmp/diff_new_pack.GJBQnv/_new  2017-05-09 18:01:58.734821481 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   raspberrypi-firmware
-Version:2017.02.20
+Version:2017.04.04
 Release:0
 Summary:Binary bootloader and firmware files for Raspberry Pi
 License:SUSE-Firmware

++ raspberrypi-firmware-2017.02.20.tar.bz2 -> 
raspberrypi-firmware-2017.04.04.tar.bz2 ++
/work/SRC/openSUSE:Factory/raspberrypi-firmware/raspberrypi-firmware-2017.02.20.tar.bz2
 
/work/SRC/openSUSE:Factory/.raspberrypi-firmware.new/raspberrypi-firmware-2017.04.04.tar.bz2
 differ: char 11, line 1

++ raspberrypi-firmware-config.spec.in ++
--- /var/tmp/diff_new_pack.GJBQnv/_old  2017-05-09 18:01:58.914796048 +0200
+++ /var/tmp/diff_new_pack.GJBQnv/_new  2017-05-09 18:01:58.918795483 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   __NAME__
-Version:2017.02.20
+Version:2017.04.04
 Release:0
 Summary:Configuration for the Raspberry Pi firmware loader
 License:MIT




commit gnome-games for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package gnome-games for openSUSE:Factory 
checked in at 2017-05-09 18:02:04

Comparing /work/SRC/openSUSE:Factory/gnome-games (Old)
 and  /work/SRC/openSUSE:Factory/.gnome-games.new (New)


Package is "gnome-games"

Tue May  9 18:02:04 2017 rev:3 rq:490919 version:3.24.1

Changes:

--- /work/SRC/openSUSE:Factory/gnome-games/gnome-games.changes  2017-03-22 
23:15:42.869584985 +0100
+++ /work/SRC/openSUSE:Factory/.gnome-games.new/gnome-games.changes 
2017-05-09 18:02:08.597427784 +0200
@@ -1,0 +2,7 @@
+Tue Apr 11 07:03:18 UTC 2017 - adrien.pla...@suse.com
+
+- Update to version 3.24.1:
+  + Clean the licensing up all around the project (bgo#781036).
+  + Updated translations.
+
+---

Old:

  gnome-games-3.24.0.2.tar.xz

New:

  gnome-games-3.24.1.tar.xz



Other differences:
--
++ gnome-games.spec ++
--- /var/tmp/diff_new_pack.G63ZIS/_old  2017-05-09 18:02:10.261192676 +0200
+++ /var/tmp/diff_new_pack.G63ZIS/_new  2017-05-09 18:02:10.265192111 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   gnome-games
-Version:3.24.0.2
+Version:3.24.1
 Release:0
 Summary:Browse and play your games - all of them
 License:GPL-3.0

++ gnome-games-3.24.0.2.tar.xz -> gnome-games-3.24.1.tar.xz ++
 6290 lines of diff (skipped)




commit python-xlwt for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package python-xlwt for openSUSE:Factory 
checked in at 2017-05-09 18:01:53

Comparing /work/SRC/openSUSE:Factory/python-xlwt (Old)
 and  /work/SRC/openSUSE:Factory/.python-xlwt.new (New)


Package is "python-xlwt"

Tue May  9 18:01:53 2017 rev:7 rq:490834 version:1.2.0

Changes:

--- /work/SRC/openSUSE:Factory/python-xlwt/python-xlwt.changes  2015-05-19 
23:47:47.0 +0200
+++ /work/SRC/openSUSE:Factory/.python-xlwt.new/python-xlwt.changes 
2017-05-09 18:02:00.302599937 +0200
@@ -1,0 +2,23 @@
+Mon Apr 24 04:12:51 UTC 2017 - toddrme2...@gmail.com
+
+- update to version 1.2.0:
+  * Remove "LOCALE" from regular expression that caused
+:class:`DeprecationWarning` that become an exception in Python 3.6
+  * Add :meth:`Workbook.sheet_index` helper.
+  * :meth:`Workbook.get_sheet` now takes either a string name or an
+integer index.
+- update to version 1.1.2:
+  * Fix failure in style compression under Python 3.
+  * Officially support Python 3.5
+  * Documentation tweaks.
+- update to version 1.1.1:
+  * Fix release problems.
+- update to version 1.1.0:
+  * Fix SST BIFF record in Python 3.
+  * Fix for writing :class:`ExternSheetRecord` in Python 3.
+  * Add the ability to insert bitmap images from buffers as well as
+files.
+  * Official support for Python 3.5.
+- Implement single-spec version
+
+---

Old:

  xlwt-1.0.0.tar.gz

New:

  xlwt-1.2.0.tar.gz



Other differences:
--
++ python-xlwt.spec ++
--- /var/tmp/diff_new_pack.kuB17q/_old  2017-05-09 18:02:03.670124068 +0200
+++ /var/tmp/diff_new_pack.kuB17q/_new  2017-05-09 18:02:03.674123502 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package python-xlwt
 #
-# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -16,25 +16,28 @@
 #
 
 
+%bcond_without tests
+
+%{?!python_module:%define python_module() python-%{**} python3-%{**}}
 Name:   python-xlwt
-Version:1.0.0
+Version:1.2.0
 Release:0
 Url:https://secure.simplistix.co.uk/svn/xlwt/trunk
 Summary:Library to Create Spreadsheet Files Compatible With MS Excel 
97/2000/XP/2003
 License:BSD-4-Clause and BSD-3-Clause and LGPL-2.1+
 Group:  Development/Languages/Python
-Source: 
http://pypi.python.org/packages/source/x/xlwt/xlwt-%{version}.tar.gz
+Source: 
https://files.pythonhosted.org/packages/source/x/xlwt/xlwt-%{version}.tar.gz
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
-BuildRequires:  python-Sphinx
-BuildRequires:  python-devel
-BuildRequires:  python-nose
-BuildRequires:  python-pkginfo
-BuildRequires:  python-setuptools
-%if 0%{?suse_version} && 0%{?suse_version} <= 1110
-%{!?python_sitelib: %global python_sitelib %(python -c "from 
distutils.sysconfig import get_python_lib; print get_python_lib()")}
-%else
-BuildArch:  noarch
+BuildRequires:  fdupes
+BuildRequires:  python-rpm-macros
+BuildRequires:  %{python_module devel}
+BuildRequires:  %{python_module setuptools}
+BuildRequires:  python3-Sphinx
+%if %{with tests}
+BuildRequires:  %{python_module nose}
 %endif
+BuildArch:  noarch
+%python_subpackages
 
 %description
 xlwt is a library for generating spreadsheet files that are compatible
@@ -49,18 +52,23 @@
 sed -i 's/\r$//' 
examples/{numbers_demo.py,panes2.py,image_chg_col_wid.py,zoom_magnification.py}
 
 %build
-python setup.py build
+%python_build
 cd docs && make html && rm _build/html/.buildinfo
 
 %install
-python setup.py install --prefix=%{_prefix} --root=%{buildroot}
+%python_install
+%python_expand %fdupes %{buildroot}%{$python_sitelib}
 
+%if %{with tests}
 %check
 nosetests
+%endif
 
-%files
+%files %{python_files}
 %defattr(-,root,root,-)
-%doc docs/_build/html examples
+%doc README.rst
+%doc docs/_build/html/
+%doc examples/
 %{python_sitelib}/*
 
 %changelog

++ xlwt-1.0.0.tar.gz -> xlwt-1.2.0.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/xlwt-1.0.0/.gitignore new/xlwt-1.2.0/.gitignore
--- old/xlwt-1.0.0/.gitignore   2015-04-15 03:29:03.0 +0200
+++ new/xlwt-1.2.0/.gitignore   2017-01-04 17:16:40.0 +0100
@@ -5,3 +5,7 @@
 /tests/output
 .coverage
 /docs/_build
+.tox
+/bin
+/include
+/lib
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/xlwt-1.0.0/.travis.yml new/xlwt-1.2.0/.travis.yml
--- old/xlwt-1.0.0/.travis.yml  2015-04-15 22:34:50.0 +0200
+++ 

commit python-ruamel.yaml for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package python-ruamel.yaml for 
openSUSE:Factory checked in at 2017-05-09 18:01:58

Comparing /work/SRC/openSUSE:Factory/python-ruamel.yaml (Old)
 and  /work/SRC/openSUSE:Factory/.python-ruamel.yaml.new (New)


Package is "python-ruamel.yaml"

Tue May  9 18:01:58 2017 rev:2 rq:490883 version:0.14.9

Changes:

--- /work/SRC/openSUSE:Factory/python-ruamel.yaml/python-ruamel.yaml.changes
2017-02-28 23:48:41.333199776 +0100
+++ 
/work/SRC/openSUSE:Factory/.python-ruamel.yaml.new/python-ruamel.yaml.changes   
2017-05-09 18:02:04.130059073 +0200
@@ -1,0 +2,8 @@
+Mon Apr 24 20:16:56 UTC 2017 - aloi...@gmx.com
+
+- Update to 0.14.9 (see included CHANGES file)
+- Converted to single-spec
+- LICENSE file is now provided internally, so dropped Source1
+- Dropped python-ruamel.ordereddict as build requirement
+
+---

Old:

  LICENSE
  ruamel.yaml-0.12.14.tar.gz

New:

  ruamel.yaml-0.14.9.tar.gz



Other differences:
--
++ python-ruamel.yaml.spec ++
--- /var/tmp/diff_new_pack.tZu1JP/_old  2017-05-09 18:02:04.837959039 +0200
+++ /var/tmp/diff_new_pack.tZu1JP/_new  2017-05-09 18:02:04.841958474 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package python-ruamel.yaml
 #
-# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -16,19 +16,24 @@
 #
 
 
+%{?!python_module:%define python_module() python-%{**} python3-%{**}}
 Name:   python-ruamel.yaml
-Version:0.12.14
+Version:0.14.9
 Release:0
-Url:https://bitbucket.org/ruamel/yaml
 Summary:Python YAML parser
 License:MIT
 Group:  Development/Languages/Python
-Source: ruamel.yaml-%{version}.tar.gz
-Source1:LICENSE
+Url:https://bitbucket.org/ruamel/yaml
+Source: 
https://files.pythonhosted.org/packages/source/r/ruamel.yaml/ruamel.yaml-%{version}.tar.gz
+BuildRequires:  %{python_module devel}
+BuildRequires:  %{python_module setuptools}
+BuildRequires:  fdupes
+BuildRequires:  python-rpm-macros
+%ifpython2
 Requires:   python-ruamel.ordereddict
-BuildRequires:  python-devel
-BuildRequires:  python-ruamel.ordereddict
-Buildrequires:  python-setuptools
+%endif
+BuildRoot:  %{_tmppath}/%{name}-%{version}-build
+%python_subpackages
 
 %description
 ruamel.yaml is a YAML parser/emitter that supports roundtrip preservation
@@ -37,15 +42,20 @@
 %prep
 %setup -q -n ruamel.yaml-%{version}
 rm -rf *egg-info
-cp %{SOURCE1} .
 
 %build
-python setup.py build
+%python_build
 
 %install
-python setup.py install --prefix=%{_prefix} --root=%{buildroot} 
--single-version-externally-managed
+%python_install --single-version-externally-managed
+%python_exec %fdupes -s %{buildroot}%{$python_sitearch}
 
-%files
+%files %{python_files}
 %defattr(-,root,root,-)
-%doc LICENSE README.rst
-%{python_sitearch}/*
+%doc  CHANGES LICENSE README.rst
+%{python_sitearch}/_ruamel_yaml*.so
+%{python_sitearch}/ruamel
+%{python_sitearch}/ruamel.yaml-%{version}-py%{python_version}-nspkg.pth
+%{python_sitearch}/ruamel.yaml-%{version}-py%{python_version}.egg-info
+
+%changelog

++ ruamel.yaml-0.12.14.tar.gz -> ruamel.yaml-0.14.9.tar.gz ++
 9979 lines of diff (skipped)




commit ghc-text-show-instances for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package ghc-text-show-instances for 
openSUSE:Factory checked in at 2017-05-09 18:01:24

Comparing /work/SRC/openSUSE:Factory/ghc-text-show-instances (Old)
 and  /work/SRC/openSUSE:Factory/.ghc-text-show-instances.new (New)


Package is "ghc-text-show-instances"

Tue May  9 18:01:24 2017 rev:1 rq:480532 version:3.5

Changes:

New Changes file:

--- /dev/null   2017-03-01 00:40:19.279048016 +0100
+++ 
/work/SRC/openSUSE:Factory/.ghc-text-show-instances.new/ghc-text-show-instances.changes
 2017-05-09 18:01:29.051016133 +0200
@@ -0,0 +1,10 @@
+---
+Sun Feb 12 14:20:14 UTC 2017 - psim...@suse.com
+
+- Update to version 3.5 with cabal2obs.
+
+---
+Thu Sep 15 07:06:44 UTC 2016 - psim...@suse.com
+
+- Update to version 3.4 revision 0 with cabal2obs.
+

New:

  ghc-text-show-instances.changes
  ghc-text-show-instances.spec
  text-show-instances-3.5.tar.gz



Other differences:
--
++ ghc-text-show-instances.spec ++
#
# spec file for package ghc-text-show-instances
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name text-show-instances
%bcond_with tests
Name:   ghc-%{pkg_name}
Version:3.5
Release:0
Summary:Additional instances for text-show
License:BSD-3-Clause
Group:  Development/Languages/Other
Url:https://hackage.haskell.org/package/%{pkg_name}
Source0:
https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-base-compat-devel
BuildRequires:  ghc-bifunctors-devel
BuildRequires:  ghc-binary-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-ghc-boot-th-devel
BuildRequires:  ghc-haskeline-devel
BuildRequires:  ghc-hoopl-devel
BuildRequires:  ghc-hpc-devel
BuildRequires:  ghc-old-locale-devel
BuildRequires:  ghc-old-time-devel
BuildRequires:  ghc-pretty-devel
BuildRequires:  ghc-random-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-semigroups-devel
BuildRequires:  ghc-tagged-devel
BuildRequires:  ghc-template-haskell-devel
BuildRequires:  ghc-terminfo-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-text-show-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-transformers-compat-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-unix-devel
BuildRequires:  ghc-unordered-containers-devel
BuildRequires:  ghc-vector-devel
BuildRequires:  ghc-xhtml-devel
BuildRoot:  %{_tmppath}/%{name}-%{version}-build
%if %{with tests}
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-generic-deriving-devel
BuildRequires:  ghc-hspec-devel
BuildRequires:  ghc-quickcheck-instances-devel
BuildRequires:  ghc-th-orphans-devel
%endif

%description
'text-show-instances' is a supplemental library to 'text-show' that provides
additional 'Show' instances for data types in common Haskell libraries and GHC
dependencies that are not encompassed by 'text-show'. Currently,
'text-show-instances' covers these libraries:

* ''

* ''

* ''

* ''

* ''

* ''

* ''

* ''

* ''

* ''

* ''

* ''

* ''

* ''

* '

commit ghc-websockets-snap for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package ghc-websockets-snap for 
openSUSE:Factory checked in at 2017-05-09 18:01:33

Comparing /work/SRC/openSUSE:Factory/ghc-websockets-snap (Old)
 and  /work/SRC/openSUSE:Factory/.ghc-websockets-snap.new (New)


Package is "ghc-websockets-snap"

Tue May  9 18:01:33 2017 rev:1 rq:480577 version:0.10.2.0

Changes:

New Changes file:

--- /dev/null   2017-03-01 00:40:19.279048016 +0100
+++ 
/work/SRC/openSUSE:Factory/.ghc-websockets-snap.new/ghc-websockets-snap.changes 
2017-05-09 18:01:34.198288766 +0200
@@ -0,0 +1,5 @@
+---
+Sun Feb 12 09:51:58 UTC 2017 - psim...@suse.com
+
+- Update to version 0.10.2.0 with cabal2obs.
+

New:

  ghc-websockets-snap.changes
  ghc-websockets-snap.spec
  websockets-snap-0.10.2.0.tar.gz



Other differences:
--
++ ghc-websockets-snap.spec ++
#
# spec file for package ghc-websockets-snap
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name websockets-snap
Name:   ghc-%{pkg_name}
Version:0.10.2.0
Release:0
Summary:Snap integration for the websockets library
License:BSD-3-Clause
Group:  Development/Languages/Other
Url:https://hackage.haskell.org/package/%{pkg_name}
Source0:
https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-bytestring-builder-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-io-streams-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-snap-core-devel
BuildRequires:  ghc-snap-server-devel
BuildRequires:  ghc-websockets-devel
BuildRoot:  %{_tmppath}/%{name}-%{version}-build

%description
Snap integration for the websockets library.

%package devel
Summary:Haskell %{pkg_name} library development files
Group:  Development/Libraries/Other
Requires:   %{name} = %{version}-%{release}
Requires:   ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development
files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc CHANGELOG

%changelog



commit ghc-ghc-typelits-extra for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package ghc-ghc-typelits-extra for 
openSUSE:Factory checked in at 2017-05-09 18:00:56

Comparing /work/SRC/openSUSE:Factory/ghc-ghc-typelits-extra (Old)
 and  /work/SRC/openSUSE:Factory/.ghc-ghc-typelits-extra.new (New)


Package is "ghc-ghc-typelits-extra"

Tue May  9 18:00:56 2017 rev:2 rq:453298 version:0.2.2

Changes:

--- 
/work/SRC/openSUSE:Factory/ghc-ghc-typelits-extra/ghc-ghc-typelits-extra.changes
2016-11-01 09:53:16.0 +0100
+++ 
/work/SRC/openSUSE:Factory/.ghc-ghc-typelits-extra.new/ghc-ghc-typelits-extra.changes
   2017-05-09 18:00:58.851283691 +0200
@@ -1,0 +2,15 @@
+Wed Jan 18 09:00:30 UTC 2017 - psim...@suse.com
+
+- Update to version 0.2.2 with cabal2obs.
+
+---
+Sat Oct  1 17:18:10 UTC 2016 - psim...@suse.com
+
+- Update to version 0.2.1 with cabal2obs.
+
+---
+Thu Sep 15 07:07:21 UTC 2016 - psim...@suse.com
+
+- Update to version 0.2 revision 1 with cabal2obs.
+
+---

Old:

  ghc-typelits-extra-0.1.3.tar.gz

New:

  ghc-typelits-extra-0.2.2.tar.gz



Other differences:
--
++ ghc-ghc-typelits-extra.spec ++
--- /var/tmp/diff_new_pack.oEzi7H/_old  2017-05-09 18:01:01.950845689 +0200
+++ /var/tmp/diff_new_pack.oEzi7H/_new  2017-05-09 18:01:01.954845123 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package ghc-ghc-typelits-extra
 #
-# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -19,33 +19,61 @@
 %global pkg_name ghc-typelits-extra
 %bcond_with tests
 Name:   ghc-%{pkg_name}
-Version:0.1.3
+Version:0.2.2
 Release:0
 Summary:Additional type-level operations on GHC.TypeLits.Nat
 License:BSD-2-Clause
-Group:  System/Libraries
+Group:  Development/Languages/Other
 Url:https://hackage.haskell.org/package/%{pkg_name}
 Source0:
https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
 BuildRequires:  ghc-Cabal-devel
 BuildRequires:  ghc-ghc-devel
 BuildRequires:  ghc-ghc-tcplugins-extra-devel
+BuildRequires:  ghc-ghc-typelits-knownnat-devel
+BuildRequires:  ghc-ghc-typelits-natnormalise-devel
 BuildRequires:  ghc-rpm-macros
+BuildRequires:  ghc-singletons-devel
 BuildRequires:  ghc-transformers-devel
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 %if %{with tests}
-BuildRequires:  ghc-ghc-typelits-natnormalise-devel
 BuildRequires:  ghc-tasty-devel
 BuildRequires:  ghc-tasty-hunit-devel
+BuildRequires:  ghc-template-haskell-devel
 %endif
 
 %description
 Additional type-level operations on 'GHC.TypeLits.Nat':
 
-* 'GHC.TypeLits.Extra.GCD': a type-level 'gcd'
+* 'Max': type-level
+
+
+* 'Min': type-level
+
+
+* 'Div': type-level
+
 
-* 'GHC.TypeLits.Extra.CLog': type-level equivalent /the ceiling of/
+* 'Mod': type-level
+
+
+* 'FLog': type-level equivalent of
+ i.e. the exact integer equivalent to 'floor (logBase x y)'
+
+* 'CLog': type-level equivalent of /the ceiling of/
 

+integerLogBase#> i.e. the exact integer equivalent to 'ceiling (logBase x y)'
+
+* 'Log': type-level equivalent of
+ where the operation only reduces when 'floor (logBase b x) ~
+ceiling (logBase b x)'
+
+* 'GCD': a type-level
+
+
+* 'LCM': a type-level
+
 
 And a custom solver for the above operations defined in
 'GHC.TypeLits.Extra.Solver' as a GHC type-checker plugin. To use the plugin,
@@ -70,19 +98,15 @@
 %prep
 %setup -q -n %{pkg_name}-%{version}
 
-
 %build
 %ghc_lib_build
 
-
 %install
 %ghc_lib_install
 
-
 %check
 %cabal_test
 
-
 %post devel
 %ghc_pkg_recache

commit python-Babel for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package python-Babel for openSUSE:Factory 
checked in at 2017-05-09 17:59:22

Comparing /work/SRC/openSUSE:Factory/python-Babel (Old)
 and  /work/SRC/openSUSE:Factory/.python-Babel.new (New)


Package is "python-Babel"

Tue May  9 17:59:22 2017 rev:20 rq:493146 version:2.4.0

Changes:

--- /work/SRC/openSUSE:Factory/python-Babel/python-Babel.changes
2017-04-19 18:07:01.494100869 +0200
+++ /work/SRC/openSUSE:Factory/.python-Babel.new/python-Babel.changes   
2017-05-09 17:59:25.392490447 +0200
@@ -1,0 +2,5 @@
+Sat May  6 03:37:17 UTC 2017 - toddrme2...@gmail.com
+
+- Fix provides/obsoletes
+
+---



Other differences:
--
++ python-Babel.spec ++
--- /var/tmp/diff_new_pack.vHAq8N/_old  2017-05-09 17:59:27.072253078 +0200
+++ /var/tmp/diff_new_pack.vHAq8N/_new  2017-05-09 17:59:27.080251948 +0200
@@ -17,6 +17,7 @@
 
 
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
+%define oldpython python
 Name:   python-Babel
 Version:2.4.0
 Release:0
@@ -36,8 +37,14 @@
 Requires:   python-pytz
 Requires(post): update-alternatives
 Requires(postun): update-alternatives
-Provides:   python-babel = %{version}
-Obsoletes:  python-babel < %{version}
+%ifpython2
+Obsoletes:  %{oldpython}-babel < %{version}
+Provides:   %{oldpython}-babel = %{version}
+%endif
+%ifpython3
+Provides:   python3-babel = %{version}
+Obsoletes:  python3-babel < %{version}
+%endif
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildArch:  noarch
 %python_subpackages




commit python-Django for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package python-Django for openSUSE:Factory 
checked in at 2017-05-09 17:59:50

Comparing /work/SRC/openSUSE:Factory/python-Django (Old)
 and  /work/SRC/openSUSE:Factory/.python-Django.new (New)


Package is "python-Django"

Tue May  9 17:59:50 2017 rev:30 rq:493461 version:1.10.7

Changes:

--- /work/SRC/openSUSE:Factory/python-Django/python-Django.changes  
2017-04-19 18:07:26.750528228 +0200
+++ /work/SRC/openSUSE:Factory/.python-Django.new/python-Django.changes 
2017-05-09 17:59:51.632782406 +0200
@@ -1,0 +2,16 @@
+Mon May  8 14:32:03 UTC 2017 - toddrme2...@gmail.com
+
+- django-admin.py should be the master, not django-admin.
+
+---
+Sat May  6 03:31:54 UTC 2017 - toddrme2...@gmail.com
+
+- Don't provide python2-django or python2-South, singlespec
+  packages should use correct name.
+
+---
+Thu May  4 15:33:21 UTC 2017 - toddrme2...@gmail.com
+
+- Implement single-spec version.
+
+---



Other differences:
--
++ python-Django.spec ++
--- /var/tmp/diff_new_pack.XgCOOp/_old  2017-05-09 17:59:52.444667678 +0200
+++ /var/tmp/diff_new_pack.XgCOOp/_new  2017-05-09 17:59:52.444667678 +0200
@@ -16,6 +16,8 @@
 #
 
 
+%{?!python_module:%define python_module() python-%{**} python3-%{**}}
+%define oldpython python
 Name:   python-Django
 Version:1.10.7
 Release:0
@@ -28,23 +30,29 @@
 Source2:%{name}.keyring
 Source99:   python-Django-rpmlintrc
 BuildRequires:  fdupes
-BuildRequires:  python-devel
-BuildRequires:  python-setuptools
-Requires:   python-imaging
+BuildRequires:  python-rpm-macros
+BuildRequires:  %{python_module devel}
+BuildRequires:  %{python_module setuptools}
+Requires:   python-Pillow
 Requires:   python-setuptools
 Requires:   python-xml
+%ifpython2
+Obsoletes:  %{oldpython}-django < %{version}
+Provides:   %{oldpython}-django = %{version}
+Obsoletes:  %{oldpython}-South < %{version}
+Provides:   %{oldpython}-South = %{version}
+%endif
+%ifpython3
+Provides:   python3-django = %{version}
+Obsoletes:  python3-django < %{version}
+Provides:   python3-South = %{version}
+Obsoletes:  python3-South < %{version}
+%endif
 Requires(post): update-alternatives
-Requires(postun): update-alternatives
+Requires(preun):  update-alternatives
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
-Provides:   python-django = %{version}
-Obsoletes:  python-django < %{version}
-Provides:   python-South = %{version}
-Obsoletes:  python-South < %{version}
-%if 0%{?suse_version} && 0%{?suse_version} <= 1110
-%{!?python_sitelib: %global python_sitelib %(python -c "from 
distutils.sysconfig import get_python_lib; print get_python_lib()")}
-%else
 BuildArch:  noarch
-%endif
+%python_subpackages
 
 %description
 Django is a high-level Python Web framework that encourages rapid development 
and clean, pragmatic design.
@@ -57,55 +65,40 @@
 echo "`grep -e '^[0-9a-f]\{64\}  Django-%{version}.tar.gz' %{SOURCE1} | cut 
-c1-64`  %{SOURCE0}" | sha256sum -c
 
 %setup -q -n Django-%{version}
-sed -i "s|\(django/bin/django-admin.py\)|\1-%{py_ver}|" setup.py
-mv django/bin/django-admin.py{,-%{py_ver}}
 
 %build
-python setup.py build
+%python_build
 
 %install
-python setup.py install --prefix=%{_prefix} --root=%{buildroot}
-install -D -m 0644 extras/django_bash_completion 
%{buildroot}%{_sysconfdir}/bash_completion.d/django_bash_completion-%{py_ver}.sh
+%python_install
+%python_expand %fdupes %{buildroot}%{$python_sitelib}
 
-mv %{buildroot}/%{_bindir}/django-admin{,-%{py_ver}}
+%python_expand install -D -m 0644 extras/django_bash_completion 
%{buildroot}%{_sysconfdir}/bash_completion.d/django_bash_completion-%{$python_bin_suffix}.sh
 
-mkdir -p %{buildroot}%{_sysconfdir}/alternatives
-touch %{buildroot}%{_sysconfdir}/alternatives/django-admin.py
-ln -sf %{_sysconfdir}/alternatives/django-admin.py 
%{buildroot}/%{_bindir}/django-admin.py
-touch %{buildroot}%{_sysconfdir}/alternatives/django-admin
-ln -sf %{_sysconfdir}/alternatives/django-admin 
%{buildroot}/%{_bindir}/django-admin
-touch %{buildroot}%{_sysconfdir}/alternatives/django_bash_completion.sh
-ln -sf %{_sysconfdir}/alternatives/django_bash_completion.sh 
%{buildroot}%{_sysconfdir}/bash_completion.d/django_bash_completion.sh
+%python_clone -a %{buildroot}%{_bindir}/django-admin.py
+%python_clone -a %{buildroot}%{_bindir}/django-admin
 
-%fdupes %{buildroot}%{python_sitelib}
+%{python_expand %fdupes %{buildroot}%{$python_sitelib}
 # Deduplicating files can generate a RPMLINT 

commit python-pyasn1 for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package python-pyasn1 for openSUSE:Factory 
checked in at 2017-05-09 17:59:30

Comparing /work/SRC/openSUSE:Factory/python-pyasn1 (Old)
 and  /work/SRC/openSUSE:Factory/.python-pyasn1.new (New)


Package is "python-pyasn1"

Tue May  9 17:59:30 2017 rev:26 rq:493148 version:0.2.3

Changes:

--- /work/SRC/openSUSE:Factory/python-pyasn1/python-pyasn1.changes  
2017-04-19 17:57:01.275004896 +0200
+++ /work/SRC/openSUSE:Factory/.python-pyasn1.new/python-pyasn1.changes 
2017-05-09 17:59:32.143536450 +0200
@@ -1,0 +2,5 @@
+Sat May  6 03:31:54 UTC 2017 - toddrme2...@gmail.com
+
+- Fix Provides/Obsoletes.
+
+---



Other differences:
--
++ python-pyasn1.spec ++
--- /var/tmp/diff_new_pack.1vTb1X/_old  2017-05-09 17:59:33.079404202 +0200
+++ /var/tmp/diff_new_pack.1vTb1X/_new  2017-05-09 17:59:33.083403636 +0200
@@ -17,6 +17,7 @@
 
 
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
+%define oldpython python
 Name:   python-pyasn1
 Version:0.2.3
 Release:0
@@ -28,8 +29,10 @@
 BuildRequires:  %{python_module pytest}
 BuildRequires:  %{python_module setuptools}
 BuildRequires:  python-rpm-macros
-Provides:   python-asn1 = %{version}
-Obsoletes:  python-asn1 < 0.1.2
+%ifpython2
+Obsoletes:  %{oldpython}-asn1 < 0.1.2
+Provides:   %{oldpython}-asn1 = %{version}
+%endif
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildArch:  noarch
 




commit python-construct for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package python-construct for 
openSUSE:Factory checked in at 2017-05-09 17:59:44

Comparing /work/SRC/openSUSE:Factory/python-construct (Old)
 and  /work/SRC/openSUSE:Factory/.python-construct.new (New)


Package is "python-construct"

Tue May  9 17:59:44 2017 rev:8 rq:493212 version:2.8.11

Changes:

--- /work/SRC/openSUSE:Factory/python-construct/python-construct.changes
2017-04-28 10:54:03.152600927 +0200
+++ /work/SRC/openSUSE:Factory/.python-construct.new/python-construct.changes   
2017-05-09 17:59:45.557640890 +0200
@@ -1,0 +2,5 @@
+Sat May  6 14:12:24 UTC 2017 - matwey.korni...@gmail.com
+
+- Recover split_debug.patch to fix rpmlint
+
+---



Other differences:
--
++ split_debug.patch ++
--- /var/tmp/diff_new_pack.y6el6T/_old  2017-05-09 17:59:46.353528423 +0200
+++ /var/tmp/diff_new_pack.y6el6T/_new  2017-05-09 17:59:46.353528423 +0200
@@ -2,7 +2,7 @@
 ===
 --- construct-2.8.11.orig/construct/__init__.py
 +++ construct-2.8.11/construct/__init__.py
-@@ -21,7 +21,6 @@ Hands-on example:
+@@ -21,7 +21,6 @@
  
  from construct.core import *
  from construct.expr import this, Path, Path2, PathFunc, len_, sum_, min_, 
max_, abs_, obj_
@@ -10,3 +10,17 @@
  from construct.version import version, version_string, release_date
  from construct import lib
  
+@@ -40,6 +39,12 @@
+ # exposed names
+ 
#===
+ __all__ = [
+-'AdaptationError', 'Aligned', 'AlignedStruct', 'Array', 'Bit', 
'BitIntegerError', 'BitStruct', 'Bitwise', 'CString', 'Construct', 
'ConstructError', 'Container', 'Debugger', 'EmbeddedBitStruct', 'Enum', 
'ExprAdapter', 'FieldError', 'Flag', 'FlagsContainer', 'FlagsEnum', 'Bytes', 
'FormatField', 'GreedyRange', 'HexDump', 'HexString', 'If', 'IfThenElse', 
'Indexing', 'LazyBound', 'LazyContainer', 'ListContainer', 'Mapping', 
'MappingError', 'Nibble', 'NoneOf', 'Octet', 'OnDemand', 'OnDemandPointer', 
'OneOf', 'Optional', 'OverwriteError', 'Packer', 'Padding', 'PaddingError', 
'PascalString', 'Pass', 'Peek', 'Pointer', 'PrefixedArray', 'Probe', 'Range', 
'RangeError', 'Renamed', 'RepeatUntil', 'Select', 'SelectError', 'Sequence', 
'SizeofError', 'Slicing', 'String', 'Struct', 'Subconstruct', 'Switch', 
'SwitchError', 'SymmetricMapping', 'Terminated', 'TerminatedError', 
'UnionError', 'Union', 'ValidationError', 'Validator', 'Computed', 'Bytes', 
'Tunnel', 'Embedded', 'Const', 'ConstError', 'VarInt', 'StringError', 
'Checksum', 'ByteSwapped', 'LazyStruct', 'Numpy', 'Adapter', 
'SymmetricAdapter', 'Tunnel', 'Compressed', 'GreedyBytes', 'Prefixed', 
'Padded', 'GreedyString', 'RawCopy', 'LazyRange', 'LazySequence', 
'LazySequenceContainer', 'BitsInteger', 'BytesInteger', '__author__', 
'__version__', 'Restreamed', 'RestreamedBytesIO', 'Bytewise', 
'LazyRangeContainer', 'BitsSwapped', 'RebufferedBytesIO', 'Rebuffered', 
'version', 
'version_string','lib','Seek','Tell','setglobalstringencoding','globalstringencoding','NamedTuple','ExprValidator','Filter','Hex','Error','ExplicitError','release_date','Rebuild','Check','len_','sum_','min_','max_','abs_','obj_','singleton','singletonfunction',
 'this', 
'Path','Path2','PathFunc','FocusedSeq','FocusedError','ExprSymmetricAdapter','ProbeInto','Default','ChecksumError','StopIf',
 'setglobalfullprinting','getglobalfullprinting','Byte','Short','Int','Long',
++'AdaptationError', 'Aligned', 'AlignedStruct', 'Array', 'Bit', 
'BitIntegerError', 'BitStruct', 'Bitwise', 'CString', 'Construct', 
'ConstructError', 'Container', 'EmbeddedBitStruct', 'Enum', 'ExprAdapter', 
'FieldError', 'Flag', 'FlagsContainer', 'FlagsEnum', 'Bytes', 'FormatField', 
'GreedyRange', 'HexDump', 'HexString', 'If', 'IfThenElse', 'Indexing', 
'LazyBound', 'LazyContainer', 'ListContainer', 'Mapping', 'MappingError', 
'Nibble', 'NoneOf', 'Octet', 'OnDemand', 'OnDemandPointer', 'OneOf', 
'Optional', 'OverwriteError', 'Packer', 'Padding', 'PaddingError', 
'PascalString', 'Pass', 'Peek', 'Pointer', 'PrefixedArray', 'Range', 
'RangeError', 'Renamed', 'RepeatUntil', 'Select', 'SelectError', 'Sequence', 
'SizeofError', 'Slicing', 'String', 'Struct', 'Subconstruct', 'Switch', 
'SwitchError', 'SymmetricMapping', 'Terminated', 'TerminatedError', 
'UnionError', 'Union', 'ValidationError', 'Validator', 'Computed', 'Bytes', 
'Tunnel', 'Embedded', 'Const', 'ConstError', 'VarInt', 'StringError', 
'Checksum', 'ByteSwapped', 'LazyStruct', 'Numpy', 'Adapter', 
'SymmetricAdapter', 'Tunnel', 'Compressed', 'GreedyBytes', 'Prefixed', 
'Padded', 'GreedyString', 'RawCopy', 'LazyRange', 'LazySequence', 

commit python-tox for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package python-tox for openSUSE:Factory 
checked in at 2017-05-09 17:59:35

Comparing /work/SRC/openSUSE:Factory/python-tox (Old)
 and  /work/SRC/openSUSE:Factory/.python-tox.new (New)


Package is "python-tox"

Tue May  9 17:59:35 2017 rev:19 rq:493150 version:2.7.0

Changes:

--- /work/SRC/openSUSE:Factory/python-tox/python-tox.changes2017-04-19 
18:08:50.434690697 +0200
+++ /work/SRC/openSUSE:Factory/.python-tox.new/python-tox.changes   
2017-05-09 17:59:36.946857689 +0200
@@ -1,0 +2,5 @@
+Sat May  6 03:57:32 UTC 2017 - toddrme2...@gmail.com
+
+- Only one package should provide "tox".
+
+---



Other differences:
--
++ python-tox.spec ++
--- /var/tmp/diff_new_pack.btWoxx/_old  2017-05-09 17:59:38.954573976 +0200
+++ /var/tmp/diff_new_pack.btWoxx/_new  2017-05-09 17:59:38.958573411 +0200
@@ -40,7 +40,9 @@
 Requires:   python-virtualenv >= 1.11.2
 Requires(post):   update-alternatives
 Requires(postun): update-alternatives
+%ifpython3
 Provides:   tox = %{version}
+%endif
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildArch:  noarch
 %python_subpackages




commit python-pycodestyle for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package python-pycodestyle for 
openSUSE:Factory checked in at 2017-05-09 17:59:13

Comparing /work/SRC/openSUSE:Factory/python-pycodestyle (Old)
 and  /work/SRC/openSUSE:Factory/.python-pycodestyle.new (New)


Package is "python-pycodestyle"

Tue May  9 17:59:13 2017 rev:2 rq:493138 version:2.3.1

Changes:

--- /work/SRC/openSUSE:Factory/python-pycodestyle/python-pycodestyle.changes
2017-04-19 18:04:23.768411887 +0200
+++ 
/work/SRC/openSUSE:Factory/.python-pycodestyle.new/python-pycodestyle.changes   
2017-05-09 17:59:14.466034474 +0200
@@ -1,0 +2,6 @@
+Sat May  6 03:31:54 UTC 2017 - toddrme2...@gmail.com
+
+- Don't provide python2-pep8, singlespec packages should use
+  correct name.
+
+---



Other differences:
--
++ python-pycodestyle.spec ++
--- /var/tmp/diff_new_pack.cnz7VD/_old  2017-05-09 17:59:15.057950830 +0200
+++ /var/tmp/diff_new_pack.cnz7VD/_new  2017-05-09 17:59:15.061950265 +0200
@@ -32,12 +32,14 @@
 BuildRequires:  python-rpm-macros
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildArch:  noarch
-Provides:   python-pep8 = %{version}
-Obsoletes:  python-pep8 < %{version}
 %ifpython2
 Provides:   %{oldpython}-pep8 = %{version}
 Obsoletes:  %{oldpython}-pep8 < %{version}
 %endif
+%ifpython3
+Provides:   python3-pep8 = %{version}
+Obsoletes:  python3-pep8 < %{version}
+%endif
 
 %python_subpackages
 




commit python-Mako for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package python-Mako for openSUSE:Factory 
checked in at 2017-05-09 17:59:18

Comparing /work/SRC/openSUSE:Factory/python-Mako (Old)
 and  /work/SRC/openSUSE:Factory/.python-Mako.new (New)


Package is "python-Mako"

Tue May  9 17:59:18 2017 rev:28 rq:493141 version:1.0.6

Changes:

--- /work/SRC/openSUSE:Factory/python-Mako/python-Mako.changes  2017-04-28 
10:52:37.896650289 +0200
+++ /work/SRC/openSUSE:Factory/.python-Mako.new/python-Mako.changes 
2017-05-09 17:59:19.609307674 +0200
@@ -1,0 +2,6 @@
+Sat May  6 03:31:54 UTC 2017 - toddrme2...@gmail.com
+
+- Don't provide python2-mako, singlespec packages should use
+  correct name.
+
+---



Other differences:
--
++ python-Mako.spec ++
--- /var/tmp/diff_new_pack.aaSKsQ/_old  2017-05-09 17:59:20.465186728 +0200
+++ /var/tmp/diff_new_pack.aaSKsQ/_new  2017-05-09 17:59:20.469186163 +0200
@@ -36,12 +36,14 @@
 BuildRequires:  python-rpm-macros
 Requires:   python-MarkupSafe
 Recommends: python-Beaker >= 1.1
-Provides:   python-mako = %{version}
-Obsoletes:  python-mako < %{version}
 %ifpython2
 Provides:   %{oldpython}-mako = %{version}
 Obsoletes:  %{oldpython}-mako < %{version}
 %endif
+%ifpython3
+Provides:   python3-mako = %{version}
+Obsoletes:  python3-mako < %{version}
+%endif
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildArch:  noarch
 %python_subpackages




commit python-python-gflags for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package python-python-gflags for 
openSUSE:Factory checked in at 2017-05-09 17:59:03

Comparing /work/SRC/openSUSE:Factory/python-python-gflags (Old)
 and  /work/SRC/openSUSE:Factory/.python-python-gflags.new (New)


Package is "python-python-gflags"

Tue May  9 17:59:03 2017 rev:10 rq:493134 version:3.1.1

Changes:

--- 
/work/SRC/openSUSE:Factory/python-python-gflags/python-python-gflags.changes
2017-04-28 10:54:21.613991768 +0200
+++ 
/work/SRC/openSUSE:Factory/.python-python-gflags.new/python-python-gflags.changes
   2017-05-09 17:59:04.271475077 +0200
@@ -1,0 +2,6 @@
+Sat May  6 03:31:54 UTC 2017 - toddrme2...@gmail.com
+
+- Don't provide python2-gflags, singlespec packages should use
+  correct name.
+
+---



Other differences:
--
++ python-python-gflags.spec ++
--- /var/tmp/diff_new_pack.fmiI8M/_old  2017-05-09 17:59:05.119355262 +0200
+++ /var/tmp/diff_new_pack.fmiI8M/_new  2017-05-09 17:59:05.127354132 +0200
@@ -31,8 +31,6 @@
 BuildRequires:  %{python_module setuptools}
 BuildRequires:  fdupes
 BuildRequires:  python-rpm-macros
-Provides:   python-gflags = %{version}
-Obsoletes:  python-gflags < %{version}
 %ifpython2
 Provides:   %{oldpython}-gflags = %{version}
 Obsoletes:  %{oldpython}-gflags < %{version}




commit python-python-dateutil for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package python-python-dateutil for 
openSUSE:Factory checked in at 2017-05-09 17:58:54

Comparing /work/SRC/openSUSE:Factory/python-python-dateutil (Old)
 and  /work/SRC/openSUSE:Factory/.python-python-dateutil.new (New)


Package is "python-python-dateutil"

Tue May  9 17:58:54 2017 rev:4 rq:493133 version:2.6.0

Changes:

--- 
/work/SRC/openSUSE:Factory/python-python-dateutil/python-python-dateutil.changes
2017-04-19 18:06:15.920547462 +0200
+++ 
/work/SRC/openSUSE:Factory/.python-python-dateutil.new/python-python-dateutil.changes
   2017-05-09 17:58:54.240892507 +0200
@@ -1,0 +2,6 @@
+Sat May  6 03:31:54 UTC 2017 - toddrme2...@gmail.com
+
+- Don't provide python2-dateutil, singlespec packages should use
+  correct name.
+
+---



Other differences:
--
++ python-python-dateutil.spec ++
--- /var/tmp/diff_new_pack.zv7gnE/_old  2017-05-09 17:58:55.012783431 +0200
+++ /var/tmp/diff_new_pack.zv7gnE/_new  2017-05-09 17:58:55.016782866 +0200
@@ -16,28 +16,30 @@
 #
 
 
-%define modname dateutil
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
-Name:   python-python-%{modname}
+%define oldpython python
+Name:   python-python-dateutil
 Version:2.6.0
 Release:0
 Summary:A Python Datetime Library
 License:BSD-3-Clause
 Group:  Development/Libraries/Python
 Url:https://dateutil.readthedocs.org/en/latest/
-Source0:
https://pypi.io/packages/source/p/python-%{modname}/python-%{modname}-%{version}.tar.gz
+Source0:
https://pypi.io/packages/source/p/python-dateutil/python-dateutil-%{version}.tar.gz
 BuildRequires:  %{python_module devel}
 BuildRequires:  %{python_module setuptools} >= 18.0.1
 BuildRequires:  %{python_module six} >= 1.9.0
 BuildRequires:  fdupes
 BuildRequires:  python-rpm-macros
 Requires:   python-six >= 1.9.0
-Provides:   python-dateutil = %{version}
-%define oldpython python
 %ifpython2
 Obsoletes: %{oldpython}-dateutil < %{version}
 Provides: %{oldpython}-dateutil = %{version}
 %endif
+%ifpython3
+Obsoletes:  python3-dateutil < %{version}
+Provides:   python3-dateutil = %{version}
+%endif
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildArch:  noarch
 %python_subpackages
@@ -72,7 +74,7 @@
 Orthodox or Julian algorithms.
 
 %prep
-%setup -q -n python-%{modname}-%{version}
+%setup -q -n python-dateutil-%{version}
 #cleanup and MSdos style end of line separators
 sed -i 's/\r$//' LICENSE NEWS PKG-INFO README.rst
 rm -f setup.cfg
@@ -90,7 +92,7 @@
 %files %{python_files}
 %defattr(-,root,root)
 %doc LICENSE NEWS PKG-INFO README.rst
-%{python_sitelib}/%{modname}/
-%{python_sitelib}/python_%{modname}-%{version}-py%{python_version}.egg-info/
+%{python_sitelib}/dateutil/
+%{python_sitelib}/python_dateutil-%{version}-py*.egg-info
 
 %changelog




commit python-olefile for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package python-olefile for openSUSE:Factory 
checked in at 2017-05-09 17:58:49

Comparing /work/SRC/openSUSE:Factory/python-olefile (Old)
 and  /work/SRC/openSUSE:Factory/.python-olefile.new (New)


Package is "python-olefile"

Tue May  9 17:58:49 2017 rev:2 rq:493132 version:0.44

Changes:

--- /work/SRC/openSUSE:Factory/python-olefile/python-olefile.changes
2017-04-28 10:54:48.522188828 +0200
+++ /work/SRC/openSUSE:Factory/.python-olefile.new/python-olefile.changes   
2017-05-09 17:58:50.237458236 +0200
@@ -1,0 +2,6 @@
+Sat May  6 03:31:54 UTC 2017 - toddrme2...@gmail.com
+
+- Don't provide python2-OleFileIO_PL, singlespec packages should
+  use correct name.
+
+---



Other differences:
--
++ python-olefile.spec ++
--- /var/tmp/diff_new_pack.6H8p34/_old  2017-05-09 17:58:50.977353681 +0200
+++ /var/tmp/diff_new_pack.6H8p34/_new  2017-05-09 17:58:50.981353115 +0200
@@ -33,8 +33,6 @@
 BuildRequires:  unzip
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildArch:  noarch
-Provides:   python-OleFileIO_PL = %{version}
-Obsoletes:  python-OleFileIO_PL <= 0.26
 %ifpython2
 Provides:   %{oldpython}-OleFileIO_PL = %{version}
 Obsoletes:  %{oldpython}-OleFileIO_PL <= 0.26





commit python-M2Crypto for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package python-M2Crypto for openSUSE:Factory 
checked in at 2017-05-09 17:58:43

Comparing /work/SRC/openSUSE:Factory/python-M2Crypto (Old)
 and  /work/SRC/openSUSE:Factory/.python-M2Crypto.new (New)


Package is "python-M2Crypto"

Tue May  9 17:58:43 2017 rev:20 rq:493130 version:0.26.0

Changes:

--- /work/SRC/openSUSE:Factory/python-M2Crypto/python-M2Crypto.changes  
2017-04-28 10:54:42.427050255 +0200
+++ /work/SRC/openSUSE:Factory/.python-M2Crypto.new/python-M2Crypto.changes 
2017-05-09 17:58:44.366287896 +0200
@@ -1,0 +2,6 @@
+Sat May  6 03:33:01 UTC 2017 - toddrme2...@gmail.com
+
+- It doesn't look like python3-m2crypto ever existed, so don't
+  provide it.
+
+---



Other differences:
--
++ python-M2Crypto.spec ++
--- /var/tmp/diff_new_pack.7MXMbF/_old  2017-05-09 17:58:45.394142649 +0200
+++ /var/tmp/diff_new_pack.7MXMbF/_new  2017-05-09 17:58:45.398142084 +0200
@@ -44,8 +44,6 @@
 BuildRequires:  swig
 %endif
 Requires:   python-typing
-Provides:   python-m2crypto = %{version}
-Obsoletes:  python-m2crypto < %{version}
 %ifpython2
 Provides:   %{oldpython}-m2crypto = %{version}
 Obsoletes:  %{oldpython}-m2crypto < %{version}




commit libreadline5 for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package libreadline5 for openSUSE:Factory 
checked in at 2017-05-09 17:58:25

Comparing /work/SRC/openSUSE:Factory/libreadline5 (Old)
 and  /work/SRC/openSUSE:Factory/.libreadline5.new (New)


Package is "libreadline5"

Tue May  9 17:58:25 2017 rev:18 rq:492607 version:5.2

Changes:

--- /work/SRC/openSUSE:Factory/libreadline5/libreadline5.changes
2011-12-25 17:35:55.0 +0100
+++ /work/SRC/openSUSE:Factory/.libreadline5.new/libreadline5.changes   
2017-05-09 17:58:26.976745227 +0200
@@ -1,0 +2,6 @@
+Tue May  2 13:51:01 UTC 2017 - wer...@suse.de
+
+- Be sure that readline version 5 does not be mixed by accident
+  with current readline version 
+
+---



Other differences:
--
++ libreadline5.spec ++
--- /var/tmp/diff_new_pack.5CSrBh/_old  2017-05-09 17:58:27.784631064 +0200
+++ /var/tmp/diff_new_pack.5CSrBh/_new  2017-05-09 17:58:27.788630500 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package libreadline5
 #
-# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,10 +17,6 @@
 
 
 Name:   libreadline5
-BuildRequires:  autoconf
-BuildRequires:  bison
-BuildRequires:  fdupes
-BuildRequires:  ncurses-devel
 %define rl_vers   5.2
 Provides:   bash:/%{_lib}/libreadline.so.5
 Version:5.2
@@ -37,6 +33,10 @@
 Patch22:readline-5.2-wrap.patch
 Patch23:readline-5.2-conf.patch
 Patch30:readline-5.1-destdir.patch
+BuildRequires:  autoconf
+BuildRequires:  bison
+BuildRequires:  fdupes
+BuildRequires:  ncurses-devel
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 %global _sysconfdir /etc
 %global _incdir %{_includedir}
@@ -139,6 +139,17 @@
   rm -fv %{buildroot}%{_mandir}/man3/history.3*
   rm -fv %{buildroot}%{_infodir}/*.info*
 
+#
+# Make sure not to be broken
+#
+mv %{buildroot}%{_incdir}/readline %{buildroot}%{_incdir}/readline5
+mkdir %{buildroot}%{_libdir}/readline5
+for lib in %{buildroot}%{_libdir}/lib*.*
+do
+  mv $lib %{buildroot}%{_libdir}/readline5/
+done
+mv %{buildroot}%{_mandir}/man3/readline.3 
%{buildroot}%{_mandir}/man3/readline5.3
+
 %post -n libreadline5 -p /sbin/ldconfig
 
 %postun -n libreadline5 -p /sbin/ldconfig
@@ -155,11 +166,13 @@
 
 %files -n readline5-devel
 %defattr(-,root,root)
-%{_incdir}/readline/
-%{_libdir}/libhistory.a
-%{_libdir}/libhistory.so
-%{_libdir}/libreadline.a
-%{_libdir}/libreadline.so
-%doc %{_mandir}/man3/readline.3.gz
+%dir %{_incdir}/readline5/
+%{_incdir}/readline5/*
+%dir %{_libdir}/readline5/
+%{_libdir}/readline5/libhistory.a
+%{_libdir}/readline5/libhistory.so
+%{_libdir}/readline5/libreadline.a
+%{_libdir}/readline5/libreadline.so
+%doc %{_mandir}/man3/readline5.3.gz
 
 %changelog




commit less for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package less for openSUSE:Factory checked in 
at 2017-05-09 17:58:17

Comparing /work/SRC/openSUSE:Factory/less (Old)
 and  /work/SRC/openSUSE:Factory/.less.new (New)


Package is "less"

Tue May  9 17:58:17 2017 rev:51 rq:491822 version:487

Changes:

--- /work/SRC/openSUSE:Factory/less/less.changes2017-04-11 
12:42:22.598217545 +0200
+++ /work/SRC/openSUSE:Factory/.less.new/less.changes   2017-05-09 
17:58:18.437951851 +0200
@@ -1,0 +2,5 @@
+Fri Apr 28 11:45:22 UTC 2017 - wer...@suse.de
+
+- Extend lesskey with mappings for 8-bit controls key escape sequences 
+
+---



Other differences:
--


++ lesskey.src ++
--- /var/tmp/diff_new_pack.c6ATN6/_old  2017-05-09 17:58:20.521657401 +0200
+++ /var/tmp/diff_new_pack.c6ATN6/_new  2017-05-09 17:58:20.525656836 +0200
@@ -1,18 +1,26 @@
 #command
-\e[A   back-line 
-\e[B   forw-line  
+\e[A   back-line
+\e[B   forw-line
 \eO5A  back-line
 \eO5B  forw-line
 \eO5C  right-scroll
 \eO5D  left-scroll
 \e[6~  forw-scroll
-\e[5~  back-scroll 
+\e[5~  back-scroll
+\217A  back-line
+\217B  forw-line
+\217C  right-scroll
+\217D  left-scroll
+\2336~ forw-scroll
+\2335~ back-scroll
 \177   back-screen
 ^H back-screen
 \e[3~  back-screen
 \e[3;5~back-screen
+\2333~  back-screen
 \e[2~  visual
 \e[2;5~visual
+\2332~ visual
 \e[1~  goto-line
 \eOH   goto-line
 \eO5H  goto-line
@@ -25,22 +33,32 @@
 \eO5B  down
 \eO5C  right
 \eO5D  left
+\217A  up
+\217B  down
+\217C  right
+\217D  left
 \177   backspace
 ^H backspace
 \e[3~  delete
 \e[3;5~delete
+\2333~ delete
 \e[1~  home
 \eOH   home
 \eO5H  home
+\217H  home
 \e[4~  end
 \eOF   end
 \eO5F  end
+\217F  end
 \e[5~  up
 \e[6~  down
 \e[5;5~up
 \e[6;5~down
+\2335~ up
+\2336~ down
 \e[2~  insert
 \e[2;5~insert
+\2332~ insert
 \e[E   insert
 \e[G   insert
 \eOE   insert
@@ -61,5 +79,23 @@
 \eOs   insert 3
 \eOp   insert 0
 \eOn   insert .
+\217E  insert
+\217o  insert :
+\217j  insert *
+\217m  insert -
+\217k  insert +
+\217l  insert ,
+\217M  insert 
+\217w  insert 7
+\217x  insert 8
+\217y  insert 9
+\217t  insert 4
+\217u  insert 5
+\217v  insert 6
+\217q  insert 1
+\217r  insert 2
+\217s  insert 3
+\217p  insert 0
+\217n  insert .
 #env
 LESSBINFMT=*s\%o




commit multipath-tools for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package multipath-tools for openSUSE:Factory 
checked in at 2017-05-09 17:58:12

Comparing /work/SRC/openSUSE:Factory/multipath-tools (Old)
 and  /work/SRC/openSUSE:Factory/.multipath-tools.new (New)


Package is "multipath-tools"

Tue May  9 17:58:12 2017 rev:86 rq:491767 version:0.7.1+7+suse.3edc5f7d

Changes:

--- /work/SRC/openSUSE:Factory/multipath-tools/multipath-tools.changes  
2017-04-07 14:18:09.572863620 +0200
+++ /work/SRC/openSUSE:Factory/.multipath-tools.new/multipath-tools.changes 
2017-05-09 17:58:14.658485931 +0200
@@ -0,0 +1,36 @@
+-
+Thu Apr 27 18:15:26 UTC 2017 - mwi...@suse.com
+
+- spec file: Disable RADOS support for i586 on Leap 42.x (bsc#1036271)
+- spec file: Move libdmmp to /usr/lib[64] (bsc#1036652)
+- Update to version 0.7.1+7+suse.3edc5f7d:
+  * kpartx: use mapname if no uuid is present (bsc#1033541)
+  * kpartx: relax check when checking for a kpartx device (bsc#1033541)
+  * libmpathpersist: use extern struct udev (bsc#1027188)
+  * kpartx: include sys/sysmacros.h (fix compilation warning)
+- Update to upstream version 0.7.1:
+  * multipath-tools: improve processing efficiency for addition and deletion 
of multipath devices
+  * uevent_can_discard: optimize devpath check
+  * multipathd: fix SIGUSR2 handling
+  * multipath-tools: clean up libdmmp/Makefile
+  * multipath-tools: libdmmp: Fix incorrect use of __attribute__
+  * multipath-tools: Remove trailing whitespaces
+  * multipath-tools: add missing "-l" flag for pthread in libdmmp/Makefile
+  * multipath-tools: build objects for libdmmp and libmpathpersist 
independently
+  * libdmmp: minor Makefile cleanup
+  * multipath-tools: remove incdir from Makefiles
+  * libdmmp: don't disconnect from multipathd twice
+  * multipathd: don't call strlen on NULL variables
+  * libdmmp: move libdmmp.pc install location
+  * multipathd: drop lock before calling uev_add_path
+  * multipathd: allow devices to switch from RW to RO
+  * libmultipath: don't set max_sectors_kb on reloads
+  * Remove a trailing tab
+  * multipath: fix segfault with disable_changed_wwids
+  * multipath-tools: amend text from multipath/multipath.conf.5
+  * Bump the version code and date
+  * multipath-tools: replace multipath configuration output
+  * Revert "multipathd: set timeout for CLI commands correctly"
+  * libmultipath: fix skip_kpartx support for removing maps
+  * Bump version to 0.7.1
+

Old:

  multipath-tools-0.6.4+103+suse.bcb5d0f4.tar.xz

New:

  multipath-tools-0.7.1+7+suse.3edc5f7d.tar.xz



Other differences:
--
++ multipath-tools.spec ++
--- /var/tmp/diff_new_pack.IN3976/_old  2017-05-09 17:58:15.478370072 +0200
+++ /var/tmp/diff_new_pack.IN3976/_new  2017-05-09 17:58:15.482369507 +0200
@@ -30,17 +30,24 @@
 # (but only on architectures for which ceph is enabled).
 # Default NO on SLES 12 >= SP2
 # Always NO on other distros
+
 %if 0%{?suse_version} == 1315
 %if 0%{?is_opensuse} == 1
+ Leap 42.x: Support from 42.2 on, for ceph-supported archs
+ (see ExclusiveArch in ceph spec file)
+%ifarch x86_64 aarch64 ppc64 ppc64le
 %if 0%{?sle_version} >= 120200
 %bcond_without rados
 %endif # 0%{?sle_version} >= 120200
+%endif # arch
 %else  # 0%{?is_opensuse} == 1
-# Only architectures for which ceph is built, see ceph spec file
+ SLE12: Support from SP3 on, for ceph-supported archs
+ (see ExclusiveArch in ceph spec file *on IBS*)
 %ifarch x86_64 aarch64
 %if 0%{?sle_version} >= 120300
 %bcond_without rados
 %else  # 0%{?sle_version} >= 120300
+ SLE12 SP2: rados can be enabled here using --with rados
 %if 0%{?sle_version} >= 120200
 %bcond_with rados
 %endif # 0%{?sle_version} >= 120200
@@ -49,7 +56,8 @@
 %endif # 0%{?is_opensuse} == 1
 %else  # 0%{?suse_version} == 1315
 %if 0%{?suse_version} >= 1330
-# Only architectures for which ceph is built, see ceph spec file
+ Factory / Tumbleweed
+ (see ExclusiveArch in ceph spec file)
 %ifarch x86_64 aarch64 ppc64 ppc64le
 %bcond_without rados
 %endif # arch
@@ -81,7 +89,7 @@
 
 Name:   multipath-tools
 Url:http://christophe.varoqui.free.fr/
-Version:0.6.4+103+suse.bcb5d0f4
+Version:0.7.1+7+suse.3edc5f7d
 Release:0
 Summary:Tools to Manage Multipathed Devices with the device-mapper
 License:GPL-2.0
@@ -178,6 +186,14 @@
 mkdir -p %{buildroot}/usr/lib/modules-load.d
 install -m 644 -D %{SOURCE1} 
"%{buildroot}/usr/lib/modules-load.d/multipath.conf"
 
+%if 0%{?with_libdmmp} == 1
+## libdmmp doesnt need to be under /lib[64]
+mkdir -p %{buildroot}/%{_libdir}/pkgconfig
+mv -f %{buildroot}/%{_lib}/libdmmp.so.%{_libdmmp_version} 

commit blog for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package blog for openSUSE:Factory checked in 
at 2017-05-09 17:58:03

Comparing /work/SRC/openSUSE:Factory/blog (Old)
 and  /work/SRC/openSUSE:Factory/.blog.new (New)


Package is "blog"

Tue May  9 17:58:03 2017 rev:5 rq:491647 version:2.18

Changes:

--- /work/SRC/openSUSE:Factory/blog/blog.changes2017-02-03 
17:32:04.900422812 +0100
+++ /work/SRC/openSUSE:Factory/.blog.new/blog.changes   2017-05-09 
17:58:06.795597042 +0200
@@ -1,0 +2,5 @@
+Thu Apr 27 16:00:31 UTC 2017 - wer...@suse.de
+
+- Add coreutils as required by post scriptlet (boo#1036436)
+
+---



Other differences:
--
++ blog.spec ++
--- /var/tmp/diff_new_pack.5umUQh/_old  2017-05-09 17:58:08.967290159 +0200
+++ /var/tmp/diff_new_pack.5umUQh/_new  2017-05-09 17:58:08.971289593 +0200
@@ -26,6 +26,7 @@
 Source: 
https://github.com/bitstreamout/showconsole/archive/v%{version}.tar.gz#/showconsole-%{version}.tar.gz
 Source1:blog-rpmlintrc
 BuildRequires:  suse-module-tools
+Requires(post): coreutils
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 Provides:   sysvinit-tools:/sbin/blogd
 




commit procps for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package procps for openSUSE:Factory checked 
in at 2017-05-09 17:57:58

Comparing /work/SRC/openSUSE:Factory/procps (Old)
 and  /work/SRC/openSUSE:Factory/.procps.new (New)


Package is "procps"

Tue May  9 17:57:58 2017 rev:102 rq:491252 version:3.3.12

Changes:

--- /work/SRC/openSUSE:Factory/procps/procps.changes2017-02-03 
18:56:42.299373584 +0100
+++ /work/SRC/openSUSE:Factory/.procps.new/procps.changes   2017-05-09 
17:58:00.308513738 +0200
@@ -1,0 +2,5 @@
+Wed Apr 26 12:45:15 UTC 2017 - wer...@suse.de
+
+- Explain option --no-truncate of command w 
+
+---



Other differences:
--
++ procps-ng-3.3.9-w-notruncate.diff ++
--- /var/tmp/diff_new_pack.O2UcKP/_old  2017-05-09 17:58:01.656323277 +0200
+++ /var/tmp/diff_new_pack.O2UcKP/_new  2017-05-09 17:58:01.660322712 +0200
@@ -1,9 +1,22 @@
 ---
+ w.1 |3 +++
  w.c |   18 +++---
- 1 file changed, 15 insertions(+), 3 deletions(-)
+ 2 files changed, 18 insertions(+), 3 deletions(-)
 
+--- w.1
 w.12017-04-26 12:31:23.721421873 +
+@@ -36,6 +36,9 @@ and a "w \-u".
+ \fB\-s\fR, \fB\-\-short\fR
+ Use the short format.  Don't print the login time, JCPU or PCPU times.
+ .TP
++\fB\-n\fR, \fB\-\-no\-truncat\fR
++Do not truncate the output format. This option might become renamed in future 
versions.
++.TP
+ \fB\-f\fR, \fB\-\-from\fR
+ Toggle printing the
+ .B from
 --- w.c
-+++ w.c2016-07-11 12:47:59.444256012 +
 w.c2017-04-26 12:23:20.394822856 +
 @@ -375,7 +375,7 @@ static const proc_t *getproc(const utmp_
  }
  




commit patterns-caasp for openSUSE:Factory

2017-05-09 Thread root
Hello community,

here is the log from the commit of package patterns-caasp for openSUSE:Factory 
checked in at 2017-05-09 10:01:17

Comparing /work/SRC/openSUSE:Factory/patterns-caasp (Old)
 and  /work/SRC/openSUSE:Factory/.patterns-caasp.new (New)


Package is "patterns-caasp"

Tue May  9 10:01:17 2017 rev:5 rq:493643 version:1.0

Changes:

--- /work/SRC/openSUSE:Factory/patterns-caasp/patterns-caasp.changes
2017-05-06 18:30:55.760408356 +0200
+++ /work/SRC/openSUSE:Factory/.patterns-caasp.new/patterns-caasp.changes   
2017-05-09 10:01:21.838820431 +0200
@@ -1,0 +2,10 @@
+Tue May  9 09:49:09 CEST 2017 - ku...@suse.de
+
+- Correct fix for onlyDVD pattern
+
+---
+Mon May  8 17:14:44 CEST 2017 - ku...@suse.de
+
+- Make some adjustments in pattern names for openSUSE
+
+---



Other differences:
--
++ patterns-caasp.spec ++
--- /var/tmp/diff_new_pack.89lG6c/_old  2017-05-09 10:01:23.278617286 +0200
+++ /var/tmp/diff_new_pack.89lG6c/_new  2017-05-09 10:01:23.282616721 +0200
@@ -17,9 +17,9 @@
 
 
 %if 0%{?is_susecaasp}
-%define product_name "SUSE CaaS Platform"
+%define product_name SUSE CaaS Platform
 %else
-%define product_name "openSUSE Kubic"
+%define product_name openSUSE Kubic
 %endif
 
 Name:   patterns-caasp
@@ -51,10 +51,10 @@
 %package MicroOS
 
 %pattern_basetechnologies
-Summary:MicroOS System
+Summary:%{product_name} MicroOS System
 Group:  Metapackages
 Provides:   pattern() = .basesystem
-Provides:   pattern() = MicroOS
+Provides:   pattern() = SUSE-MicroOS
 Provides:   pattern-icon() = pattern-basis
 Provides:   pattern-order() = 1010
 Provides:   pattern-visible()
@@ -158,9 +158,9 @@
 %package Stack
 
 %pattern_primaryfunctions
-Summary:SUSE CaaS Platform Stack
+Summary:%{product_name} Stack
 Group:  Metapackages
-Provides:   pattern() = Stack
+Provides:   pattern() = SUSE-CaaSP-Stack
 Provides:   pattern-icon() = pattern-generic
 Provides:   pattern-order() = 1020
 Provides:   pattern-visible()
@@ -201,15 +201,14 @@
 %package onlyDVD
 
 %pattern_primaryfunctions
-Summary:Packages only for the DVD of SUSE CaaSP or openSUSE Kubic
+Summary:Packages only for the DVD of %{product_name}
 Group:  Metapackages
-Provides:   pattern() = onlyDVD
+Provides:   pattern() = SUSE-CaaSP-onlyDVD
 Provides:   pattern-icon() = pattern-generic
 Provides:   pattern-order() = 9000
 Requires:   cracklib-dict-full
 Requires:   kernel-firmware
 Requires:   open-vm-tools
-Requires:   pattern() = basesystem
 %if 0%{?is_susecaasp}
 Requires:   tftpboot-installation-CAASP-1.0-x86_64
 %endif